import * as Ut from "vue";
import { ref as x, watch as re, createElementBlock as d, openBlock as u, createElementVNode as p, defineComponent as C, createBlock as M, Transition as Ue, withCtx as U, createCommentVNode as k, normalizeClass as B, unref as T, resolveDynamicComponent as le, toDisplayString as L, renderSlot as N, withModifiers as Lt, createVNode as H, useSlots as Jt, toRef as Ma, computed as w, Fragment as Z, mergeModels as ge, useModel as Fe, toRefs as nt, onMounted as W, withDirectives as we, vModelCheckbox as ea, createTextVNode as fe, useAttrs as Oa, normalizeStyle as ke, mergeProps as Se, watchEffect as ae, cloneVNode as Ia, h as G, inject as ee, provide as pe, onUnmounted as ie, shallowRef as ta, getCurrentInstance as za, Teleport as Ra, reactive as wt, nextTick as aa, vModelSelect as Ua, renderList as oe, getCurrentScope as Ha, onScopeDispose as Na, toValue as at, useTemplateRef as ja, createStaticVNode as ra, TransitionGroup as Va, KeepAlive as Za, vShow as Ke, vModelText as Wa } from "vue";
const St = {
  neutral: "bcc-context-neutral",
  danger: "bcc-context-danger",
  warning: "bcc-context-warning",
  success: "bcc-context-success",
  info: "bcc-context-info",
  "muddy-waters": "bcc-context-muddy-waters",
  mongoose: "bcc-context-mongoose",
  brand: "bcc-context-brand",
  gimblet: "bcc-context-gimblet",
  blue: "bcc-context-blue",
  purple: "bcc-context-purple",
  red: "bcc-context-red",
  green: "bcc-context-green"
}, Ga = {
  "--neutral-0": "#ffffff",
  "--neutral-50": "#f9fafb",
  "--neutral-100": "#f3f4f6",
  "--neutral-200": "#e5e7eb",
  "--neutral-300": "#d1d5db",
  "--neutral-400": "#9ca3af",
  "--neutral-500": "#6b7280",
  "--neutral-600": "#4b5563",
  "--neutral-700": "#374151",
  "--neutral-800": "#1f2937",
  "--neutral-900": "#111827",
  "--brand-50": "#f5f8f8",
  "--brand-100": "#eaeeef",
  "--brand-200": "#d2dadb",
  "--brand-300": "#acbdbd",
  "--brand-400": "#8ea6a6",
  "--brand-500": "#437571",
  "--brand-600": "#004e48",
  "--brand-700": "#023d38",
  "--brand-800": "#021f1c",
  "--brand-900": "#020a0b",
  "--green-50": "#eefff4",
  "--green-100": "#d7ffe7",
  "--green-200": "#b2ffd1",
  "--green-300": "#7dffb3",
  "--green-400": "#33f584",
  "--green-500": "#09de62",
  "--green-600": "#01b84e",
  "--green-700": "#059040",
  "--green-800": "#0a7137",
  "--green-900": "#0a5d2f",
  "--lime-50": "#f7ffe4",
  "--lime-100": "#ebffc4",
  "--lime-200": "#d8ff90",
  "--lime-300": "#bbff50",
  "--lime-400": "#a9ff34",
  "--lime-500": "#7fe600",
  "--lime-600": "#61b800",
  "--lime-700": "#498b00",
  "--lime-800": "#3b6d07",
  "--lime-900": "#335c0b",
  "--teal-50": "#effefd",
  "--teal-100": "#c7fffa",
  "--teal-200": "#7dfff4",
  "--teal-300": "#50f8ef",
  "--teal-400": "#1de4e1",
  "--teal-500": "#04c8c7",
  "--teal-600": "#009da1",
  "--teal-700": "#057d80",
  "--teal-800": "#0a6165",
  "--teal-900": "#0d5154",
  "--blue-50": "#eef9ff",
  "--blue-100": "#d9f1ff",
  "--blue-200": "#bce8ff",
  "--blue-300": "#8edbff",
  "--blue-400": "#59c5ff",
  "--blue-500": "#34a9ff",
  "--blue-600": "#1b8af5",
  "--blue-700": "#1472e1",
  "--blue-800": "#175bb6",
  "--blue-900": "#194e8f",
  "--purple-50": "#f9f4ff",
  "--purple-100": "#f0e5ff",
  "--purple-200": "#e4d0ff",
  "--purple-300": "#d0acff",
  "--purple-400": "#b276ff",
  "--purple-500": "#9542ff",
  "--purple-600": "#8a34ff",
  "--purple-700": "#6a0ee2",
  "--purple-800": "#5b12b7",
  "--purple-900": "#4c1093",
  "--pink-50": "#fef1f9",
  "--pink-100": "#fee5f5",
  "--pink-200": "#ffcaed",
  "--pink-300": "#ff9fdd",
  "--pink-400": "#ff63c4",
  "--pink-500": "#ff34a9",
  "--pink-600": "#f01287",
  "--pink-700": "#d1056b",
  "--pink-800": "#ad0758",
  "--pink-900": "#8f0c4c",
  "--red-50": "#fff1f1",
  "--red-100": "#ffe3e3",
  "--red-200": "#ffcccf",
  "--red-300": "#ffa1a7",
  "--red-400": "#ff7d88",
  "--red-500": "#f93a4f",
  "--red-600": "#e71738",
  "--red-700": "#c30d2e",
  "--red-800": "#a30e2e",
  "--red-900": "#8b102f",
  "--orange-50": "#fff5ed",
  "--orange-100": "#ffe9d4",
  "--orange-200": "#ffcfa9",
  "--orange-300": "#ffb37d",
  "--orange-400": "#fe7f39",
  "--orange-500": "#fc5c13",
  "--orange-600": "#ed4109",
  "--orange-700": "#c52e09",
  "--orange-800": "#9c2610",
  "--orange-900": "#7e2111",
  "--yellow-50": "#fefde8",
  "--yellow-100": "#fffdc2",
  "--yellow-200": "#fff87b",
  "--yellow-300": "#ffee45",
  "--yellow-400": "#fcdd13",
  "--yellow-500": "#ecc406",
  "--yellow-600": "#cc9902",
  "--yellow-700": "#a26d06",
  "--yellow-800": "#86550d",
  "--yellow-900": "#724611",
  "--silver-tree-50": "#f3faf7",
  "--silver-tree-100": "#d8efe5",
  "--silver-tree-200": "#b1decc",
  "--silver-tree-300": "#82c6ad",
  "--silver-tree-400": "#5cab91",
  "--silver-tree-500": "#3e8e75",
  "--silver-tree-600": "#30715e",
  "--silver-tree-700": "#2a5b4e",
  "--silver-tree-800": "#254a40",
  "--silver-tree-900": "#223f37",
  "--gimblet-50": "#faf9f2",
  "--gimblet-100": "#f3f1e1",
  "--gimblet-200": "#e5e1c3",
  "--gimblet-300": "#d5cd9c",
  "--gimblet-400": "#bdac67",
  "--gimblet-500": "#b6a059",
  "--gimblet-600": "#a98d4d",
  "--gimblet-700": "#8c7142",
  "--gimblet-800": "#725c3a",
  "--gimblet-900": "#5d4b31",
  "--mongoose-50": "#f9f7f3",
  "--mongoose-100": "#f2ede2",
  "--mongoose-200": "#e4d9c4",
  "--mongoose-300": "#d2bf9f",
  "--mongoose-400": "#bfa178",
  "--mongoose-500": "#b28b5d",
  "--mongoose-600": "#a47852",
  "--mongoose-700": "#896245",
  "--mongoose-800": "#6f4f3d",
  "--mongoose-900": "#5b4233",
  "--muddy-waters-50": "#f9f4f1",
  "--muddy-waters-100": "#eedfd7",
  "--muddy-waters-200": "#dbbeac",
  "--muddy-waters-300": "#c89a81",
  "--muddy-waters-400": "#bd8167",
  "--muddy-waters-500": "#b06450",
  "--muddy-waters-600": "#9b4f44",
  "--muddy-waters-700": "#813d3c",
  "--muddy-waters-800": "#6b3538",
  "--muddy-waters-900": "#592e30",
  "--viola-50": "#faf5f7",
  "--viola-100": "#f6edf1",
  "--viola-200": "#eedce3",
  "--viola-300": "#e2bfcc",
  "--viola-400": "#ce97ab",
  "--viola-500": "#bc788f",
  "--viola-600": "#a75b71",
  "--viola-700": "#8e485a",
  "--viola-800": "#763e4c",
  "--viola-900": "#643742",
  "--light-wisteria-50": "#fbf8fc",
  "--light-wisteria-100": "#f6eef9",
  "--light-wisteria-200": "#f0e0f4",
  "--light-wisteria-300": "#e3c7eb",
  "--light-wisteria-400": "#d0a3dd",
  "--light-wisteria-500": "#bd7fcd",
  "--light-wisteria-600": "#aa62bb",
  "--light-wisteria-700": "#924ea2",
  "--light-wisteria-800": "#7a4485",
  "--light-wisteria-900": "#63386b",
  "--cold-purple-50": "#f6f6fc",
  "--cold-purple-100": "#efeef9",
  "--cold-purple-200": "#e1e0f4",
  "--cold-purple-300": "#cac6ec",
  "--cold-purple-400": "#a69ddc",
  "--cold-purple-500": "#9181d1",
  "--cold-purple-600": "#7d65c2",
  "--cold-purple-700": "#6c53ae",
  "--cold-purple-800": "#5b4592",
  "--cold-purple-900": "#4b3a78",
  "--polo-blue-50": "#f4f6fa",
  "--polo-blue-100": "#e6ebf3",
  "--polo-blue-200": "#d2dbeb",
  "--polo-blue-300": "#b4c4dc",
  "--polo-blue-400": "#97abce",
  "--polo-blue-500": "#758abc",
  "--polo-blue-600": "#6274ae",
  "--polo-blue-700": "#57639e",
  "--polo-blue-800": "#4b5382",
  "--polo-blue-900": "#3f4669",
  "--neptune-50": "#f2f9f9",
  "--neptune-100": "#ddeef0",
  "--neptune-200": "#bfdfe2",
  "--neptune-300": "#92c7ce",
  "--neptune-400": "#74b2bc",
  "--neptune-500": "#438a97",
  "--neptune-600": "#3a7280",
  "--neptune-700": "#345e6a",
  "--neptune-800": "#314f59",
  "--neptune-900": "#2d444c",
  "--mantis-50": "#f5faf3",
  "--mantis-100": "#e7f5e3",
  "--mantis-200": "#cfeac8",
  "--mantis-300": "#a9d89d",
  "--mantis-400": "#78bd67",
  "--mantis-500": "#57a245",
  "--mantis-600": "#448534",
  "--mantis-700": "#37692c",
  "--mantis-800": "#2f5427",
  "--mantis-900": "#284522",
  "--isbre-50": "#FCFDFD",
  "--isbre-100": "#F6F9F9",
  "--isbre-200": "#F1F5F5",
  "--isbre-300": "#ECF1F1",
  "--isbre-400": "#E6EDED",
  "--isbre-500": "#E1E8E9",
  "--isbre-600": "#DCE4E4",
  "--isbre-700": "#D7DFE0",
  "--text-primary": "var(--neutral-900)",
  "--text-secondary": "var(--neutral-600)",
  "--text-tertiary": "var(--neutral-400)",
  "--text-success": "var(--green-900)",
  "--text-warning": "var(--yellow-900)",
  "--text-danger": "var(--red-900)",
  "--text-info": "var(--blue-900)",
  "--text-emphasis": "var(--neutral-0)",
  "--text-interactive": "var(--silver-tree-600)",
  "--text-interactive-hover": "var(--silver-tree-700)",
  "--text-interactive-active": "var(--silver-tree-500)",
  "--text-button-primary": "var(--neutral-0)",
  "--text-button-secondary": "var(--neutral-900)",
  "--text-button-tertiary": "var(--silver-tree-600)",
  "--text-button-tertiary-hover": "var(--silver-tree-700)",
  "--text-button-tertiary-active": "var(--silver-tree-500)",
  "--text-button-danger-primary": "var(--neutral-0)",
  "--text-button-danger-secondary": "var(--red-800)",
  "--text-button-danger-tertiary": "var(--neutral-900)",
  "--text-button-danger-tertiary-hover": "var(--red-800)",
  "--text-button-danger-tertiary-active": "var(--red-600)",
  "--border-on-primary": "var(--neutral-200)",
  "--border-on-secondary": "var(--neutral-300)",
  "--border-on-tertiary": "var(--neutral-400)",
  "--border-success": "rgba(10,92,47,0.4)",
  "--border-warning": "rgba(115,71,17,0.4)",
  "--border-danger": "rgba(137,16,46,0.4)",
  "--border-info": "rgba(25,78,143,0.4)",
  "--border-emphasis": "var(--neutral-800)",
  "--border-button-primary": "var(--silver-tree-700)",
  "--border-button-primary-hover": "var(--silver-tree-800)",
  "--border-button-primary-active": "var(--silver-tree-600)",
  "--border-button-secondary": "var(--neutral-300)",
  "--border-button-secondary-hover": "var(--neutral-900)",
  "--border-button-secondary-active": "var(--neutral-400)",
  "--border-button-danger-primary": "var(--red-800)",
  "--border-button-danger-primary-hover": "var(--red-900)",
  "--border-button-danger-primary-active": "var(--red-700)",
  "--border-button-danger-secondary": "var(--neutral-300)",
  "--border-button-danger-secondary-hover": "var(--red-800)",
  "--border-button-danger-secondary-active": "var(--red-700)",
  "--bg-primary": "var(--neutral-0)",
  "--bg-primary-hover": "var(--isbre-50)",
  "--bg-primary-active": "var(--isbre-200)",
  "--bg-secondary": "var(--isbre-100)",
  "--bg-secondary-hover": "var(--isbre-200)",
  "--bg-secondary-active": "var(--isbre-300)",
  "--bg-tertiary": "var(--isbre-400)",
  "--bg-tertiary-hover": "var(--isbre-500)",
  "--bg-tertiary-active": "var(--isbre-600)",
  "--bg-success": "var(--green-50)",
  "--bg-warning": "var(--yellow-50)",
  "--bg-danger": "var(--red-50)",
  "--bg-info": "var(--blue-50)",
  "--bg-emphasis": "var(--neutral-900)",
  "--bg-button-primary": "var(--silver-tree-600)",
  "--bg-button-primary-hover": "var(--silver-tree-700)",
  "--bg-button-primary-active": "var(--silver-tree-500)",
  "--bg-button-secondary": "var(--neutral-0)",
  "--bg-button-secondary-hover": "var(--neutral-50)",
  "--bg-button-secondary-active": "var(--neutral-50)",
  "--bg-button-danger-primary": "var(--red-700)",
  "--bg-button-danger-primary-hover": "var(--red-800)",
  "--bg-button-danger-primary-active": "var(--red-600)",
  "--bg-button-danger-secondary": "var(--neutral-0)",
  "--bg-button-danger-secondary-hover": "var(--red-50)",
  "--bg-button-danger-secondary-active": "var(--red-50)"
}, Ya = {
  "--text-primary": "var(--neutral-0)",
  "--text-secondary": "var(--brand-200)",
  "--text-tertiary": "var(--brand-400)",
  "--text-interactive": "#D8B9A6",
  "--text-interactive-hover": "var(--muddy-waters-300)",
  "--text-interactive-active": "#DFC5B4",
  "--text-button-primary": "var(--brand-800)",
  "--text-button-secondary": "var(--muddy-waters-200)",
  "--text-button-tertiary": "var(--muddy-waters-200)",
  "--text-button-tertiary-hover": "var(--muddy-waters-300)",
  "--text-button-tertiary-active": "#DFC5B4",
  "--border-on-primary": "var(--brand-400)",
  "--border-on-secondary": "var(--brand-300)",
  "--border-on-tertiary": "var(--brand-200)",
  "--border-button-primary-hover": "var(--muddy-waters-200)",
  "--border-button-primary-active": "var(--muddy-waters-50)",
  "--border-button-secondary": "var(--brand-500)",
  "--border-button-secondary-hover": "var(--brand-400)",
  "--border-button-secondary-active": "var(--brand-400)",
  "--bg-primary": "var(--brand-600)",
  "--bg-primary-hover": "var(--brand-700)",
  "--bg-primary-active": "var(--brand-500)",
  "--bg-secondary": "var(--brand-500)",
  "--bg-secondary-hover": "var(--brand-600)",
  "--bg-secondary-active": "var(--brand-400)",
  "--bg-tertiary": "var(--brand-400)",
  "--bg-tertiary-hover": "var(--brand-500)",
  "--bg-tertiary-active": "var(--brand-300)",
  "--bg-button-primary": "#D8B9A6",
  "--bg-button-primary-hover": "var(--muddy-waters-300)",
  "--bg-button-primary-active": "#DFC5B4",
  "--bg-button-secondary": "#00524B",
  "--bg-button-secondary-hover": "#004D47",
  "--bg-button-secondary-active": "#006159"
};
function na(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Ka = {
  aqua: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  azure: /#f0ffff(ff)?(?!\w)/gi,
  beige: /#f5f5dc(ff)?(?!\w)/gi,
  bisque: /#ffe4c4(ff)?(?!\w)/gi,
  black: /#000000(ff)?(?!\w)|#000(f)?(?!\w)/gi,
  blue: /#0000ff(ff)?(?!\w)|#00f(f)?(?!\w)/gi,
  brown: /#a52a2a(ff)?(?!\w)/gi,
  coral: /#ff7f50(ff)?(?!\w)/gi,
  cornsilk: /#fff8dc(ff)?(?!\w)/gi,
  crimson: /#dc143c(ff)?(?!\w)/gi,
  cyan: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  darkblue: /#00008b(ff)?(?!\w)/gi,
  darkcyan: /#008b8b(ff)?(?!\w)/gi,
  darkgrey: /#a9a9a9(ff)?(?!\w)/gi,
  darkred: /#8b0000(ff)?(?!\w)/gi,
  deeppink: /#ff1493(ff)?(?!\w)/gi,
  dimgrey: /#696969(ff)?(?!\w)/gi,
  gold: /#ffd700(ff)?(?!\w)/gi,
  green: /#008000(ff)?(?!\w)/gi,
  grey: /#808080(ff)?(?!\w)/gi,
  honeydew: /#f0fff0(ff)?(?!\w)/gi,
  hotpink: /#ff69b4(ff)?(?!\w)/gi,
  indigo: /#4b0082(ff)?(?!\w)/gi,
  ivory: /#fffff0(ff)?(?!\w)/gi,
  khaki: /#f0e68c(ff)?(?!\w)/gi,
  lavender: /#e6e6fa(ff)?(?!\w)/gi,
  lime: /#00ff00(ff)?(?!\w)|#0f0(f)?(?!\w)/gi,
  linen: /#faf0e6(ff)?(?!\w)/gi,
  maroon: /#800000(ff)?(?!\w)/gi,
  moccasin: /#ffe4b5(ff)?(?!\w)/gi,
  navy: /#000080(ff)?(?!\w)/gi,
  oldlace: /#fdf5e6(ff)?(?!\w)/gi,
  olive: /#808000(ff)?(?!\w)/gi,
  orange: /#ffa500(ff)?(?!\w)/gi,
  orchid: /#da70d6(ff)?(?!\w)/gi,
  peru: /#cd853f(ff)?(?!\w)/gi,
  pink: /#ffc0cb(ff)?(?!\w)/gi,
  plum: /#dda0dd(ff)?(?!\w)/gi,
  purple: /#800080(ff)?(?!\w)/gi,
  red: /#ff0000(ff)?(?!\w)|#f00(f)?(?!\w)/gi,
  salmon: /#fa8072(ff)?(?!\w)/gi,
  seagreen: /#2e8b57(ff)?(?!\w)/gi,
  seashell: /#fff5ee(ff)?(?!\w)/gi,
  sienna: /#a0522d(ff)?(?!\w)/gi,
  silver: /#c0c0c0(ff)?(?!\w)/gi,
  skyblue: /#87ceeb(ff)?(?!\w)/gi,
  snow: /#fffafa(ff)?(?!\w)/gi,
  tan: /#d2b48c(ff)?(?!\w)/gi,
  teal: /#008080(ff)?(?!\w)/gi,
  thistle: /#d8bfd8(ff)?(?!\w)/gi,
  tomato: /#ff6347(ff)?(?!\w)/gi,
  violet: /#ee82ee(ff)?(?!\w)/gi,
  wheat: /#f5deb3(ff)?(?!\w)/gi,
  white: /#ffffff(ff)?(?!\w)|#fff(f)?(?!\w)/gi
}, ct = Ka, Ft = {
  whitespace: /\s+/g,
  urlHexPairs: /%[\dA-F]{2}/g,
  quotes: /"/g
};
function Xa(e) {
  return e.trim().replace(Ft.whitespace, " ");
}
function Qa(e) {
  return encodeURIComponent(e).replace(Ft.urlHexPairs, er);
}
function Ja(e) {
  return Object.keys(ct).forEach(function(t) {
    ct[t].test(e) && (e = e.replace(ct[t], t));
  }), e;
}
function er(e) {
  switch (e) {
    case "%20":
      return " ";
    case "%3D":
      return "=";
    case "%3A":
      return ":";
    case "%2F":
      return "/";
    default:
      return e.toLowerCase();
  }
}
function Tt(e) {
  if (typeof e != "string")
    throw new TypeError("Expected a string, but received " + typeof e);
  e.charCodeAt(0) === 65279 && (e = e.slice(1));
  var t = Ja(Xa(e)).replace(Ft.quotes, "'");
  return "data:image/svg+xml," + Qa(t);
}
Tt.toSrcset = function(t) {
  return Tt(t).replace(/ /g, "%20");
};
var tr = Tt, oa = {}, la = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return a;
    }
  });
  function t(r, n) {
    return {
      handler: r,
      config: n
    };
  }
  t.withOptions = function(r, n = () => ({})) {
    const i = function(l) {
      return {
        __options: l,
        handler: r(l),
        config: n(l)
      };
    };
    return i.__isOptionsFunction = !0, i.__pluginFunction = r, i.__configFunction = n, i;
  };
  const a = t;
})(la);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return r;
    }
  });
  const t = /* @__PURE__ */ a(la);
  function a(n) {
    return n && n.__esModule ? n : {
      default: n
    };
  }
  const r = t.default;
})(oa);
let ut = oa;
var ar = (ut.__esModule ? ut : { default: ut }).default, ia = {}, sa = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "cloneDeep", {
    enumerable: !0,
    get: function() {
      return t;
    }
  });
  function t(a) {
    return Array.isArray(a) ? a.map((r) => t(r)) : typeof a == "object" && a !== null ? Object.fromEntries(Object.entries(a).map(([r, n]) => [
      r,
      t(n)
    ])) : a;
  }
})(sa);
var rr = {
  content: [],
  presets: [],
  darkMode: "media",
  // or 'class'
  theme: {
    accentColor: ({ theme: e }) => ({
      ...e("colors"),
      auto: "auto"
    }),
    animation: {
      none: "none",
      spin: "spin 1s linear infinite",
      ping: "ping 1s cubic-bezier(0, 0, 0.2, 1) infinite",
      pulse: "pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite",
      bounce: "bounce 1s infinite"
    },
    aria: {
      busy: 'busy="true"',
      checked: 'checked="true"',
      disabled: 'disabled="true"',
      expanded: 'expanded="true"',
      hidden: 'hidden="true"',
      pressed: 'pressed="true"',
      readonly: 'readonly="true"',
      required: 'required="true"',
      selected: 'selected="true"'
    },
    aspectRatio: {
      auto: "auto",
      square: "1 / 1",
      video: "16 / 9"
    },
    backdropBlur: ({ theme: e }) => e("blur"),
    backdropBrightness: ({ theme: e }) => e("brightness"),
    backdropContrast: ({ theme: e }) => e("contrast"),
    backdropGrayscale: ({ theme: e }) => e("grayscale"),
    backdropHueRotate: ({ theme: e }) => e("hueRotate"),
    backdropInvert: ({ theme: e }) => e("invert"),
    backdropOpacity: ({ theme: e }) => e("opacity"),
    backdropSaturate: ({ theme: e }) => e("saturate"),
    backdropSepia: ({ theme: e }) => e("sepia"),
    backgroundColor: ({ theme: e }) => e("colors"),
    backgroundImage: {
      none: "none",
      "gradient-to-t": "linear-gradient(to top, var(--tw-gradient-stops))",
      "gradient-to-tr": "linear-gradient(to top right, var(--tw-gradient-stops))",
      "gradient-to-r": "linear-gradient(to right, var(--tw-gradient-stops))",
      "gradient-to-br": "linear-gradient(to bottom right, var(--tw-gradient-stops))",
      "gradient-to-b": "linear-gradient(to bottom, var(--tw-gradient-stops))",
      "gradient-to-bl": "linear-gradient(to bottom left, var(--tw-gradient-stops))",
      "gradient-to-l": "linear-gradient(to left, var(--tw-gradient-stops))",
      "gradient-to-tl": "linear-gradient(to top left, var(--tw-gradient-stops))"
    },
    backgroundOpacity: ({ theme: e }) => e("opacity"),
    backgroundPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    backgroundSize: {
      auto: "auto",
      cover: "cover",
      contain: "contain"
    },
    blur: {
      0: "0",
      none: "",
      sm: "4px",
      DEFAULT: "8px",
      md: "12px",
      lg: "16px",
      xl: "24px",
      "2xl": "40px",
      "3xl": "64px"
    },
    borderColor: ({ theme: e }) => ({
      ...e("colors"),
      DEFAULT: e("colors.gray.200", "currentColor")
    }),
    borderOpacity: ({ theme: e }) => e("opacity"),
    borderRadius: {
      none: "0px",
      sm: "0.125rem",
      DEFAULT: "0.25rem",
      md: "0.375rem",
      lg: "0.5rem",
      xl: "0.75rem",
      "2xl": "1rem",
      "3xl": "1.5rem",
      full: "9999px"
    },
    borderSpacing: ({ theme: e }) => ({
      ...e("spacing")
    }),
    borderWidth: {
      DEFAULT: "1px",
      0: "0px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    boxShadow: {
      sm: "0 1px 2px 0 rgb(0 0 0 / 0.05)",
      DEFAULT: "0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
      md: "0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
      lg: "0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
      xl: "0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
      "2xl": "0 25px 50px -12px rgb(0 0 0 / 0.25)",
      inner: "inset 0 2px 4px 0 rgb(0 0 0 / 0.05)",
      none: "none"
    },
    boxShadowColor: ({ theme: e }) => e("colors"),
    brightness: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    caretColor: ({ theme: e }) => e("colors"),
    colors: ({ colors: e }) => ({
      inherit: e.inherit,
      current: e.current,
      transparent: e.transparent,
      black: e.black,
      white: e.white,
      slate: e.slate,
      gray: e.gray,
      zinc: e.zinc,
      neutral: e.neutral,
      stone: e.stone,
      red: e.red,
      orange: e.orange,
      amber: e.amber,
      yellow: e.yellow,
      lime: e.lime,
      green: e.green,
      emerald: e.emerald,
      teal: e.teal,
      cyan: e.cyan,
      sky: e.sky,
      blue: e.blue,
      indigo: e.indigo,
      violet: e.violet,
      purple: e.purple,
      fuchsia: e.fuchsia,
      pink: e.pink,
      rose: e.rose
    }),
    columns: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      "3xs": "16rem",
      "2xs": "18rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem"
    },
    container: {},
    content: {
      none: "none"
    },
    contrast: {
      0: "0",
      50: ".5",
      75: ".75",
      100: "1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    cursor: {
      auto: "auto",
      default: "default",
      pointer: "pointer",
      wait: "wait",
      text: "text",
      move: "move",
      help: "help",
      "not-allowed": "not-allowed",
      none: "none",
      "context-menu": "context-menu",
      progress: "progress",
      cell: "cell",
      crosshair: "crosshair",
      "vertical-text": "vertical-text",
      alias: "alias",
      copy: "copy",
      "no-drop": "no-drop",
      grab: "grab",
      grabbing: "grabbing",
      "all-scroll": "all-scroll",
      "col-resize": "col-resize",
      "row-resize": "row-resize",
      "n-resize": "n-resize",
      "e-resize": "e-resize",
      "s-resize": "s-resize",
      "w-resize": "w-resize",
      "ne-resize": "ne-resize",
      "nw-resize": "nw-resize",
      "se-resize": "se-resize",
      "sw-resize": "sw-resize",
      "ew-resize": "ew-resize",
      "ns-resize": "ns-resize",
      "nesw-resize": "nesw-resize",
      "nwse-resize": "nwse-resize",
      "zoom-in": "zoom-in",
      "zoom-out": "zoom-out"
    },
    divideColor: ({ theme: e }) => e("borderColor"),
    divideOpacity: ({ theme: e }) => e("borderOpacity"),
    divideWidth: ({ theme: e }) => e("borderWidth"),
    dropShadow: {
      sm: "0 1px 1px rgb(0 0 0 / 0.05)",
      DEFAULT: ["0 1px 2px rgb(0 0 0 / 0.1)", "0 1px 1px rgb(0 0 0 / 0.06)"],
      md: ["0 4px 3px rgb(0 0 0 / 0.07)", "0 2px 2px rgb(0 0 0 / 0.06)"],
      lg: ["0 10px 8px rgb(0 0 0 / 0.04)", "0 4px 3px rgb(0 0 0 / 0.1)"],
      xl: ["0 20px 13px rgb(0 0 0 / 0.03)", "0 8px 5px rgb(0 0 0 / 0.08)"],
      "2xl": "0 25px 25px rgb(0 0 0 / 0.15)",
      none: "0 0 #0000"
    },
    fill: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    flex: {
      1: "1 1 0%",
      auto: "1 1 auto",
      initial: "0 1 auto",
      none: "none"
    },
    flexBasis: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%"
    }),
    flexGrow: {
      0: "0",
      DEFAULT: "1"
    },
    flexShrink: {
      0: "0",
      DEFAULT: "1"
    },
    fontFamily: {
      sans: [
        "ui-sans-serif",
        "system-ui",
        "sans-serif",
        '"Apple Color Emoji"',
        '"Segoe UI Emoji"',
        '"Segoe UI Symbol"',
        '"Noto Color Emoji"'
      ],
      serif: ["ui-serif", "Georgia", "Cambria", '"Times New Roman"', "Times", "serif"],
      mono: [
        "ui-monospace",
        "SFMono-Regular",
        "Menlo",
        "Monaco",
        "Consolas",
        '"Liberation Mono"',
        '"Courier New"',
        "monospace"
      ]
    },
    fontSize: {
      xs: ["0.75rem", { lineHeight: "1rem" }],
      sm: ["0.875rem", { lineHeight: "1.25rem" }],
      base: ["1rem", { lineHeight: "1.5rem" }],
      lg: ["1.125rem", { lineHeight: "1.75rem" }],
      xl: ["1.25rem", { lineHeight: "1.75rem" }],
      "2xl": ["1.5rem", { lineHeight: "2rem" }],
      "3xl": ["1.875rem", { lineHeight: "2.25rem" }],
      "4xl": ["2.25rem", { lineHeight: "2.5rem" }],
      "5xl": ["3rem", { lineHeight: "1" }],
      "6xl": ["3.75rem", { lineHeight: "1" }],
      "7xl": ["4.5rem", { lineHeight: "1" }],
      "8xl": ["6rem", { lineHeight: "1" }],
      "9xl": ["8rem", { lineHeight: "1" }]
    },
    fontWeight: {
      thin: "100",
      extralight: "200",
      light: "300",
      normal: "400",
      medium: "500",
      semibold: "600",
      bold: "700",
      extrabold: "800",
      black: "900"
    },
    gap: ({ theme: e }) => e("spacing"),
    gradientColorStops: ({ theme: e }) => e("colors"),
    gradientColorStopPositions: {
      "0%": "0%",
      "5%": "5%",
      "10%": "10%",
      "15%": "15%",
      "20%": "20%",
      "25%": "25%",
      "30%": "30%",
      "35%": "35%",
      "40%": "40%",
      "45%": "45%",
      "50%": "50%",
      "55%": "55%",
      "60%": "60%",
      "65%": "65%",
      "70%": "70%",
      "75%": "75%",
      "80%": "80%",
      "85%": "85%",
      "90%": "90%",
      "95%": "95%",
      "100%": "100%"
    },
    grayscale: {
      0: "0",
      DEFAULT: "100%"
    },
    gridAutoColumns: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridAutoRows: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridColumn: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridColumnEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridColumnStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRow: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridRowEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRowStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridTemplateColumns: {
      none: "none",
      subgrid: "subgrid",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    gridTemplateRows: {
      none: "none",
      subgrid: "subgrid",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    height: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      full: "100%",
      screen: "100vh",
      svh: "100svh",
      lvh: "100lvh",
      dvh: "100dvh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    hueRotate: {
      0: "0deg",
      15: "15deg",
      30: "30deg",
      60: "60deg",
      90: "90deg",
      180: "180deg"
    },
    inset: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    invert: {
      0: "0",
      DEFAULT: "100%"
    },
    keyframes: {
      spin: {
        to: {
          transform: "rotate(360deg)"
        }
      },
      ping: {
        "75%, 100%": {
          transform: "scale(2)",
          opacity: "0"
        }
      },
      pulse: {
        "50%": {
          opacity: ".5"
        }
      },
      bounce: {
        "0%, 100%": {
          transform: "translateY(-25%)",
          animationTimingFunction: "cubic-bezier(0.8,0,1,1)"
        },
        "50%": {
          transform: "none",
          animationTimingFunction: "cubic-bezier(0,0,0.2,1)"
        }
      }
    },
    letterSpacing: {
      tighter: "-0.05em",
      tight: "-0.025em",
      normal: "0em",
      wide: "0.025em",
      wider: "0.05em",
      widest: "0.1em"
    },
    lineHeight: {
      none: "1",
      tight: "1.25",
      snug: "1.375",
      normal: "1.5",
      relaxed: "1.625",
      loose: "2",
      3: ".75rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem"
    },
    listStyleType: {
      none: "none",
      disc: "disc",
      decimal: "decimal"
    },
    listStyleImage: {
      none: "none"
    },
    margin: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing")
    }),
    lineClamp: {
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6"
    },
    maxHeight: ({ theme: e }) => ({
      ...e("spacing"),
      none: "none",
      full: "100%",
      screen: "100vh",
      svh: "100svh",
      lvh: "100lvh",
      dvh: "100dvh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    maxWidth: ({ theme: e, breakpoints: t }) => ({
      ...e("spacing"),
      none: "none",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content",
      prose: "65ch",
      ...t(e("screens"))
    }),
    minHeight: ({ theme: e }) => ({
      ...e("spacing"),
      full: "100%",
      screen: "100vh",
      svh: "100svh",
      lvh: "100lvh",
      dvh: "100dvh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    minWidth: ({ theme: e }) => ({
      ...e("spacing"),
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    objectPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    opacity: {
      0: "0",
      5: "0.05",
      10: "0.1",
      15: "0.15",
      20: "0.2",
      25: "0.25",
      30: "0.3",
      35: "0.35",
      40: "0.4",
      45: "0.45",
      50: "0.5",
      55: "0.55",
      60: "0.6",
      65: "0.65",
      70: "0.7",
      75: "0.75",
      80: "0.8",
      85: "0.85",
      90: "0.9",
      95: "0.95",
      100: "1"
    },
    order: {
      first: "-9999",
      last: "9999",
      none: "0",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12"
    },
    outlineColor: ({ theme: e }) => e("colors"),
    outlineOffset: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    outlineWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    padding: ({ theme: e }) => e("spacing"),
    placeholderColor: ({ theme: e }) => e("colors"),
    placeholderOpacity: ({ theme: e }) => e("opacity"),
    ringColor: ({ theme: e }) => ({
      DEFAULT: e("colors.blue.500", "#3b82f6"),
      ...e("colors")
    }),
    ringOffsetColor: ({ theme: e }) => e("colors"),
    ringOffsetWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    ringOpacity: ({ theme: e }) => ({
      DEFAULT: "0.5",
      ...e("opacity")
    }),
    ringWidth: {
      DEFAULT: "3px",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    rotate: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg",
      45: "45deg",
      90: "90deg",
      180: "180deg"
    },
    saturate: {
      0: "0",
      50: ".5",
      100: "1",
      150: "1.5",
      200: "2"
    },
    scale: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5"
    },
    screens: {
      sm: "640px",
      md: "768px",
      lg: "1024px",
      xl: "1280px",
      "2xl": "1536px"
    },
    scrollMargin: ({ theme: e }) => ({
      ...e("spacing")
    }),
    scrollPadding: ({ theme: e }) => e("spacing"),
    sepia: {
      0: "0",
      DEFAULT: "100%"
    },
    skew: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg"
    },
    space: ({ theme: e }) => ({
      ...e("spacing")
    }),
    spacing: {
      px: "1px",
      0: "0px",
      0.5: "0.125rem",
      1: "0.25rem",
      1.5: "0.375rem",
      2: "0.5rem",
      2.5: "0.625rem",
      3: "0.75rem",
      3.5: "0.875rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem",
      11: "2.75rem",
      12: "3rem",
      14: "3.5rem",
      16: "4rem",
      20: "5rem",
      24: "6rem",
      28: "7rem",
      32: "8rem",
      36: "9rem",
      40: "10rem",
      44: "11rem",
      48: "12rem",
      52: "13rem",
      56: "14rem",
      60: "15rem",
      64: "16rem",
      72: "18rem",
      80: "20rem",
      96: "24rem"
    },
    stroke: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    strokeWidth: {
      0: "0",
      1: "1",
      2: "2"
    },
    supports: {},
    data: {},
    textColor: ({ theme: e }) => e("colors"),
    textDecorationColor: ({ theme: e }) => e("colors"),
    textDecorationThickness: {
      auto: "auto",
      "from-font": "from-font",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    textIndent: ({ theme: e }) => ({
      ...e("spacing")
    }),
    textOpacity: ({ theme: e }) => e("opacity"),
    textUnderlineOffset: {
      auto: "auto",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    transformOrigin: {
      center: "center",
      top: "top",
      "top-right": "top right",
      right: "right",
      "bottom-right": "bottom right",
      bottom: "bottom",
      "bottom-left": "bottom left",
      left: "left",
      "top-left": "top left"
    },
    transitionDelay: {
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionDuration: {
      DEFAULT: "150ms",
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionProperty: {
      none: "none",
      all: "all",
      DEFAULT: "color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter",
      colors: "color, background-color, border-color, text-decoration-color, fill, stroke",
      opacity: "opacity",
      shadow: "box-shadow",
      transform: "transform"
    },
    transitionTimingFunction: {
      DEFAULT: "cubic-bezier(0.4, 0, 0.2, 1)",
      linear: "linear",
      in: "cubic-bezier(0.4, 0, 1, 1)",
      out: "cubic-bezier(0, 0, 0.2, 1)",
      "in-out": "cubic-bezier(0.4, 0, 0.2, 1)"
    },
    translate: ({ theme: e }) => ({
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    size: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    width: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      screen: "100vw",
      svw: "100svw",
      lvw: "100lvw",
      dvw: "100dvw",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    willChange: {
      auto: "auto",
      scroll: "scroll-position",
      contents: "contents",
      transform: "transform"
    },
    zIndex: {
      auto: "auto",
      0: "0",
      10: "10",
      20: "20",
      30: "30",
      40: "40",
      50: "50"
    }
  },
  plugins: []
};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return n;
    }
  });
  const t = sa, a = /* @__PURE__ */ r(rr);
  function r(i) {
    return i && i.__esModule ? i : {
      default: i
    };
  }
  const n = (0, t.cloneDeep)(a.default.theme);
})(ia);
let dt = ia;
var ca = (dt.__esModule ? dt : { default: dt }).default;
const Ht = /* @__PURE__ */ na(ca);
var ua = {}, da = {}, At = { exports: {} }, F = String, fa = function() {
  return { isColorSupported: !1, reset: F, bold: F, dim: F, italic: F, underline: F, inverse: F, hidden: F, strikethrough: F, black: F, red: F, green: F, yellow: F, blue: F, magenta: F, cyan: F, white: F, gray: F, bgBlack: F, bgRed: F, bgGreen: F, bgYellow: F, bgBlue: F, bgMagenta: F, bgCyan: F, bgWhite: F, blackBright: F, redBright: F, greenBright: F, yellowBright: F, blueBright: F, magentaBright: F, cyanBright: F, whiteBright: F, bgBlackBright: F, bgRedBright: F, bgGreenBright: F, bgYellowBright: F, bgBlueBright: F, bgMagentaBright: F, bgCyanBright: F, bgWhiteBright: F };
};
At.exports = fa();
At.exports.createColors = fa;
var nr = At.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  });
  function t(o, c) {
    for (var f in c) Object.defineProperty(o, f, {
      enumerable: !0,
      get: c[f]
    });
  }
  t(e, {
    dim: function() {
      return l;
    },
    default: function() {
      return s;
    }
  });
  const a = /* @__PURE__ */ r(nr);
  function r(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  let n = /* @__PURE__ */ new Set();
  function i(o, c, f) {
    typeof process < "u" && process.env.JEST_WORKER_ID || f && n.has(f) || (f && n.add(f), console.warn(""), c.forEach((b) => console.warn(o, "-", b)));
  }
  function l(o) {
    return a.default.dim(o);
  }
  const s = {
    info(o, c) {
      i(a.default.bold(a.default.cyan("info")), ...Array.isArray(o) ? [
        o
      ] : [
        c,
        o
      ]);
    },
    warn(o, c) {
      i(a.default.bold(a.default.yellow("warn")), ...Array.isArray(o) ? [
        o
      ] : [
        c,
        o
      ]);
    },
    risk(o, c) {
      i(a.default.bold(a.default.magenta("risk")), ...Array.isArray(o) ? [
        o
      ] : [
        c,
        o
      ]);
    }
  };
})(da);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return n;
    }
  });
  const t = /* @__PURE__ */ a(da);
  function a(i) {
    return i && i.__esModule ? i : {
      default: i
    };
  }
  function r({ version: i, from: l, to: s }) {
    t.default.warn(`${l}-color-renamed`, [
      `As of Tailwind CSS ${i}, \`${l}\` has been renamed to \`${s}\`.`,
      "Update your configuration file to silence this warning."
    ]);
  }
  const n = {
    inherit: "inherit",
    current: "currentColor",
    transparent: "transparent",
    black: "#000",
    white: "#fff",
    slate: {
      50: "#f8fafc",
      100: "#f1f5f9",
      200: "#e2e8f0",
      300: "#cbd5e1",
      400: "#94a3b8",
      500: "#64748b",
      600: "#475569",
      700: "#334155",
      800: "#1e293b",
      900: "#0f172a",
      950: "#020617"
    },
    gray: {
      50: "#f9fafb",
      100: "#f3f4f6",
      200: "#e5e7eb",
      300: "#d1d5db",
      400: "#9ca3af",
      500: "#6b7280",
      600: "#4b5563",
      700: "#374151",
      800: "#1f2937",
      900: "#111827",
      950: "#030712"
    },
    zinc: {
      50: "#fafafa",
      100: "#f4f4f5",
      200: "#e4e4e7",
      300: "#d4d4d8",
      400: "#a1a1aa",
      500: "#71717a",
      600: "#52525b",
      700: "#3f3f46",
      800: "#27272a",
      900: "#18181b",
      950: "#09090b"
    },
    neutral: {
      50: "#fafafa",
      100: "#f5f5f5",
      200: "#e5e5e5",
      300: "#d4d4d4",
      400: "#a3a3a3",
      500: "#737373",
      600: "#525252",
      700: "#404040",
      800: "#262626",
      900: "#171717",
      950: "#0a0a0a"
    },
    stone: {
      50: "#fafaf9",
      100: "#f5f5f4",
      200: "#e7e5e4",
      300: "#d6d3d1",
      400: "#a8a29e",
      500: "#78716c",
      600: "#57534e",
      700: "#44403c",
      800: "#292524",
      900: "#1c1917",
      950: "#0c0a09"
    },
    red: {
      50: "#fef2f2",
      100: "#fee2e2",
      200: "#fecaca",
      300: "#fca5a5",
      400: "#f87171",
      500: "#ef4444",
      600: "#dc2626",
      700: "#b91c1c",
      800: "#991b1b",
      900: "#7f1d1d",
      950: "#450a0a"
    },
    orange: {
      50: "#fff7ed",
      100: "#ffedd5",
      200: "#fed7aa",
      300: "#fdba74",
      400: "#fb923c",
      500: "#f97316",
      600: "#ea580c",
      700: "#c2410c",
      800: "#9a3412",
      900: "#7c2d12",
      950: "#431407"
    },
    amber: {
      50: "#fffbeb",
      100: "#fef3c7",
      200: "#fde68a",
      300: "#fcd34d",
      400: "#fbbf24",
      500: "#f59e0b",
      600: "#d97706",
      700: "#b45309",
      800: "#92400e",
      900: "#78350f",
      950: "#451a03"
    },
    yellow: {
      50: "#fefce8",
      100: "#fef9c3",
      200: "#fef08a",
      300: "#fde047",
      400: "#facc15",
      500: "#eab308",
      600: "#ca8a04",
      700: "#a16207",
      800: "#854d0e",
      900: "#713f12",
      950: "#422006"
    },
    lime: {
      50: "#f7fee7",
      100: "#ecfccb",
      200: "#d9f99d",
      300: "#bef264",
      400: "#a3e635",
      500: "#84cc16",
      600: "#65a30d",
      700: "#4d7c0f",
      800: "#3f6212",
      900: "#365314",
      950: "#1a2e05"
    },
    green: {
      50: "#f0fdf4",
      100: "#dcfce7",
      200: "#bbf7d0",
      300: "#86efac",
      400: "#4ade80",
      500: "#22c55e",
      600: "#16a34a",
      700: "#15803d",
      800: "#166534",
      900: "#14532d",
      950: "#052e16"
    },
    emerald: {
      50: "#ecfdf5",
      100: "#d1fae5",
      200: "#a7f3d0",
      300: "#6ee7b7",
      400: "#34d399",
      500: "#10b981",
      600: "#059669",
      700: "#047857",
      800: "#065f46",
      900: "#064e3b",
      950: "#022c22"
    },
    teal: {
      50: "#f0fdfa",
      100: "#ccfbf1",
      200: "#99f6e4",
      300: "#5eead4",
      400: "#2dd4bf",
      500: "#14b8a6",
      600: "#0d9488",
      700: "#0f766e",
      800: "#115e59",
      900: "#134e4a",
      950: "#042f2e"
    },
    cyan: {
      50: "#ecfeff",
      100: "#cffafe",
      200: "#a5f3fc",
      300: "#67e8f9",
      400: "#22d3ee",
      500: "#06b6d4",
      600: "#0891b2",
      700: "#0e7490",
      800: "#155e75",
      900: "#164e63",
      950: "#083344"
    },
    sky: {
      50: "#f0f9ff",
      100: "#e0f2fe",
      200: "#bae6fd",
      300: "#7dd3fc",
      400: "#38bdf8",
      500: "#0ea5e9",
      600: "#0284c7",
      700: "#0369a1",
      800: "#075985",
      900: "#0c4a6e",
      950: "#082f49"
    },
    blue: {
      50: "#eff6ff",
      100: "#dbeafe",
      200: "#bfdbfe",
      300: "#93c5fd",
      400: "#60a5fa",
      500: "#3b82f6",
      600: "#2563eb",
      700: "#1d4ed8",
      800: "#1e40af",
      900: "#1e3a8a",
      950: "#172554"
    },
    indigo: {
      50: "#eef2ff",
      100: "#e0e7ff",
      200: "#c7d2fe",
      300: "#a5b4fc",
      400: "#818cf8",
      500: "#6366f1",
      600: "#4f46e5",
      700: "#4338ca",
      800: "#3730a3",
      900: "#312e81",
      950: "#1e1b4b"
    },
    violet: {
      50: "#f5f3ff",
      100: "#ede9fe",
      200: "#ddd6fe",
      300: "#c4b5fd",
      400: "#a78bfa",
      500: "#8b5cf6",
      600: "#7c3aed",
      700: "#6d28d9",
      800: "#5b21b6",
      900: "#4c1d95",
      950: "#2e1065"
    },
    purple: {
      50: "#faf5ff",
      100: "#f3e8ff",
      200: "#e9d5ff",
      300: "#d8b4fe",
      400: "#c084fc",
      500: "#a855f7",
      600: "#9333ea",
      700: "#7e22ce",
      800: "#6b21a8",
      900: "#581c87",
      950: "#3b0764"
    },
    fuchsia: {
      50: "#fdf4ff",
      100: "#fae8ff",
      200: "#f5d0fe",
      300: "#f0abfc",
      400: "#e879f9",
      500: "#d946ef",
      600: "#c026d3",
      700: "#a21caf",
      800: "#86198f",
      900: "#701a75",
      950: "#4a044e"
    },
    pink: {
      50: "#fdf2f8",
      100: "#fce7f3",
      200: "#fbcfe8",
      300: "#f9a8d4",
      400: "#f472b6",
      500: "#ec4899",
      600: "#db2777",
      700: "#be185d",
      800: "#9d174d",
      900: "#831843",
      950: "#500724"
    },
    rose: {
      50: "#fff1f2",
      100: "#ffe4e6",
      200: "#fecdd3",
      300: "#fda4af",
      400: "#fb7185",
      500: "#f43f5e",
      600: "#e11d48",
      700: "#be123c",
      800: "#9f1239",
      900: "#881337",
      950: "#4c0519"
    },
    get lightBlue() {
      return r({
        version: "v2.2",
        from: "lightBlue",
        to: "sky"
      }), this.sky;
    },
    get warmGray() {
      return r({
        version: "v3.0",
        from: "warmGray",
        to: "stone"
      }), this.stone;
    },
    get trueGray() {
      return r({
        version: "v3.0",
        from: "trueGray",
        to: "neutral"
      }), this.neutral;
    },
    get coolGray() {
      return r({
        version: "v3.0",
        from: "coolGray",
        to: "gray"
      }), this.gray;
    },
    get blueGray() {
      return r({
        version: "v3.0",
        from: "blueGray",
        to: "slate"
      }), this.slate;
    }
  };
})(ua);
let ft = ua;
var or = (ft.__esModule ? ft : { default: ft }).default;
const Xe = tr, lr = ar, pa = ca, ye = or, [ir, { lineHeight: sr }] = pa.fontSize.base, { spacing: me, borderWidth: Nt, borderRadius: jt } = pa;
function Ce(e, t) {
  return e.replace("<alpha-value>", `var(${t}, 1)`);
}
const cr = lr.withOptions(function(e = { strategy: void 0 }) {
  return function({ addBase: t, addComponents: a, theme: r }) {
    function n(o, c) {
      let f = r(o);
      return !f || f.includes("var(") ? c : f.replace("<alpha-value>", "1");
    }
    const i = e.strategy === void 0 ? ["base", "class"] : [e.strategy], l = [
      {
        base: [
          "[type='text']",
          "input:where(:not([type]))",
          "[type='email']",
          "[type='url']",
          "[type='password']",
          "[type='number']",
          "[type='date']",
          "[type='datetime-local']",
          "[type='month']",
          "[type='search']",
          "[type='tel']",
          "[type='time']",
          "[type='week']",
          "[multiple]",
          "textarea",
          "select"
        ],
        class: [".form-input", ".form-textarea", ".form-select", ".form-multiselect"],
        styles: {
          appearance: "none",
          "background-color": "#fff",
          "border-color": Ce(
            r("colors.gray.500", ye.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": Nt.DEFAULT,
          "border-radius": jt.none,
          "padding-top": me[2],
          "padding-right": me[3],
          "padding-bottom": me[2],
          "padding-left": me[3],
          "font-size": ir,
          "line-height": sr,
          "--tw-shadow": "0 0 #0000",
          "&:focus": {
            outline: "2px solid transparent",
            "outline-offset": "2px",
            "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
            "--tw-ring-offset-width": "0px",
            "--tw-ring-offset-color": "#fff",
            "--tw-ring-color": Ce(
              r("colors.blue.600", ye.blue[600]),
              "--tw-ring-opacity"
            ),
            "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
            "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
            "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)",
            "border-color": Ce(
              r("colors.blue.600", ye.blue[600]),
              "--tw-border-opacity"
            )
          }
        }
      },
      {
        base: ["input::placeholder", "textarea::placeholder"],
        class: [".form-input::placeholder", ".form-textarea::placeholder"],
        styles: {
          color: Ce(r("colors.gray.500", ye.gray[500]), "--tw-text-opacity"),
          opacity: "1"
        }
      },
      {
        base: ["::-webkit-datetime-edit-fields-wrapper"],
        class: [".form-input::-webkit-datetime-edit-fields-wrapper"],
        styles: {
          padding: "0"
        }
      },
      {
        // Unfortunate hack until https://bugs.webkit.org/show_bug.cgi?id=198959 is fixed.
        // This sucks because users can't change line-height with a utility on date inputs now.
        // Reference: https://github.com/twbs/bootstrap/pull/31993
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "min-height": "1.5em"
        }
      },
      {
        // In Safari on iOS date and time inputs are centered instead of left-aligned and can't be
        // changed with `text-align` utilities on the input by default. Resetting this to `inherit`
        // makes them left-aligned by default and makes it possible to override the alignment with
        // utility classes without using an arbitrary variant to target the pseudo-elements.
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "text-align": "inherit"
        }
      },
      {
        // In Safari on macOS date time inputs that are set to `display: block` have unexpected
        // extra bottom spacing. This can be corrected by setting the `::-webkit-datetime-edit`
        // pseudo-element to `display: inline-flex`, instead of the browser default of
        // `display: inline-block`.
        base: ["::-webkit-datetime-edit"],
        class: [".form-input::-webkit-datetime-edit"],
        styles: {
          display: "inline-flex"
        }
      },
      {
        // In Safari on macOS date time inputs are 4px taller than normal inputs
        // This is because there is extra padding on the datetime-edit and datetime-edit-{part}-field pseudo elements
        // See https://github.com/tailwindlabs/tailwindcss-forms/issues/95
        base: [
          "::-webkit-datetime-edit",
          "::-webkit-datetime-edit-year-field",
          "::-webkit-datetime-edit-month-field",
          "::-webkit-datetime-edit-day-field",
          "::-webkit-datetime-edit-hour-field",
          "::-webkit-datetime-edit-minute-field",
          "::-webkit-datetime-edit-second-field",
          "::-webkit-datetime-edit-millisecond-field",
          "::-webkit-datetime-edit-meridiem-field"
        ],
        class: [
          ".form-input::-webkit-datetime-edit",
          ".form-input::-webkit-datetime-edit-year-field",
          ".form-input::-webkit-datetime-edit-month-field",
          ".form-input::-webkit-datetime-edit-day-field",
          ".form-input::-webkit-datetime-edit-hour-field",
          ".form-input::-webkit-datetime-edit-minute-field",
          ".form-input::-webkit-datetime-edit-second-field",
          ".form-input::-webkit-datetime-edit-millisecond-field",
          ".form-input::-webkit-datetime-edit-meridiem-field"
        ],
        styles: {
          "padding-top": 0,
          "padding-bottom": 0
        }
      },
      {
        base: ["select"],
        class: [".form-select"],
        styles: {
          "background-image": `url("${Xe(
            `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20"><path stroke="${n(
              "colors.gray.500",
              ye.gray[500]
            )}" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M6 8l4 4 4-4"/></svg>`
          )}")`,
          "background-position": `right ${me[2]} center`,
          "background-repeat": "no-repeat",
          "background-size": "1.5em 1.5em",
          "padding-right": me[10],
          "print-color-adjust": "exact"
        }
      },
      {
        base: ["[multiple]", '[size]:where(select:not([size="1"]))'],
        class: ['.form-select:where([size]:not([size="1"]))'],
        styles: {
          "background-image": "initial",
          "background-position": "initial",
          "background-repeat": "unset",
          "background-size": "initial",
          "padding-right": me[3],
          "print-color-adjust": "unset"
        }
      },
      {
        base: ["[type='checkbox']", "[type='radio']"],
        class: [".form-checkbox", ".form-radio"],
        styles: {
          appearance: "none",
          padding: "0",
          "print-color-adjust": "exact",
          display: "inline-block",
          "vertical-align": "middle",
          "background-origin": "border-box",
          "user-select": "none",
          "flex-shrink": "0",
          height: me[4],
          width: me[4],
          color: Ce(r("colors.blue.600", ye.blue[600]), "--tw-text-opacity"),
          "background-color": "#fff",
          "border-color": Ce(
            r("colors.gray.500", ye.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": Nt.DEFAULT,
          "--tw-shadow": "0 0 #0000"
        }
      },
      {
        base: ["[type='checkbox']"],
        class: [".form-checkbox"],
        styles: {
          "border-radius": jt.none
        }
      },
      {
        base: ["[type='radio']"],
        class: [".form-radio"],
        styles: {
          "border-radius": "100%"
        }
      },
      {
        base: ["[type='checkbox']:focus", "[type='radio']:focus"],
        class: [".form-checkbox:focus", ".form-radio:focus"],
        styles: {
          outline: "2px solid transparent",
          "outline-offset": "2px",
          "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
          "--tw-ring-offset-width": "2px",
          "--tw-ring-offset-color": "#fff",
          "--tw-ring-color": Ce(
            r("colors.blue.600", ye.blue[600]),
            "--tw-ring-opacity"
          ),
          "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
          "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
          "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)"
        }
      },
      {
        base: ["[type='checkbox']:checked", "[type='radio']:checked"],
        class: [".form-checkbox:checked", ".form-radio:checked"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:checked"],
        class: [".form-checkbox:checked"],
        styles: {
          "background-image": `url("${Xe(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><path d="M12.207 4.793a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-2-2a1 1 0 011.414-1.414L6.5 9.086l4.293-4.293a1 1 0 011.414 0z"/></svg>'
          )}")`,
          "@media (forced-colors: active) ": {
            appearance: "auto"
          }
        }
      },
      {
        base: ["[type='radio']:checked"],
        class: [".form-radio:checked"],
        styles: {
          "background-image": `url("${Xe(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><circle cx="8" cy="8" r="3"/></svg>'
          )}")`,
          "@media (forced-colors: active) ": {
            appearance: "auto"
          }
        }
      },
      {
        base: [
          "[type='checkbox']:checked:hover",
          "[type='checkbox']:checked:focus",
          "[type='radio']:checked:hover",
          "[type='radio']:checked:focus"
        ],
        class: [
          ".form-checkbox:checked:hover",
          ".form-checkbox:checked:focus",
          ".form-radio:checked:hover",
          ".form-radio:checked:focus"
        ],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate"],
        class: [".form-checkbox:indeterminate"],
        styles: {
          "background-image": `url("${Xe(
            '<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 16 16"><path stroke="white" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 8h8"/></svg>'
          )}")`,
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat",
          "@media (forced-colors: active) ": {
            appearance: "auto"
          }
        }
      },
      {
        base: ["[type='checkbox']:indeterminate:hover", "[type='checkbox']:indeterminate:focus"],
        class: [".form-checkbox:indeterminate:hover", ".form-checkbox:indeterminate:focus"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='file']"],
        class: null,
        styles: {
          background: "unset",
          "border-color": "inherit",
          "border-width": "0",
          "border-radius": "0",
          padding: "0",
          "font-size": "unset",
          "line-height": "inherit"
        }
      },
      {
        base: ["[type='file']:focus"],
        class: null,
        styles: {
          outline: ["1px solid ButtonText", "1px auto -webkit-focus-ring-color"]
        }
      }
    ], s = (o) => l.map((c) => c[o] === null ? null : { [c[o]]: c.styles }).filter(Boolean);
    i.includes("base") && t(s("base")), i.includes("class") && a(s("class"));
  };
});
var ur = cr;
const dr = /* @__PURE__ */ na(ur), Bi = function({ addBase: e, addComponents: t, theme: a }) {
  for (const [r, n] of Object.entries(Ga))
    e({
      ":root, :host": {
        [r]: n
      }
    });
  for (const [r, n] of Object.entries(Ya))
    e({
      '[data-context="alternative"]': {
        [r]: n
      }
    });
  dr({
    strategy: "class"
  }).handler({ addBase: e, addComponents: t, theme: a });
}, fr = {
  neutral: {
    0: "var(--neutral-0)",
    50: "var(--neutral-50)",
    100: "var(--neutral-100)",
    200: "var(--neutral-200)",
    300: "var(--neutral-300)",
    400: "var(--neutral-400)",
    500: "var(--neutral-500)",
    600: "var(--neutral-600)",
    700: "var(--neutral-700)",
    800: "var(--neutral-800)",
    900: "var(--neutral-900)"
  },
  brand: {
    50: "var(--brand-50)",
    100: "var(--brand-100)",
    200: "var(--brand-200)",
    300: "var(--brand-300)",
    400: "var(--brand-400)",
    500: "var(--brand-500)",
    600: "var(--brand-600)",
    700: "var(--brand-700)",
    800: "var(--brand-800)",
    900: "var(--brand-900)"
  },
  green: {
    50: "var(--green-50)",
    100: "var(--green-100)",
    200: "var(--green-200)",
    300: "var(--green-300)",
    400: "var(--green-400)",
    500: "var(--green-500)",
    600: "var(--green-600)",
    700: "var(--green-700)",
    800: "var(--green-800)",
    900: "var(--green-900)"
  },
  lime: {
    50: "var(--lime-50)",
    100: "var(--lime-100)",
    200: "var(--lime-200)",
    300: "var(--lime-300)",
    400: "var(--lime-400)",
    500: "var(--lime-500)",
    600: "var(--lime-600)",
    700: "var(--lime-700)",
    800: "var(--lime-800)",
    900: "var(--lime-900)"
  },
  teal: {
    50: "var(--teal-50)",
    100: "var(--teal-100)",
    200: "var(--teal-200)",
    300: "var(--teal-300)",
    400: "var(--teal-400)",
    500: "var(--teal-500)",
    600: "var(--teal-600)",
    700: "var(--teal-700)",
    800: "var(--teal-800)",
    900: "var(--teal-900)"
  },
  blue: {
    50: "var(--blue-50)",
    100: "var(--blue-100)",
    200: "var(--blue-200)",
    300: "var(--blue-300)",
    400: "var(--blue-400)",
    500: "var(--blue-500)",
    600: "var(--blue-600)",
    700: "var(--blue-700)",
    800: "var(--blue-800)",
    900: "var(--blue-900)"
  },
  purple: {
    50: "var(--purple-50)",
    100: "var(--purple-100)",
    200: "var(--purple-200)",
    300: "var(--purple-300)",
    400: "var(--purple-400)",
    500: "var(--purple-500)",
    600: "var(--purple-600)",
    700: "var(--purple-700)",
    800: "var(--purple-800)",
    900: "var(--purple-900)"
  },
  pink: {
    50: "var(--pink-50)",
    100: "var(--pink-100)",
    200: "var(--pink-200)",
    300: "var(--pink-300)",
    400: "var(--pink-400)",
    500: "var(--pink-500)",
    600: "var(--pink-600)",
    700: "var(--pink-700)",
    800: "var(--pink-800)",
    900: "var(--pink-900)"
  },
  red: {
    50: "var(--red-50)",
    100: "var(--red-100)",
    200: "var(--red-200)",
    300: "var(--red-300)",
    400: "var(--red-400)",
    500: "var(--red-500)",
    600: "var(--red-600)",
    700: "var(--red-700)",
    800: "var(--red-800)",
    900: "var(--red-900)"
  },
  orange: {
    50: "var(--orange-50)",
    100: "var(--orange-100)",
    200: "var(--orange-200)",
    300: "var(--orange-300)",
    400: "var(--orange-400)",
    500: "var(--orange-500)",
    600: "var(--orange-600)",
    700: "var(--orange-700)",
    800: "var(--orange-800)",
    900: "var(--orange-900)"
  },
  yellow: {
    50: "var(--yellow-50)",
    100: "var(--yellow-100)",
    200: "var(--yellow-200)",
    300: "var(--yellow-300)",
    400: "var(--yellow-400)",
    500: "var(--yellow-500)",
    600: "var(--yellow-600)",
    700: "var(--yellow-700)",
    800: "var(--yellow-800)",
    900: "var(--yellow-900)"
  },
  "silver-tree": {
    50: "var(--silver-tree-50)",
    100: "var(--silver-tree-100)",
    200: "var(--silver-tree-200)",
    300: "var(--silver-tree-300)",
    400: "var(--silver-tree-400)",
    500: "var(--silver-tree-500)",
    600: "var(--silver-tree-600)",
    700: "var(--silver-tree-700)",
    800: "var(--silver-tree-800)",
    900: "var(--silver-tree-900)"
  },
  gimblet: {
    50: "var(--gimblet-50)",
    100: "var(--gimblet-100)",
    200: "var(--gimblet-200)",
    300: "var(--gimblet-300)",
    400: "var(--gimblet-400)",
    500: "var(--gimblet-500)",
    600: "var(--gimblet-600)",
    700: "var(--gimblet-700)",
    800: "var(--gimblet-800)",
    900: "var(--gimblet-900)"
  },
  mongoose: {
    50: "var(--mongoose-50)",
    100: "var(--mongoose-100)",
    200: "var(--mongoose-200)",
    300: "var(--mongoose-300)",
    400: "var(--mongoose-400)",
    500: "var(--mongoose-500)",
    600: "var(--mongoose-600)",
    700: "var(--mongoose-700)",
    800: "var(--mongoose-800)",
    900: "var(--mongoose-900)"
  },
  "muddy-waters": {
    50: "var(--muddy-waters-50)",
    100: "var(--muddy-waters-100)",
    200: "var(--muddy-waters-200)",
    300: "var(--muddy-waters-300)",
    400: "var(--muddy-waters-400)",
    500: "var(--muddy-waters-500)",
    600: "var(--muddy-waters-600)",
    700: "var(--muddy-waters-700)",
    800: "var(--muddy-waters-800)",
    900: "var(--muddy-waters-900)"
  },
  viola: {
    50: "var(--viola-50)",
    100: "var(--viola-100)",
    200: "var(--viola-200)",
    300: "var(--viola-300)",
    400: "var(--viola-400)",
    500: "var(--viola-500)",
    600: "var(--viola-600)",
    700: "var(--viola-700)",
    800: "var(--viola-800)",
    900: "var(--viola-900)"
  },
  "light-wisteria": {
    50: "var(--light-wisteria-50)",
    100: "var(--light-wisteria-100)",
    200: "var(--light-wisteria-200)",
    300: "var(--light-wisteria-300)",
    400: "var(--light-wisteria-400)",
    500: "var(--light-wisteria-500)",
    600: "var(--light-wisteria-600)",
    700: "var(--light-wisteria-700)",
    800: "var(--light-wisteria-800)",
    900: "var(--light-wisteria-900)"
  },
  "cold-purple": {
    50: "var(--cold-purple-50)",
    100: "var(--cold-purple-100)",
    200: "var(--cold-purple-200)",
    300: "var(--cold-purple-300)",
    400: "var(--cold-purple-400)",
    500: "var(--cold-purple-500)",
    600: "var(--cold-purple-600)",
    700: "var(--cold-purple-700)",
    800: "var(--cold-purple-800)",
    900: "var(--cold-purple-900)"
  },
  "polo-blue": {
    50: "var(--polo-blue-50)",
    100: "var(--polo-blue-100)",
    200: "var(--polo-blue-200)",
    300: "var(--polo-blue-300)",
    400: "var(--polo-blue-400)",
    500: "var(--polo-blue-500)",
    600: "var(--polo-blue-600)",
    700: "var(--polo-blue-700)",
    800: "var(--polo-blue-800)",
    900: "var(--polo-blue-900)"
  },
  neptune: {
    50: "var(--neptune-50)",
    100: "var(--neptune-100)",
    200: "var(--neptune-200)",
    300: "var(--neptune-300)",
    400: "var(--neptune-400)",
    500: "var(--neptune-500)",
    600: "var(--neptune-600)",
    700: "var(--neptune-700)",
    800: "var(--neptune-800)",
    900: "var(--neptune-900)"
  },
  mantis: {
    50: "var(--mantis-50)",
    100: "var(--mantis-100)",
    200: "var(--mantis-200)",
    300: "var(--mantis-300)",
    400: "var(--mantis-400)",
    500: "var(--mantis-500)",
    600: "var(--mantis-600)",
    700: "var(--mantis-700)",
    800: "var(--mantis-800)",
    900: "var(--mantis-900)"
  },
  isbre: {
    50: "var(--isbre-50)",
    100: "var(--isbre-100)",
    200: "var(--isbre-200)",
    300: "var(--isbre-300)",
    400: "var(--isbre-400)",
    500: "var(--isbre-500)",
    600: "var(--isbre-600)",
    700: "var(--isbre-700)"
  }
}, pr = {
  sans: ["Archivo", ...Ht.fontFamily.sans],
  serif: ["IBM Plex Serif", ...Ht.fontFamily.serif]
}, vr = {
  xxs: "0.625rem"
  // 10px
  // Uses default font sizes otherwise
}, br = {
  4.5: "1.125rem"
}, mr = {
  primary: "var(--text-primary)",
  secondary: "var(--text-secondary)",
  tertiary: "var(--text-tertiary)",
  success: {
    DEFAULT: "var(--text-success)"
  },
  warning: {
    DEFAULT: "var(--text-warning)"
  },
  danger: {
    DEFAULT: "var(--text-danger)"
  },
  info: {
    DEFAULT: "var(--text-info)"
  },
  emphasis: {
    DEFAULT: "var(--text-emphasis)"
  },
  interactive: {
    DEFAULT: "var(--text-interactive)",
    hover: "var(--text-interactive-hover)",
    active: "var(--text-interactive-active)"
  },
  button: {
    primary: {
      DEFAULT: "var(--text-button-primary)"
    },
    secondary: {
      DEFAULT: "var(--text-button-secondary)"
    },
    tertiary: {
      DEFAULT: "var(--text-button-tertiary)",
      hover: "var(--text-button-tertiary-hover)",
      active: "var(--text-button-tertiary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--text-button-danger-primary)"
      },
      secondary: {
        DEFAULT: "var(--text-button-danger-secondary)"
      },
      tertiary: {
        DEFAULT: "var(--text-button-danger-tertiary)",
        hover: "var(--text-button-danger-tertiary-hover)",
        active: "var(--text-button-danger-tertiary-active)"
      }
    }
  }
}, gr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, hr = {
  primary: {
    DEFAULT: "var(--bg-primary)",
    hover: "var(--bg-primary-hover)",
    active: "var(--bg-primary-active)"
  },
  secondary: {
    DEFAULT: "var(--bg-secondary)",
    hover: "var(--bg-secondary-hover)",
    active: "var(--bg-secondary-active)"
  },
  tertiary: {
    DEFAULT: "var(--bg-tertiary)",
    hover: "var(--bg-tertiary-hover)",
    active: "var(--bg-tertiary-active)"
  },
  success: {
    DEFAULT: "var(--bg-success)"
  },
  warning: {
    DEFAULT: "var(--bg-warning)"
  },
  danger: {
    DEFAULT: "var(--bg-danger)"
  },
  info: {
    DEFAULT: "var(--bg-info)"
  },
  emphasis: {
    DEFAULT: "var(--bg-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--bg-button-primary)",
      hover: "var(--bg-button-primary-hover)",
      active: "var(--bg-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--bg-button-secondary)",
      hover: "var(--bg-button-secondary-hover)",
      active: "var(--bg-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--bg-button-danger-primary)",
        hover: "var(--bg-button-danger-primary-hover)",
        active: "var(--bg-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--bg-button-danger-secondary)",
        hover: "var(--bg-button-danger-secondary-hover)",
        active: "var(--bg-button-danger-secondary-active)"
      }
    }
  }
}, yr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, wr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Tr = {
  wiggle: {
    "0%, 100%": { transform: "rotate(-3deg)" },
    "50%": { transform: "rotate(3deg)" }
  }
}, kr = {
  wiggle: "wiggle 0.3s ease-in-out infinite"
}, Li = {
  theme: {
    extend: {
      fontFamily: pr,
      fontSize: vr,
      lineHeight: br,
      colors: fr,
      textColor: mr,
      borderColor: gr,
      backgroundColor: hr,
      outlineColor: yr,
      ringColor: wr,
      keyframes: Tr,
      animation: kr
    }
  }
};
function Vt(e, t = 0, a = 1e3) {
  if (a <= 0.1) return { value: e };
  const r = x(t);
  function n(i, l) {
    const s = Date.now(), o = a, c = l - i, f = () => {
      const b = Date.now() - s, g = xr(b, i, c, o);
      b < o ? (r.value = Math.floor(g), window.requestAnimationFrame(f)) : r.value = l;
    };
    f();
  }
  return re(
    e,
    (i) => {
      n(r.value ?? t, i);
    },
    { immediate: !0 }
  ), { value: r };
}
function xr(e, t, a, r) {
  return e /= r, -a * e * (e - 2) + t;
}
function qr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q43 0 83 8.5t77 24.5v90q0 32 22.5 54.5T717-680h3v23q0 23 17 40t40 17h85q9 29 13.5 58.5T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm0-180q58 0 107-28t79-76q6-12-1-24t-21-12H316q-14 0-21 12t-1 24q30 48 79.5 76T480-260ZM340-520q25 0 42.5-17.5T400-580q0-25-17.5-42.5T340-640q-25 0-42.5 17.5T280-580q0 25 17.5 42.5T340-520Zm280 0q25 0 42.5-17.5T680-580q0-25-17.5-42.5T620-640q-25 0-42.5 17.5T560-580q0 25 17.5 42.5T620-520Zm180-240h-40q-17 0-28.5-11.5T720-800q0-17 11.5-28.5T760-840h40v-40q0-17 11.5-28.5T840-920q17 0 28.5 11.5T880-880v40h40q17 0 28.5 11.5T960-800q0 17-11.5 28.5T920-760h-40v40q0 17-11.5 28.5T840-680q-17 0-28.5-11.5T800-720v-40Z" })
  ]);
}
function $r(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-480Zm0 400q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q43 0 83 8.5t77 24.5v90q-35-20-75.5-31.5T480-800q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160q133 0 226.5-93.5T800-480q0-32-6.5-62T776-600h86q9 29 13.5 58.5T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm320-680h-40q-17 0-28.5-11.5T720-800q0-17 11.5-28.5T760-840h40v-40q0-17 11.5-28.5T840-920q17 0 28.5 11.5T880-880v40h40q17 0 28.5 11.5T960-800q0 17-11.5 28.5T920-760h-40v40q0 17-11.5 28.5T840-680q-17 0-28.5-11.5T800-720v-40ZM620-520q25 0 42.5-17.5T680-580q0-25-17.5-42.5T620-640q-25 0-42.5 17.5T560-580q0 25 17.5 42.5T620-520Zm-280 0q25 0 42.5-17.5T400-580q0-25-17.5-42.5T340-640q-25 0-42.5 17.5T280-580q0 25 17.5 42.5T340-520Zm140 260q58 0 107-28t79-76q6-12-1-24t-21-12H316q-14 0-21 12t-1 24q30 48 79.5 76T480-260Z" })
  ]);
}
function Cr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m382-480 294 294q15 15 14.5 35T675-116q-15 15-35 15t-35-15L297-423q-12-12-18-27t-6-30q0-15 6-30t18-27l308-308q15-15 35.5-14.5T676-844q15 15 15 35t-15 35L382-480Z" })
  ]);
}
function Er(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M440-313v-447q0-17 11.5-28.5T480-800q17 0 28.5 11.5T520-760v447l196-196q12-12 28-11.5t28 12.5q11 12 11.5 28T772-452L508-188q-6 6-13 8.5t-15 2.5q-8 0-15-2.5t-13-8.5L188-452q-11-11-11-27.5t11-28.5q12-12 28.5-12t28.5 12l195 195Z" })
  ]);
}
function _r(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M647-440H200q-17 0-28.5-11.5T160-480q0-17 11.5-28.5T200-520h447L451-716q-12-12-11.5-28t12.5-28q12-11 28-11.5t28 11.5l264 264q6 6 8.5 13t2.5 15q0 8-2.5 15t-8.5 13L508-188q-11 11-27.5 11T452-188q-12-12-12-28.5t12-28.5l195-195Z" })
  ]);
}
function Br(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M579-480 285-774q-15-15-14.5-35.5T286-845q15-15 35.5-15t35.5 15l307 308q12 12 18 27t6 30q0 15-6 30t-18 27L356-115q-15 15-35 14.5T286-116q-15-15-15-35.5t15-35.5l293-293Z" })
  ]);
}
function Lr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M440-647 244-451q-12 12-28 11.5T188-452q-11-12-11.5-28t11.5-28l264-264q6-6 13-8.5t15-2.5q8 0 15 2.5t13 8.5l264 264q11 11 11 27.5T772-452q-12 12-28.5 12T715-452L520-647v447q0 17-11.5 28.5T480-160q-17 0-28.5-11.5T440-200v-447Z" })
  ]);
}
function va(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m382-354 339-339q12-12 28.5-12t28.5 12q12 12 12 28.5T778-636L410-268q-12 12-28 12t-28-12L182-440q-12-12-11.5-28.5T183-497q12-12 28.5-12t28.5 12l142 143Z" })
  ]);
}
function Sr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m424-408-86-86q-11-11-28-11t-28 11q-11 11-11 28t11 28l114 114q12 12 28 12t28-12l226-226q11-11 11-28t-11-28q-11-11-28-11t-28 11L424-408Zm56 328q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function je(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-424 284-228q-11 11-28 11t-28-11q-11-11-11-28t11-28l196-196-196-196q-11-11-11-28t11-28q11-11 28-11t28 11l196 196 196-196q11-11 28-11t28 11q11 11 11 28t-11 28L536-480l196 196q11 11 11 28t-11 28q-11 11-28 11t-28-11L480-424Z" })
  ]);
}
function Fr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-81 33.5-157.5t93-134.5Q266-830 348-860t180-18q15 2 23 12.5t9 28.5q2 64 47.5 109.5T716-680q21 1 32 12t12 34q2 42 25.5 69t65.5 41q14 5 21.5 14.5T880-486q2 83-29 157t-85 129.5Q712-144 638-112T480-80Zm0-80q122 0 216.5-84T800-458q-50-22-78.5-60T683-603q-77-11-132-66t-68-132q-80-2-140.5 29t-101 79.5Q201-644 180.5-587T160-480q0 133 93.5 226.5T480-160Zm0-324Zm-60-76q25 0 42.5-17.5T480-620q0-25-17.5-42.5T420-680q-25 0-42.5 17.5T360-620q0 25 17.5 42.5T420-560Zm-80 200q25 0 42.5-17.5T400-420q0-25-17.5-42.5T340-480q-25 0-42.5 17.5T280-420q0 25 17.5 42.5T340-360Zm260 40q17 0 28.5-11.5T640-360q0-17-11.5-28.5T600-400q-17 0-28.5 11.5T560-360q0 17 11.5 28.5T600-320Z" })
  ]);
}
function Ar(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-280q17 0 28.5-11.5T520-320q0-17-11.5-28.5T480-360q-17 0-28.5 11.5T440-320q0 17 11.5 28.5T480-280Zm0-160q17 0 28.5-11.5T520-480v-160q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640v160q0 17 11.5 28.5T480-440Zm0 360q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function Pr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-362q-8 0-15-2.5t-13-8.5L268-557q-11-11-11-28t11-28q11-11 28-11t28 11l156 156 156-156q11-11 28-11t28 11q11 11 11 28t-11 28L508-373q-6 6-13 8.5t-15 2.5Z" })
  ]);
}
function Dr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-280q17 0 28.5-11.5T520-320v-160q0-17-11.5-28.5T480-520q-17 0-28.5 11.5T440-480v160q0 17 11.5 28.5T480-280Zm0-320q17 0 28.5-11.5T520-640q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640q0 17 11.5 28.5T480-600Zm0 520q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function Mr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-280q17 0 28.5-11.5T520-320v-160q0-17-11.5-28.5T480-520q-17 0-28.5 11.5T440-480v160q0 17 11.5 28.5T480-280Zm0-320q17 0 28.5-11.5T520-640q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640q0 17 11.5 28.5T480-600Zm0 520q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm0-80q134 0 227-93t93-227q0-134-93-227t-227-93q-134 0-227 93t-93 227q0 134 93 227t227 93Zm0-320Z" })
  ]);
}
function Or(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-361q-8 0-15-2.5t-13-8.5L268-556q-11-11-11-28t11-28q11-11 28-11t28 11l156 156 156-156q11-11 28-11t28 11q11 11 11 28t-11 28L508-372q-6 6-13 8.5t-15 2.5Z" })
  ]);
}
function Ir(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m432-480 156 156q11 11 11 28t-11 28q-11 11-28 11t-28-11L348-452q-6-6-8.5-13t-2.5-15q0-8 2.5-15t8.5-13l184-184q11-11 28-11t28 11q11 11 11 28t-11 28L432-480Z" })
  ]);
}
function zr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M240-80q-33 0-56.5-23.5T160-160v-400q0-33 23.5-56.5T240-640h40v-80q0-83 58.5-141.5T480-920q83 0 141.5 58.5T680-720v80h40q33 0 56.5 23.5T800-560v400q0 33-23.5 56.5T720-80H240Zm0-80h480v-400H240v400Zm240-120q33 0 56.5-23.5T560-360q0-33-23.5-56.5T480-440q-33 0-56.5 23.5T400-360q0 33 23.5 56.5T480-280ZM360-640h240v-80q0-50-35-85t-85-35q-50 0-85 35t-35 85v80ZM240-160v-400 400Z" })
  ]);
}
function Rr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M200-200q-17 0-28.5-11.5T160-240q0-17 11.5-28.5T200-280h40v-280q0-83 50-147.5T420-792v-28q0-25 17.5-42.5T480-880q25 0 42.5 17.5T540-820v28q80 20 130 84.5T720-560v280h40q17 0 28.5 11.5T800-240q0 17-11.5 28.5T760-200H200ZM480-80q-33 0-56.5-23.5T400-160h160q0 33-23.5 56.5T480-80Z" })
  ]);
}
function Ur(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M200-120q-33 0-56.5-23.5T120-200v-560q0-33 23.5-56.5T200-840h240q17 0 28.5 11.5T480-800q0 17-11.5 28.5T440-760H200v560h560v-240q0-17 11.5-28.5T800-480q17 0 28.5 11.5T840-440v240q0 33-23.5 56.5T760-120H200Zm560-584L416-360q-11 11-28 11t-28-11q-11-11-11-28t11-28l344-344H600q-17 0-28.5-11.5T560-800q0-17 11.5-28.5T600-840h240v240q0 17-11.5 28.5T800-560q-17 0-28.5-11.5T760-600v-104Z" })
  ]);
}
function Hr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M520-496v-144q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640v159q0 8 3 15.5t9 13.5l132 132q11 11 28 11t28-11q11-11 11-28t-11-28L520-496ZM480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm0-400Zm0 320q133 0 226.5-93.5T800-480q0-133-93.5-226.5T480-800q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160Z" })
  ]);
}
function Nr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M360-440q-17 0-28.5-11.5T320-480v-247l-75 75q-11 11-27.5 11T189-652q-12-12-12-28.5t12-28.5l143-143q6-6 13-8.5t15-2.5q8 0 15 2.5t13 8.5l144 144q12 12 11.5 28T531-652q-12 11-28 11.5T475-652l-75-75v247q0 17-11.5 28.5T360-440ZM600-97q-8 0-15-2.5t-13-8.5L428-252q-12-12-11.5-28t12.5-28q12-11 28-11.5t28 11.5l75 75v-247q0-17 11.5-28.5T600-520q17 0 28.5 11.5T640-480v247l75-75q11-11 27.5-11t28.5 11q12 12 12 28.5T771-251L628-108q-6 6-13 8.5T600-97Z" })
  ]);
}
function jr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q48 0 93.5 11t87.5 32q15 8 19.5 24t-5.5 30q-10 14-26.5 18t-32.5-4q-32-15-66.5-23t-69.5-8q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160q133 0 226.5-93.5T800-480q0-8-.5-15.5T798-511q-2-17 6.5-32.5T830-564q16-5 30 3t16 24q2 14 3 28t1 29q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm-56-328 372-373q11-11 27.5-11.5T852-781q11 11 11 28t-11 28L452-324q-12 12-28 12t-28-12L282-438q-11-11-11-28t11-28q11-11 28-11t28 11l86 86Z" })
  ]);
}
function Vr(e, t) {
  return u(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M109-120q-11 0-20-5.5T75-140q-5-9-5.5-19.5T75-180l370-640q6-10 15.5-15t19.5-5q10 0 19.5 5t15.5 15l370 640q6 10 5.5 20.5T885-140q-5 9-14 14.5t-20 5.5H109Zm371-120q17 0 28.5-11.5T520-280q0-17-11.5-28.5T480-320q-17 0-28.5 11.5T440-280q0 17 11.5 28.5T480-240Zm0-120q17 0 28.5-11.5T520-400v-120q0-17-11.5-28.5T480-560q-17 0-28.5 11.5T440-520v120q0 17 11.5 28.5T480-360Z" })
  ]);
}
const Zr = { class: "bcc-alert-content" }, Wr = {
  key: 0,
  class: "bcc-alert-title"
}, Si = /* @__PURE__ */ C({
  __name: "BccAlert",
  props: {
    context: { default: "info" },
    icon: { type: [Boolean, String, Function, Object], default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !1 },
    open: { type: Boolean, default: !0 },
    contrast: { default: "light" },
    bordered: { type: Boolean, default: !1 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const a = t, r = {
      info: Dr,
      success: jr,
      warning: Vr,
      danger: Ar,
      neutral: Rr
    };
    return (n, i) => (u(), M(Ue, { name: "bcc-fade" }, {
      default: U(() => [
        n.open ? (u(), d("div", {
          key: 0,
          class: B(["bcc-alert", [T(St)[n.context], { bordered: n.bordered }, n.contrast]])
        }, [
          n.icon ? (u(), M(le(typeof n.icon == "boolean" ? r[n.context] || T(Mr) : n.icon), {
            key: 0,
            class: "bcc-alert-icon"
          })) : k("", !0),
          p("div", Zr, [
            n.title ? (u(), d("h3", Wr, L(n.title), 1)) : k("", !0),
            p("p", null, [
              N(n.$slots, "default")
            ])
          ]),
          n.closeButton ? (u(), d("button", {
            key: 1,
            onClick: i[0] || (i[0] = Lt((l) => a("close"), ["prevent"])),
            "aria-label": "Close alert",
            class: "bcc-alert-close-button"
          }, [
            H(T(je), { class: "bcc-alert-close-icon" })
          ])) : k("", !0)
        ], 2)) : k("", !0)
      ]),
      _: 3
    }));
  }
}), Fi = /* @__PURE__ */ C({
  __name: "BccAvatar",
  props: {
    initials: {},
    gender: { default: "unknown" },
    child: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(e) {
    return (t, a) => (u(), d("div", {
      class: B(["bcc-avatar", {
        "bcc-avatar-xs": t.size === "xs",
        "bcc-avatar-man": !t.child && t.gender === "male",
        "bcc-avatar-woman": !t.child && t.gender === "female",
        "bcc-avatar-person": !t.child && t.gender === "unknown",
        "bcc-avatar-boy": t.child && t.gender === "male",
        "bcc-avatar-girl": t.child && t.gender === "female",
        "bcc-avatar-child": t.child && t.gender === "unknown"
      }])
    }, L(t.initials.slice(0, 2)), 3));
  }
}), Gr = { class: "order-2" }, Yr = /* @__PURE__ */ C({
  __name: "BccBadge",
  props: {
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    size: { default: "xs" },
    contrast: { default: "light" },
    bordered: { type: Boolean, default: !1 },
    context: { default: "neutral" }
  },
  setup(e) {
    return (t, a) => (u(), d("div", {
      class: B(["bcc-badge", [T(St)[t.context], t.contrast, t.size, { bordered: t.bordered }]])
    }, [
      t.icon ? (u(), M(le(t.icon), {
        key: 0,
        class: B(["bcc-badge-icon", [t.iconRight ? "order-3" : "order-1"]])
      }, null, 8, ["class"])) : k("", !0),
      p("span", Gr, [
        N(t.$slots, "default")
      ])
    ], 2));
  }
}), rt = /* @__PURE__ */ C({
  __name: "BccButton",
  props: {
    is: { type: [String, Function, Object], default: "button" },
    variant: { default: "primary" },
    context: { default: "default" },
    size: { default: "base" },
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    justifyContent: { type: Boolean, default: !1 },
    rounded: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    padding: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, a = Jt(), r = t.icon !== void 0 && !a.default, n = {
      xs: "bcc-button-xs",
      sm: "bcc-button-sm",
      base: "",
      lg: "bcc-button-lg",
      xl: "bcc-button-xl"
    }, i = {
      primary: "bcc-button-primary",
      secondary: "bcc-button-secondary",
      tertiary: "bcc-button-tertiary"
    }, l = {
      default: "",
      danger: "bcc-button-danger"
    };
    return (s, o) => (u(), M(le(s.is), {
      disabled: s.disabled,
      class: B(["bcc-button", [
        n[s.size],
        i[s.variant],
        l[s.context],
        {
          "bcc-button-no-padding": !s.padding,
          "bcc-button-icon-only": T(r),
          "bcc-button-rounded": s.rounded,
          "bcc-button-justify-content": s.justifyContent
        }
      ]])
    }, {
      default: U(() => [
        N(s.$slots, "default"),
        s.icon ? (u(), M(le(s.icon), {
          key: 0,
          class: B(["bcc-button-icon", [s.iconRight ? "order-2" : "-order-1"]])
        }, null, 8, ["class"])) : k("", !0)
      ]),
      _: 3
    }, 8, ["disabled", "class"]));
  }
}), Kr = ["stroke-dashoffset"], Xr = ["stroke-dashoffset"], Qr = ["y", "font-size"], Jr = {
  key: 3,
  d: "M14.4122 25.1588C13.1109 25.1588 12.017 24.6844 11.1305 23.7354C10.244 22.7864 9.80078 21.6525 9.80078 20.3337C9.80078 19.0287 10.2475 17.9121 11.1409 16.984C12.0343 16.0559 13.1247 15.5918 14.4122 15.5918C14.9358 15.5918 15.4424 15.679 15.9319 15.8533C16.4214 16.0277 16.8557 16.2965 17.2347 16.6597L19.0662 18.417L17.885 19.5628L16.1877 17.9045C15.9538 17.6704 15.6828 17.5015 15.3745 17.3978C15.0663 17.294 14.7475 17.2422 14.4182 17.2422C13.5803 17.2422 12.8763 17.5449 12.3063 18.1504C11.7362 18.756 11.4512 19.4851 11.4512 20.3379C11.4512 21.2047 11.7327 21.9497 12.2957 22.5732C12.8587 23.1967 13.566 23.5085 14.4176 23.5085C14.7413 23.5085 15.0554 23.4567 15.3599 23.3532C15.6644 23.2497 15.9391 23.088 16.1839 22.8681L22.7673 16.6597C23.1462 16.2965 23.5805 16.0277 24.07 15.8533C24.5596 15.679 25.0592 15.5918 25.5689 15.5918C26.8702 15.5918 27.9676 16.0559 28.861 16.984C29.7544 17.9121 30.2012 19.0287 30.2012 20.3337C30.2012 21.6525 29.7544 22.7864 28.861 23.7354C27.9676 24.6844 26.8702 25.1588 25.5689 25.1588C25.0592 25.1588 24.5561 25.0751 24.0596 24.9077C23.5631 24.7403 23.1324 24.475 22.7673 24.1117L20.9892 22.3545L22.1586 21.2087L23.8177 22.8681C24.0383 23.0885 24.3035 23.2503 24.6133 23.3536C24.9231 23.4568 25.2398 23.5085 25.5635 23.5085C26.4151 23.5085 27.1259 23.1961 27.6958 22.5714C28.2658 21.9467 28.5508 21.2021 28.5508 20.3377C28.5508 19.4872 28.2623 18.7586 27.6854 18.152C27.1085 17.5455 26.4012 17.2422 25.5635 17.2422C25.2398 17.2422 24.9257 17.3009 24.6212 17.4183C24.3167 17.5357 24.0489 17.7043 23.818 17.9242L17.2347 24.1326C16.8557 24.4819 16.418 24.7403 15.9215 24.9077C15.425 25.0751 14.9219 25.1588 14.4122 25.1588Z",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, Ai = /* @__PURE__ */ C({
  __name: "BccCapacityIndicator",
  props: {
    total: {},
    used: { default: 0 },
    size: { default: "base" },
    animationDuration: { default: 1e3 },
    squared: { type: Boolean, default: !1 },
    context: { default: "default" }
  },
  setup(e) {
    const t = e, { value: a } = Vt(
      Ma(t, "used"),
      t.used,
      t.animationDuration
    ), r = w(() => t.total === -1 ? -1 : t.used > t.total || t.used === t.total ? 100 : t.total > 0 ? t.used / t.total * 100 : 0), { value: n } = Vt(
      r,
      r.value,
      t.animationDuration
    ), i = Math.PI * 18 * 2;
    return (l, s) => (u(), d("svg", {
      width: "2em",
      height: "2em",
      viewBox: "0 0 40 40",
      class: B(["bcc-capacity-indicator", [
        l.size,
        l.squared ? "rounded" : "rounded-full",
        { "bcc-capacity-indicator-full": T(n) >= 100 },
        l.context === "default" ? {
          "bcc-capacity-indicator-open": l.total == -1 || T(n) >= 0 && T(n) < 50,
          "bcc-capacity-indicator-warning": T(n) >= 50 && T(n) < 100
        } : "bcc-capacity-indicator-colored"
      ]])
    }, [
      l.squared ? (u(), d(Z, { key: 0 }, [
        s[0] || (s[0] = p("rect", {
          width: "36",
          height: "36",
          x: "2",
          y: "2",
          rx: "4",
          fill: "none",
          stroke: "currentColor",
          "stroke-width": "4"
        }, null, -1)),
        T(n) > 0 ? (u(), d("path", {
          key: 0,
          d: "M 20 2 h 14 a 4 4 0 0 1 4 4 v 28 a 4 4 0 0 1 -4 4 h -28 a 4 4 0 0 1 -4 -4 v -28 a 4 4 0 0 1 4 -4 h 14 z",
          fill: "none",
          "stroke-width": "4",
          "stroke-dasharray": 137,
          "stroke-dashoffset": 137 * ((100 - T(n)) / 100),
          stroke: "currentColor",
          class: "bcc-capacity-indicator-circle-used"
        }, null, 8, Kr)) : k("", !0)
      ], 64)) : (u(), d(Z, { key: 1 }, [
        s[1] || (s[1] = p("circle", {
          cx: "20",
          cy: "20",
          r: "18",
          fill: "none",
          "stroke-width": "3",
          stroke: "currentColor"
        }, null, -1)),
        T(n) > 0 ? (u(), d("circle", {
          key: 0,
          cx: "20",
          cy: "20",
          r: "18",
          fill: "none",
          "stroke-width": "3",
          "stroke-dasharray": i,
          "stroke-dashoffset": i * ((100 - T(n)) / 100),
          stroke: "currentColor",
          transform: "rotate(-90 20 20)",
          class: "bcc-capacity-indicator-circle-used"
        }, null, 8, Xr)) : k("", !0)
      ], 64)),
      T(n) > -1 ? (u(), d("text", {
        key: 2,
        "text-anchor": "middle",
        x: "20",
        y: l.squared || l.size == "xs" ? 26 : 25,
        "font-size": l.squared || l.size == "xs" ? 16 : 14,
        "font-weight": "600",
        fill: "currentColor",
        class: "bcc-capacity-indicator-text"
      }, L(T(n) < 100 ? l.total - T(a) : 0), 9, Qr)) : (u(), d("path", Jr))
    ], 2));
  }
});
let en = 0;
function tn() {
  return ++en;
}
function ot() {
  return tn();
}
const an = ["disabled", "value"], Pi = /* @__PURE__ */ C({
  __name: "BccCheckbox",
  props: /* @__PURE__ */ ge({
    value: { type: [String, Number, Boolean], default: !0 },
    label: {},
    disabled: { type: Boolean, default: !1 },
    indeterminate: { type: Boolean, default: !1 },
    size: { default: "base" }
  }, {
    modelValue: { type: [Boolean, Array] },
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(e) {
    const t = e, a = Fe(e, "modelValue"), { indeterminate: r } = nt(t), n = x(null), i = `bcc-checkbox-${ot()}`;
    return W(() => {
      re(
        r,
        (l) => {
          if (n.value) {
            const s = n.value;
            s.indeterminate = l;
          }
        },
        { immediate: !0 }
      );
    }), (l, s) => (u(), d("div", {
      class: B(["bcc-checkbox-wrapper", {
        "bcc-checkbox-wrapper-disabled": l.disabled
      }])
    }, [
      we(p("input", {
        type: "checkbox",
        class: B(["bcc-checkbox", l.size]),
        id: i,
        disabled: l.disabled,
        "onUpdate:modelValue": s[0] || (s[0] = (o) => a.value = o),
        value: l.value,
        ref_key: "input",
        ref: n
      }, null, 10, an), [
        [ea, a.value]
      ]),
      l.label ? (u(), d("label", {
        key: 0,
        for: i
      }, L(l.label), 1)) : k("", !0)
    ], 2));
  }
}), rn = {
  key: 0,
  class: "bcc-cookie-banner-overlay"
}, nn = {
  key: 0,
  class: "bcc-cookie-banner-wrapper"
}, on = { class: "bcc-cookie-banner" }, ln = { class: "bcc-cookie-banner-content" }, sn = { class: "bcc-cookie-banner-title" }, cn = { class: "bcc-cookie-banner-actions" }, Di = /* @__PURE__ */ C({
  __name: "BccCookieBanner",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    showOverlay: { type: Boolean, default: !0 },
    declineButtonText: { default: "Decline" },
    acceptButtonText: { default: "Accept" }
  },
  emits: ["accept", "decline"],
  setup(e, { emit: t }) {
    const a = t;
    return (r, n) => (u(), d(Z, null, [
      r.showOverlay ? (u(), M(Ue, {
        key: 0,
        name: "fade"
      }, {
        default: U(() => [
          r.open ? (u(), d("div", rn)) : k("", !0)
        ]),
        _: 1
      })) : k("", !0),
      H(Ue, { name: "fade-fast" }, {
        default: U(() => [
          r.open ? (u(), d("div", nn, [
            p("div", on, [
              p("div", ln, [
                p("div", sn, [
                  H(T(Fr), { class: "bcc-cookie-banner-icon" }),
                  p("h4", null, L(r.title), 1)
                ]),
                p("p", null, [
                  N(r.$slots, "default")
                ])
              ]),
              p("div", cn, [
                H(rt, {
                  variant: "secondary",
                  onClick: n[0] || (n[0] = (i) => a("decline")),
                  class: "bcc-cookie-banner-decline-button"
                }, {
                  default: U(() => [
                    fe(L(r.declineButtonText), 1)
                  ]),
                  _: 1
                }),
                H(rt, {
                  onClick: n[1] || (n[1] = (i) => a("accept")),
                  class: "bcc-cookie-banner-accept-button"
                }, {
                  default: U(() => [
                    fe(L(r.acceptButtonText), 1)
                  ]),
                  _: 1
                })
              ])
            ])
          ])) : k("", !0)
        ]),
        _: 3
      })
    ], 64));
  }
}), un = ["for"], dn = {
  key: 0,
  class: "bcc-form-label-optional"
}, Pt = /* @__PURE__ */ C({
  __name: "BccFormLabel",
  props: {
    size: { default: "base" },
    for: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" }
  },
  setup(e) {
    const t = e;
    return (a, r) => (u(), d("label", {
      class: B(["bcc-form-label", { "bcc-form-label-lg": a.size === "lg" }]),
      for: t.for
    }, [
      p("span", null, [
        N(a.$slots, "default")
      ]),
      a.showOptionalLabel ? (u(), d("span", dn, L(a.optionalLabel), 1)) : k("", !0)
    ], 10, un));
  }
}), ba = /* @__PURE__ */ C({
  __name: "BccFormMessage",
  props: {
    state: { default: "default" }
  },
  setup(e) {
    return (t, a) => (u(), d("span", {
      class: B(["bcc-form-message", {
        "bcc-form-message-default": t.state === "default",
        "bcc-form-message-error": t.state === "error",
        "bcc-form-message-success": t.state === "success"
      }])
    }, [
      N(t.$slots, "default")
    ], 2));
  }
});
function Dt() {
  const e = Oa(), t = w(() => {
    const a = {};
    for (const r in e)
      r !== "class" && r !== "style" && (a[r] = e[r]);
    return a;
  });
  return { attrs: e, attrsWithoutStyles: t };
}
const fn = {
  key: 0,
  class: "bcc-input-icon-wrapper"
}, pn = {
  key: 1,
  class: "bcc-input-clear-button-wrapper"
}, vn = {
  inheritAttrs: !1
}, Mi = /* @__PURE__ */ C({
  ...vn,
  __name: "BccInput",
  props: {
    modelValue: {},
    is: { default: "input" },
    state: { default: "default" },
    size: { default: "base" },
    icon: {},
    clearable: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue", "clear"],
  setup(e, { emit: t }) {
    const a = e, { attrsWithoutStyles: r } = Dt(), n = `bcc-input-${ot()}`, i = t, l = w(() => a.showOptionalLabel && !a.required);
    function s() {
      i("update:modelValue", ""), i("clear");
    }
    return (o, c) => (u(), d("div", {
      class: B(["bcc-input-container", o.$attrs.class]),
      style: ke(o.$attrs.style)
    }, [
      o.label || l.value ? (u(), M(Pt, {
        key: 0,
        for: n,
        size: o.size === "lg" ? "lg" : void 0,
        showOptionalLabel: l.value,
        optionalLabel: o.optionalLabel
      }, {
        default: U(() => [
          fe(L(o.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : k("", !0),
      p("div", {
        class: B(["bcc-input-wrapper", {
          "bcc-input-sm": o.size === "sm",
          "bcc-input-lg": o.size === "lg"
        }])
      }, [
        o.icon && o.is !== "textarea" ? (u(), d("div", fn, [
          (u(), M(le(o.icon), {
            class: B(["bcc-input-icon", { "bcc-input-icon-disabled": o.disabled }]),
            "aria-hidden": "true"
          }, null, 8, ["class"]))
        ])) : k("", !0),
        (u(), M(le(o.is), Se({
          id: n,
          disabled: o.disabled,
          required: o.required,
          class: ["bcc-input", {
            "bcc-input-error": o.state === "error",
            "bcc-input-success": o.state === "success",
            "bcc-input-with-icon": o.icon && o.is !== "textarea",
            "bcc-input-clearable": o.clearable && o.is !== "textarea"
          }],
          value: o.modelValue,
          onInput: c[0] || (c[0] = (f) => i("update:modelValue", f.target.value))
        }, T(r)), null, 16, ["disabled", "required", "class", "value"])),
        o.clearable && o.modelValue && o.is !== "textarea" ? (u(), d("div", pn, [
          c[1] || (c[1] = p("span", {
            class: "sr-only",
            id: "bcc-input-clear-desc"
          }, "Clear input", -1)),
          H(T(je), {
            class: "bcc-input-clear-button",
            "aria-describedby": "bcc-input-clear-desc",
            onClick: s
          })
        ])) : k("", !0)
      ], 2),
      o.$slots.default ? (u(), M(ba, {
        key: 1,
        state: o.state
      }, {
        default: U(() => [
          N(o.$slots, "default")
        ]),
        _: 3
      }, 8, ["state"])) : k("", !0)
    ], 6));
  }
});
function lt(e) {
  typeof queueMicrotask == "function" ? queueMicrotask(e) : Promise.resolve().then(e).catch((t) => setTimeout(() => {
    throw t;
  }));
}
function Ve() {
  let e = [], t = { addEventListener(a, r, n, i) {
    return a.addEventListener(r, n, i), t.add(() => a.removeEventListener(r, n, i));
  }, requestAnimationFrame(...a) {
    let r = requestAnimationFrame(...a);
    t.add(() => cancelAnimationFrame(r));
  }, nextFrame(...a) {
    t.requestAnimationFrame(() => {
      t.requestAnimationFrame(...a);
    });
  }, setTimeout(...a) {
    let r = setTimeout(...a);
    t.add(() => clearTimeout(r));
  }, microTask(...a) {
    let r = { current: !0 };
    return lt(() => {
      r.current && a[0]();
    }), t.add(() => {
      r.current = !1;
    });
  }, style(a, r, n) {
    let i = a.style.getPropertyValue(r);
    return Object.assign(a.style, { [r]: n }), this.add(() => {
      Object.assign(a.style, { [r]: i });
    });
  }, group(a) {
    let r = Ve();
    return a(r), this.add(() => r.dispose());
  }, add(a) {
    return e.push(a), () => {
      let r = e.indexOf(a);
      if (r >= 0) for (let n of e.splice(r, 1)) n();
    };
  }, dispose() {
    for (let a of e.splice(0)) a();
  } };
  return t;
}
var Zt;
let bn = Symbol("headlessui.useid"), mn = 0;
const he = (Zt = Ut.useId) != null ? Zt : function() {
  return Ut.inject(bn, () => `${++mn}`)();
};
function D(e) {
  var t;
  if (e == null || e.value == null) return null;
  let a = (t = e.value.$el) != null ? t : e.value;
  return a instanceof Node ? a : null;
}
function te(e, t, ...a) {
  if (e in t) {
    let n = t[e];
    return typeof n == "function" ? n(...a) : n;
  }
  let r = new Error(`Tried to handle "${e}" but there is no handler defined. Only defined handlers are: ${Object.keys(t).map((n) => `"${n}"`).join(", ")}.`);
  throw Error.captureStackTrace && Error.captureStackTrace(r, te), r;
}
var gn = Object.defineProperty, hn = (e, t, a) => t in e ? gn(e, t, { enumerable: !0, configurable: !0, writable: !0, value: a }) : e[t] = a, Wt = (e, t, a) => (hn(e, typeof t != "symbol" ? t + "" : t, a), a);
let yn = class {
  constructor() {
    Wt(this, "current", this.detect()), Wt(this, "currentId", 0);
  }
  set(t) {
    this.current !== t && (this.currentId = 0, this.current = t);
  }
  reset() {
    this.set(this.detect());
  }
  nextId() {
    return ++this.currentId;
  }
  get isServer() {
    return this.current === "server";
  }
  get isClient() {
    return this.current === "client";
  }
  detect() {
    return typeof window > "u" || typeof document > "u" ? "server" : "client";
  }
}, Ze = new yn();
function Ae(e) {
  if (Ze.isServer) return null;
  if (e instanceof Node) return e.ownerDocument;
  if (e != null && e.hasOwnProperty("value")) {
    let t = D(e);
    if (t) return t.ownerDocument;
  }
  return document;
}
let kt = ["[contentEditable=true]", "[tabindex]", "a[href]", "area[href]", "button:not([disabled])", "iframe", "input:not([disabled])", "select:not([disabled])", "textarea:not([disabled])"].map((e) => `${e}:not([tabindex='-1'])`).join(",");
var X = ((e) => (e[e.First = 1] = "First", e[e.Previous = 2] = "Previous", e[e.Next = 4] = "Next", e[e.Last = 8] = "Last", e[e.WrapAround = 16] = "WrapAround", e[e.NoScroll = 32] = "NoScroll", e))(X || {}), De = ((e) => (e[e.Error = 0] = "Error", e[e.Overflow = 1] = "Overflow", e[e.Success = 2] = "Success", e[e.Underflow = 3] = "Underflow", e))(De || {}), wn = ((e) => (e[e.Previous = -1] = "Previous", e[e.Next = 1] = "Next", e))(wn || {});
function Tn(e = document.body) {
  return e == null ? [] : Array.from(e.querySelectorAll(kt)).sort((t, a) => Math.sign((t.tabIndex || Number.MAX_SAFE_INTEGER) - (a.tabIndex || Number.MAX_SAFE_INTEGER)));
}
var ma = ((e) => (e[e.Strict = 0] = "Strict", e[e.Loose = 1] = "Loose", e))(ma || {});
function kn(e, t = 0) {
  var a;
  return e === ((a = Ae(e)) == null ? void 0 : a.body) ? !1 : te(t, { 0() {
    return e.matches(kt);
  }, 1() {
    let r = e;
    for (; r !== null; ) {
      if (r.matches(kt)) return !0;
      r = r.parentElement;
    }
    return !1;
  } });
}
var xn = ((e) => (e[e.Keyboard = 0] = "Keyboard", e[e.Mouse = 1] = "Mouse", e))(xn || {});
typeof window < "u" && typeof document < "u" && (document.addEventListener("keydown", (e) => {
  e.metaKey || e.altKey || e.ctrlKey || (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0), document.addEventListener("click", (e) => {
  e.detail === 1 ? delete document.documentElement.dataset.headlessuiFocusVisible : e.detail === 0 && (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0));
function Le(e) {
  e == null || e.focus({ preventScroll: !0 });
}
let qn = ["textarea", "input"].join(",");
function $n(e) {
  var t, a;
  return (a = (t = e == null ? void 0 : e.matches) == null ? void 0 : t.call(e, qn)) != null ? a : !1;
}
function Pe(e, t = (a) => a) {
  return e.slice().sort((a, r) => {
    let n = t(a), i = t(r);
    if (n === null || i === null) return 0;
    let l = n.compareDocumentPosition(i);
    return l & Node.DOCUMENT_POSITION_FOLLOWING ? -1 : l & Node.DOCUMENT_POSITION_PRECEDING ? 1 : 0;
  });
}
function be(e, t, { sorted: a = !0, relativeTo: r = null, skipElements: n = [] } = {}) {
  var i;
  let l = (i = Array.isArray(e) ? e.length > 0 ? e[0].ownerDocument : document : e == null ? void 0 : e.ownerDocument) != null ? i : document, s = Array.isArray(e) ? a ? Pe(e) : e : Tn(e);
  n.length > 0 && s.length > 1 && (s = s.filter((m) => !n.includes(m))), r = r ?? l.activeElement;
  let o = (() => {
    if (t & 5) return 1;
    if (t & 10) return -1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), c = (() => {
    if (t & 1) return 0;
    if (t & 2) return Math.max(0, s.indexOf(r)) - 1;
    if (t & 4) return Math.max(0, s.indexOf(r)) + 1;
    if (t & 8) return s.length - 1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), f = t & 32 ? { preventScroll: !0 } : {}, b = 0, g = s.length, y;
  do {
    if (b >= g || b + g <= 0) return 0;
    let m = c + b;
    if (t & 16) m = (m + g) % g;
    else {
      if (m < 0) return 3;
      if (m >= g) return 1;
    }
    y = s[m], y == null || y.focus(f), b += o;
  } while (y !== l.activeElement);
  return t & 6 && $n(y) && y.select(), 2;
}
function ga() {
  return /iPhone/gi.test(window.navigator.platform) || /Mac/gi.test(window.navigator.platform) && window.navigator.maxTouchPoints > 0;
}
function Cn() {
  return /Android/gi.test(window.navigator.userAgent);
}
function En() {
  return ga() || Cn();
}
function Qe(e, t, a) {
  Ze.isServer || ae((r) => {
    document.addEventListener(e, t, a), r(() => document.removeEventListener(e, t, a));
  });
}
function ha(e, t, a) {
  Ze.isServer || ae((r) => {
    window.addEventListener(e, t, a), r(() => window.removeEventListener(e, t, a));
  });
}
function _n(e, t, a = w(() => !0)) {
  function r(i, l) {
    if (!a.value || i.defaultPrevented) return;
    let s = l(i);
    if (s === null || !s.getRootNode().contains(s)) return;
    let o = function c(f) {
      return typeof f == "function" ? c(f()) : Array.isArray(f) || f instanceof Set ? f : [f];
    }(e);
    for (let c of o) {
      if (c === null) continue;
      let f = c instanceof HTMLElement ? c : D(c);
      if (f != null && f.contains(s) || i.composed && i.composedPath().includes(f)) return;
    }
    return !kn(s, ma.Loose) && s.tabIndex !== -1 && i.preventDefault(), t(i, s);
  }
  let n = x(null);
  Qe("pointerdown", (i) => {
    var l, s;
    a.value && (n.value = ((s = (l = i.composedPath) == null ? void 0 : l.call(i)) == null ? void 0 : s[0]) || i.target);
  }, !0), Qe("mousedown", (i) => {
    var l, s;
    a.value && (n.value = ((s = (l = i.composedPath) == null ? void 0 : l.call(i)) == null ? void 0 : s[0]) || i.target);
  }, !0), Qe("click", (i) => {
    En() || n.value && (r(i, () => n.value), n.value = null);
  }, !0), Qe("touchend", (i) => r(i, () => i.target instanceof HTMLElement ? i.target : null), !0), ha("blur", (i) => r(i, () => window.document.activeElement instanceof HTMLIFrameElement ? window.document.activeElement : null), !0);
}
function Gt(e, t) {
  if (e) return e;
  let a = t ?? "button";
  if (typeof a == "string" && a.toLowerCase() === "button") return "button";
}
function Bn(e, t) {
  let a = x(Gt(e.value.type, e.value.as));
  return W(() => {
    a.value = Gt(e.value.type, e.value.as);
  }), ae(() => {
    var r;
    a.value || D(t) && D(t) instanceof HTMLButtonElement && !((r = D(t)) != null && r.hasAttribute("type")) && (a.value = "button");
  }), a;
}
var Me = ((e) => (e[e.None = 0] = "None", e[e.RenderStrategy = 1] = "RenderStrategy", e[e.Static = 2] = "Static", e))(Me || {}), Te = ((e) => (e[e.Unmount = 0] = "Unmount", e[e.Hidden = 1] = "Hidden", e))(Te || {});
function Q({ visible: e = !0, features: t = 0, ourProps: a, theirProps: r, ...n }) {
  var i;
  let l = wa(r, a), s = Object.assign(n, { props: l });
  if (e || t & 2 && l.static) return pt(s);
  if (t & 1) {
    let o = (i = l.unmount) == null || i ? 0 : 1;
    return te(o, { 0() {
      return null;
    }, 1() {
      return pt({ ...n, props: { ...l, hidden: !0, style: { display: "none" } } });
    } });
  }
  return pt(s);
}
function pt({ props: e, attrs: t, slots: a, slot: r, name: n }) {
  var i, l;
  let { as: s, ...o } = Mt(e, ["unmount", "static"]), c = (i = a.default) == null ? void 0 : i.call(a, r), f = {};
  if (r) {
    let b = !1, g = [];
    for (let [y, m] of Object.entries(r)) typeof m == "boolean" && (b = !0), m === !0 && g.push(y);
    b && (f["data-headlessui-state"] = g.join(" "));
  }
  if (s === "template") {
    if (c = ya(c ?? []), Object.keys(o).length > 0 || Object.keys(t).length > 0) {
      let [b, ...g] = c ?? [];
      if (!Ln(b) || g.length > 0) throw new Error(['Passing props on "template"!', "", `The current component <${n} /> is rendering a "template".`, "However we need to passthrough the following props:", Object.keys(o).concat(Object.keys(t)).map((v) => v.trim()).filter((v, h, S) => S.indexOf(v) === h).sort((v, h) => v.localeCompare(h)).map((v) => `  - ${v}`).join(`
`), "", "You can apply a few solutions:", ['Add an `as="..."` prop, to ensure that we render an actual element instead of a "template".', "Render a single element as the child so that we can forward the props onto that element."].map((v) => `  - ${v}`).join(`
`)].join(`
`));
      let y = wa((l = b.props) != null ? l : {}, o, f), m = Ia(b, y, !0);
      for (let v in y) v.startsWith("on") && (m.props || (m.props = {}), m.props[v] = y[v]);
      return m;
    }
    return Array.isArray(c) && c.length === 1 ? c[0] : c;
  }
  return G(s, Object.assign({}, o, f), { default: () => c });
}
function ya(e) {
  return e.flatMap((t) => t.type === Z ? ya(t.children) : [t]);
}
function wa(...e) {
  if (e.length === 0) return {};
  if (e.length === 1) return e[0];
  let t = {}, a = {};
  for (let r of e) for (let n in r) n.startsWith("on") && typeof r[n] == "function" ? (a[n] != null || (a[n] = []), a[n].push(r[n])) : t[n] = r[n];
  if (t.disabled || t["aria-disabled"]) return Object.assign(t, Object.fromEntries(Object.keys(a).map((r) => [r, void 0])));
  for (let r in a) Object.assign(t, { [r](n, ...i) {
    let l = a[r];
    for (let s of l) {
      if (n instanceof Event && n.defaultPrevented) return;
      s(n, ...i);
    }
  } });
  return t;
}
function Mt(e, t = []) {
  let a = Object.assign({}, e);
  for (let r of t) r in a && delete a[r];
  return a;
}
function Ln(e) {
  return e == null ? !1 : typeof e.type == "string" || typeof e.type == "object" || typeof e.type == "function";
}
var He = ((e) => (e[e.None = 1] = "None", e[e.Focusable = 2] = "Focusable", e[e.Hidden = 4] = "Hidden", e))(He || {});
let Ne = C({ name: "Hidden", props: { as: { type: [Object, String], default: "div" }, features: { type: Number, default: 1 } }, setup(e, { slots: t, attrs: a }) {
  return () => {
    var r;
    let { features: n, ...i } = e, l = { "aria-hidden": (n & 2) === 2 ? !0 : (r = i["aria-hidden"]) != null ? r : void 0, hidden: (n & 4) === 4 ? !0 : void 0, style: { position: "fixed", top: 1, left: 1, width: 1, height: 0, padding: 0, margin: -1, overflow: "hidden", clip: "rect(0, 0, 0, 0)", whiteSpace: "nowrap", borderWidth: "0", ...(n & 4) === 4 && (n & 2) !== 2 && { display: "none" } } };
    return Q({ ourProps: l, theirProps: i, slot: {}, attrs: a, slots: t, name: "Hidden" });
  };
} }), Ta = Symbol("Context");
var ne = ((e) => (e[e.Open = 1] = "Open", e[e.Closed = 2] = "Closed", e[e.Closing = 4] = "Closing", e[e.Opening = 8] = "Opening", e))(ne || {});
function Sn() {
  return Ot() !== null;
}
function Ot() {
  return ee(Ta, null);
}
function Fn(e) {
  pe(Ta, e);
}
var de = ((e) => (e.Space = " ", e.Enter = "Enter", e.Escape = "Escape", e.Backspace = "Backspace", e.Delete = "Delete", e.ArrowLeft = "ArrowLeft", e.ArrowUp = "ArrowUp", e.ArrowRight = "ArrowRight", e.ArrowDown = "ArrowDown", e.Home = "Home", e.End = "End", e.PageUp = "PageUp", e.PageDown = "PageDown", e.Tab = "Tab", e))(de || {});
function An(e) {
  function t() {
    document.readyState !== "loading" && (e(), document.removeEventListener("DOMContentLoaded", t));
  }
  typeof window < "u" && typeof document < "u" && (document.addEventListener("DOMContentLoaded", t), t());
}
let _e = [];
An(() => {
  function e(t) {
    t.target instanceof HTMLElement && t.target !== document.body && _e[0] !== t.target && (_e.unshift(t.target), _e = _e.filter((a) => a != null && a.isConnected), _e.splice(10));
  }
  window.addEventListener("click", e, { capture: !0 }), window.addEventListener("mousedown", e, { capture: !0 }), window.addEventListener("focus", e, { capture: !0 }), document.body.addEventListener("click", e, { capture: !0 }), document.body.addEventListener("mousedown", e, { capture: !0 }), document.body.addEventListener("focus", e, { capture: !0 });
});
function ka(e, t, a, r) {
  Ze.isServer || ae((n) => {
    e = e ?? window, e.addEventListener(t, a, r), n(() => e.removeEventListener(t, a, r));
  });
}
var Re = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(Re || {});
function Pn() {
  let e = x(0);
  return ha("keydown", (t) => {
    t.key === "Tab" && (e.value = t.shiftKey ? 1 : 0);
  }), e;
}
function xa(e) {
  if (!e) return /* @__PURE__ */ new Set();
  if (typeof e == "function") return new Set(e());
  let t = /* @__PURE__ */ new Set();
  for (let a of e.value) {
    let r = D(a);
    r instanceof HTMLElement && t.add(r);
  }
  return t;
}
var qa = ((e) => (e[e.None = 1] = "None", e[e.InitialFocus = 2] = "InitialFocus", e[e.TabLock = 4] = "TabLock", e[e.FocusLock = 8] = "FocusLock", e[e.RestoreFocus = 16] = "RestoreFocus", e[e.All = 30] = "All", e))(qa || {});
let Ie = Object.assign(C({ name: "FocusTrap", props: { as: { type: [Object, String], default: "div" }, initialFocus: { type: Object, default: null }, features: { type: Number, default: 30 }, containers: { type: [Object, Function], default: x(/* @__PURE__ */ new Set()) } }, inheritAttrs: !1, setup(e, { attrs: t, slots: a, expose: r }) {
  let n = x(null);
  r({ el: n, $el: n });
  let i = w(() => Ae(n)), l = x(!1);
  W(() => l.value = !0), ie(() => l.value = !1), Mn({ ownerDocument: i }, w(() => l.value && !!(e.features & 16)));
  let s = On({ ownerDocument: i, container: n, initialFocus: w(() => e.initialFocus) }, w(() => l.value && !!(e.features & 2)));
  In({ ownerDocument: i, container: n, containers: e.containers, previousActiveElement: s }, w(() => l.value && !!(e.features & 8)));
  let o = Pn();
  function c(y) {
    let m = D(n);
    m && ((v) => v())(() => {
      te(o.value, { [Re.Forwards]: () => {
        be(m, X.First, { skipElements: [y.relatedTarget] });
      }, [Re.Backwards]: () => {
        be(m, X.Last, { skipElements: [y.relatedTarget] });
      } });
    });
  }
  let f = x(!1);
  function b(y) {
    y.key === "Tab" && (f.value = !0, requestAnimationFrame(() => {
      f.value = !1;
    }));
  }
  function g(y) {
    if (!l.value) return;
    let m = xa(e.containers);
    D(n) instanceof HTMLElement && m.add(D(n));
    let v = y.relatedTarget;
    v instanceof HTMLElement && v.dataset.headlessuiFocusGuard !== "true" && ($a(m, v) || (f.value ? be(D(n), te(o.value, { [Re.Forwards]: () => X.Next, [Re.Backwards]: () => X.Previous }) | X.WrapAround, { relativeTo: y.target }) : y.target instanceof HTMLElement && Le(y.target)));
  }
  return () => {
    let y = {}, m = { ref: n, onKeydown: b, onFocusout: g }, { features: v, initialFocus: h, containers: S, ...q } = e;
    return G(Z, [!!(v & 4) && G(Ne, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: c, features: He.Focusable }), Q({ ourProps: m, theirProps: { ...t, ...q }, slot: y, attrs: t, slots: a, name: "FocusTrap" }), !!(v & 4) && G(Ne, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: c, features: He.Focusable })]);
  };
} }), { features: qa });
function Dn(e) {
  let t = x(_e.slice());
  return re([e], ([a], [r]) => {
    r === !0 && a === !1 ? lt(() => {
      t.value.splice(0);
    }) : r === !1 && a === !0 && (t.value = _e.slice());
  }, { flush: "post" }), () => {
    var a;
    return (a = t.value.find((r) => r != null && r.isConnected)) != null ? a : null;
  };
}
function Mn({ ownerDocument: e }, t) {
  let a = Dn(t);
  W(() => {
    ae(() => {
      var r, n;
      t.value || ((r = e.value) == null ? void 0 : r.activeElement) === ((n = e.value) == null ? void 0 : n.body) && Le(a());
    }, { flush: "post" });
  }), ie(() => {
    t.value && Le(a());
  });
}
function On({ ownerDocument: e, container: t, initialFocus: a }, r) {
  let n = x(null), i = x(!1);
  return W(() => i.value = !0), ie(() => i.value = !1), W(() => {
    re([t, a, r], (l, s) => {
      if (l.every((c, f) => (s == null ? void 0 : s[f]) === c) || !r.value) return;
      let o = D(t);
      o && lt(() => {
        var c, f;
        if (!i.value) return;
        let b = D(a), g = (c = e.value) == null ? void 0 : c.activeElement;
        if (b) {
          if (b === g) {
            n.value = g;
            return;
          }
        } else if (o.contains(g)) {
          n.value = g;
          return;
        }
        b ? Le(b) : be(o, X.First | X.NoScroll) === De.Error && console.warn("There are no focusable elements inside the <FocusTrap />"), n.value = (f = e.value) == null ? void 0 : f.activeElement;
      });
    }, { immediate: !0, flush: "post" });
  }), n;
}
function In({ ownerDocument: e, container: t, containers: a, previousActiveElement: r }, n) {
  var i;
  ka((i = e.value) == null ? void 0 : i.defaultView, "focus", (l) => {
    if (!n.value) return;
    let s = xa(a);
    D(t) instanceof HTMLElement && s.add(D(t));
    let o = r.value;
    if (!o) return;
    let c = l.target;
    c && c instanceof HTMLElement ? $a(s, c) ? (r.value = c, Le(c)) : (l.preventDefault(), l.stopPropagation(), Le(o)) : Le(r.value);
  }, !0);
}
function $a(e, t) {
  for (let a of e) if (a.contains(t)) return !0;
  return !1;
}
function zn(e) {
  let t = ta(e.getSnapshot());
  return ie(e.subscribe(() => {
    t.value = e.getSnapshot();
  })), t;
}
function Rn(e, t) {
  let a = e(), r = /* @__PURE__ */ new Set();
  return { getSnapshot() {
    return a;
  }, subscribe(n) {
    return r.add(n), () => r.delete(n);
  }, dispatch(n, ...i) {
    let l = t[n].call(a, ...i);
    l && (a = l, r.forEach((s) => s()));
  } };
}
function Un() {
  let e;
  return { before({ doc: t }) {
    var a;
    let r = t.documentElement;
    e = ((a = t.defaultView) != null ? a : window).innerWidth - r.clientWidth;
  }, after({ doc: t, d: a }) {
    let r = t.documentElement, n = r.clientWidth - r.offsetWidth, i = e - n;
    a.style(r, "paddingRight", `${i}px`);
  } };
}
function Hn() {
  return ga() ? { before({ doc: e, d: t, meta: a }) {
    function r(n) {
      return a.containers.flatMap((i) => i()).some((i) => i.contains(n));
    }
    t.microTask(() => {
      var n;
      if (window.getComputedStyle(e.documentElement).scrollBehavior !== "auto") {
        let s = Ve();
        s.style(e.documentElement, "scrollBehavior", "auto"), t.add(() => t.microTask(() => s.dispose()));
      }
      let i = (n = window.scrollY) != null ? n : window.pageYOffset, l = null;
      t.addEventListener(e, "click", (s) => {
        if (s.target instanceof HTMLElement) try {
          let o = s.target.closest("a");
          if (!o) return;
          let { hash: c } = new URL(o.href), f = e.querySelector(c);
          f && !r(f) && (l = f);
        } catch {
        }
      }, !0), t.addEventListener(e, "touchstart", (s) => {
        if (s.target instanceof HTMLElement) if (r(s.target)) {
          let o = s.target;
          for (; o.parentElement && r(o.parentElement); ) o = o.parentElement;
          t.style(o, "overscrollBehavior", "contain");
        } else t.style(s.target, "touchAction", "none");
      }), t.addEventListener(e, "touchmove", (s) => {
        if (s.target instanceof HTMLElement) {
          if (s.target.tagName === "INPUT") return;
          if (r(s.target)) {
            let o = s.target;
            for (; o.parentElement && o.dataset.headlessuiPortal !== "" && !(o.scrollHeight > o.clientHeight || o.scrollWidth > o.clientWidth); ) o = o.parentElement;
            o.dataset.headlessuiPortal === "" && s.preventDefault();
          } else s.preventDefault();
        }
      }, { passive: !1 }), t.add(() => {
        var s;
        let o = (s = window.scrollY) != null ? s : window.pageYOffset;
        i !== o && window.scrollTo(0, i), l && l.isConnected && (l.scrollIntoView({ block: "nearest" }), l = null);
      });
    });
  } } : {};
}
function Nn() {
  return { before({ doc: e, d: t }) {
    t.style(e.documentElement, "overflow", "hidden");
  } };
}
function jn(e) {
  let t = {};
  for (let a of e) Object.assign(t, a(t));
  return t;
}
let Be = Rn(() => /* @__PURE__ */ new Map(), { PUSH(e, t) {
  var a;
  let r = (a = this.get(e)) != null ? a : { doc: e, count: 0, d: Ve(), meta: /* @__PURE__ */ new Set() };
  return r.count++, r.meta.add(t), this.set(e, r), this;
}, POP(e, t) {
  let a = this.get(e);
  return a && (a.count--, a.meta.delete(t)), this;
}, SCROLL_PREVENT({ doc: e, d: t, meta: a }) {
  let r = { doc: e, d: t, meta: jn(a) }, n = [Hn(), Un(), Nn()];
  n.forEach(({ before: i }) => i == null ? void 0 : i(r)), n.forEach(({ after: i }) => i == null ? void 0 : i(r));
}, SCROLL_ALLOW({ d: e }) {
  e.dispose();
}, TEARDOWN({ doc: e }) {
  this.delete(e);
} });
Be.subscribe(() => {
  let e = Be.getSnapshot(), t = /* @__PURE__ */ new Map();
  for (let [a] of e) t.set(a, a.documentElement.style.overflow);
  for (let a of e.values()) {
    let r = t.get(a.doc) === "hidden", n = a.count !== 0;
    (n && !r || !n && r) && Be.dispatch(a.count > 0 ? "SCROLL_PREVENT" : "SCROLL_ALLOW", a), a.count === 0 && Be.dispatch("TEARDOWN", a);
  }
});
function Vn(e, t, a) {
  let r = zn(Be), n = w(() => {
    let i = e.value ? r.value.get(e.value) : void 0;
    return i ? i.count > 0 : !1;
  });
  return re([e, t], ([i, l], [s], o) => {
    if (!i || !l) return;
    Be.dispatch("PUSH", i, a);
    let c = !1;
    o(() => {
      c || (Be.dispatch("POP", s ?? i, a), c = !0);
    });
  }, { immediate: !0 }), n;
}
let vt = /* @__PURE__ */ new Map(), ze = /* @__PURE__ */ new Map();
function Yt(e, t = x(!0)) {
  ae((a) => {
    var r;
    if (!t.value) return;
    let n = D(e);
    if (!n) return;
    a(function() {
      var l;
      if (!n) return;
      let s = (l = ze.get(n)) != null ? l : 1;
      if (s === 1 ? ze.delete(n) : ze.set(n, s - 1), s !== 1) return;
      let o = vt.get(n);
      o && (o["aria-hidden"] === null ? n.removeAttribute("aria-hidden") : n.setAttribute("aria-hidden", o["aria-hidden"]), n.inert = o.inert, vt.delete(n));
    });
    let i = (r = ze.get(n)) != null ? r : 0;
    ze.set(n, i + 1), i === 0 && (vt.set(n, { "aria-hidden": n.getAttribute("aria-hidden"), inert: n.inert }), n.setAttribute("aria-hidden", "true"), n.inert = !0);
  });
}
function Zn({ defaultContainers: e = [], portals: t, mainTreeNodeRef: a } = {}) {
  let r = x(null), n = Ae(r);
  function i() {
    var l, s, o;
    let c = [];
    for (let f of e) f !== null && (f instanceof HTMLElement ? c.push(f) : "value" in f && f.value instanceof HTMLElement && c.push(f.value));
    if (t != null && t.value) for (let f of t.value) c.push(f);
    for (let f of (l = n == null ? void 0 : n.querySelectorAll("html > *, body > *")) != null ? l : []) f !== document.body && f !== document.head && f instanceof HTMLElement && f.id !== "headlessui-portal-root" && (f.contains(D(r)) || f.contains((o = (s = D(r)) == null ? void 0 : s.getRootNode()) == null ? void 0 : o.host) || c.some((b) => f.contains(b)) || c.push(f));
    return c;
  }
  return { resolveContainers: i, contains(l) {
    return i().some((s) => s.contains(l));
  }, mainTreeNodeRef: r, MainTreeNode() {
    return a != null ? null : G(Ne, { features: He.Hidden, ref: r });
  } };
}
let Ca = Symbol("ForcePortalRootContext");
function Wn() {
  return ee(Ca, !1);
}
let xt = C({ name: "ForcePortalRoot", props: { as: { type: [Object, String], default: "template" }, force: { type: Boolean, default: !1 } }, setup(e, { slots: t, attrs: a }) {
  return pe(Ca, e.force), () => {
    let { force: r, ...n } = e;
    return Q({ theirProps: n, ourProps: {}, slot: {}, slots: t, attrs: a, name: "ForcePortalRoot" });
  };
} }), Ea = Symbol("StackContext");
var qt = ((e) => (e[e.Add = 0] = "Add", e[e.Remove = 1] = "Remove", e))(qt || {});
function Gn() {
  return ee(Ea, () => {
  });
}
function Yn({ type: e, enabled: t, element: a, onUpdate: r }) {
  let n = Gn();
  function i(...l) {
    r == null || r(...l), n(...l);
  }
  W(() => {
    re(t, (l, s) => {
      l ? i(0, e, a) : s === !0 && i(1, e, a);
    }, { immediate: !0, flush: "sync" });
  }), ie(() => {
    t.value && i(1, e, a);
  }), pe(Ea, i);
}
let _a = Symbol("DescriptionContext");
function Kn() {
  let e = ee(_a, null);
  if (e === null) throw new Error("Missing parent");
  return e;
}
function Xn({ slot: e = x({}), name: t = "Description", props: a = {} } = {}) {
  let r = x([]);
  function n(i) {
    return r.value.push(i), () => {
      let l = r.value.indexOf(i);
      l !== -1 && r.value.splice(l, 1);
    };
  }
  return pe(_a, { register: n, slot: e, name: t, props: a }), w(() => r.value.length > 0 ? r.value.join(" ") : void 0);
}
C({ name: "Description", props: { as: { type: [Object, String], default: "p" }, id: { type: String, default: null } }, setup(e, { attrs: t, slots: a }) {
  var r;
  let n = (r = e.id) != null ? r : `headlessui-description-${he()}`, i = Kn();
  return W(() => ie(i.register(n))), () => {
    let { name: l = "Description", slot: s = x({}), props: o = {} } = i, { ...c } = e, f = { ...Object.entries(o).reduce((b, [g, y]) => Object.assign(b, { [g]: T(y) }), {}), id: n };
    return Q({ ourProps: f, theirProps: c, slot: s.value, attrs: t, slots: a, name: l });
  };
} });
function Qn(e) {
  let t = Ae(e);
  if (!t) {
    if (e === null) return null;
    throw new Error(`[Headless UI]: Cannot find ownerDocument for contextElement: ${e}`);
  }
  let a = t.getElementById("headlessui-portal-root");
  if (a) return a;
  let r = t.createElement("div");
  return r.setAttribute("id", "headlessui-portal-root"), t.body.appendChild(r);
}
const $t = /* @__PURE__ */ new WeakMap();
function Jn(e) {
  var t;
  return (t = $t.get(e)) != null ? t : 0;
}
function Kt(e, t) {
  let a = t(Jn(e));
  return a <= 0 ? $t.delete(e) : $t.set(e, a), a;
}
let Ba = C({ name: "Portal", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: a }) {
  let r = x(null), n = w(() => Ae(r)), i = Wn(), l = ee(La, null), s = x(i === !0 || l == null ? Qn(r.value) : l.resolveTarget());
  s.value && Kt(s.value, (g) => g + 1);
  let o = x(!1);
  W(() => {
    o.value = !0;
  }), ae(() => {
    i || l != null && (s.value = l.resolveTarget());
  });
  let c = ee(Ct, null), f = !1, b = za();
  return re(r, () => {
    if (f || !c) return;
    let g = D(r);
    g && (ie(c.register(g), b), f = !0);
  }), ie(() => {
    var g, y;
    let m = (g = n.value) == null ? void 0 : g.getElementById("headlessui-portal-root");
    !m || s.value !== m || Kt(s.value, (v) => v - 1) || s.value.children.length > 0 || (y = s.value.parentElement) == null || y.removeChild(s.value);
  }), () => {
    if (!o.value || s.value === null) return null;
    let g = { ref: r, "data-headlessui-portal": "" };
    return G(Ra, { to: s.value }, Q({ ourProps: g, theirProps: e, slot: {}, attrs: a, slots: t, name: "Portal" }));
  };
} }), Ct = Symbol("PortalParentContext");
function eo() {
  let e = ee(Ct, null), t = x([]);
  function a(i) {
    return t.value.push(i), e && e.register(i), () => r(i);
  }
  function r(i) {
    let l = t.value.indexOf(i);
    l !== -1 && t.value.splice(l, 1), e && e.unregister(i);
  }
  let n = { register: a, unregister: r, portals: t };
  return [t, C({ name: "PortalWrapper", setup(i, { slots: l }) {
    return pe(Ct, n), () => {
      var s;
      return (s = l.default) == null ? void 0 : s.call(l);
    };
  } })];
}
let La = Symbol("PortalGroupContext"), to = C({ name: "PortalGroup", props: { as: { type: [Object, String], default: "template" }, target: { type: Object, default: null } }, setup(e, { attrs: t, slots: a }) {
  let r = wt({ resolveTarget() {
    return e.target;
  } });
  return pe(La, r), () => {
    let { target: n, ...i } = e;
    return Q({ theirProps: i, ourProps: {}, slot: {}, attrs: t, slots: a, name: "PortalGroup" });
  };
} });
var ao = ((e) => (e[e.Open = 0] = "Open", e[e.Closed = 1] = "Closed", e))(ao || {});
let Et = Symbol("DialogContext");
function We(e) {
  let t = ee(Et, null);
  if (t === null) {
    let a = new Error(`<${e} /> is missing a parent <Dialog /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(a, We), a;
  }
  return t;
}
let Je = "DC8F892D-2EBD-447C-A4C8-A03058436FF4", ro = C({ name: "Dialog", inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, open: { type: [Boolean, String], default: Je }, initialFocus: { type: Object, default: null }, id: { type: String, default: null }, role: { type: String, default: "dialog" } }, emits: { close: (e) => !0 }, setup(e, { emit: t, attrs: a, slots: r, expose: n }) {
  var i, l;
  let s = (i = e.id) != null ? i : `headlessui-dialog-${he()}`, o = x(!1);
  W(() => {
    o.value = !0;
  });
  let c = !1, f = w(() => e.role === "dialog" || e.role === "alertdialog" ? e.role : (c || (c = !0, console.warn(`Invalid role [${f}] passed to <Dialog />. Only \`dialog\` and and \`alertdialog\` are supported. Using \`dialog\` instead.`)), "dialog")), b = x(0), g = Ot(), y = w(() => e.open === Je && g !== null ? (g.value & ne.Open) === ne.Open : e.open), m = x(null), v = w(() => Ae(m));
  if (n({ el: m, $el: m }), !(e.open !== Je || g !== null)) throw new Error("You forgot to provide an `open` prop to the `Dialog`.");
  if (typeof y.value != "boolean") throw new Error(`You provided an \`open\` prop to the \`Dialog\`, but the value is not a boolean. Received: ${y.value === Je ? void 0 : e.open}`);
  let h = w(() => o.value && y.value ? 0 : 1), S = w(() => h.value === 0), q = w(() => b.value > 1), E = ee(Et, null) !== null, [A, _] = eo(), { resolveContainers: j, mainTreeNodeRef: I, MainTreeNode: J } = Zn({ portals: A, defaultContainers: [w(() => {
    var P;
    return (P = K.panelRef.value) != null ? P : m.value;
  })] }), ve = w(() => q.value ? "parent" : "leaf"), xe = w(() => g !== null ? (g.value & ne.Closing) === ne.Closing : !1), qe = w(() => E || xe.value ? !1 : S.value), Oe = w(() => {
    var P, z, ce;
    return (ce = Array.from((z = (P = v.value) == null ? void 0 : P.querySelectorAll("body > *")) != null ? z : []).find((ue) => ue.id === "headlessui-portal-root" ? !1 : ue.contains(D(I)) && ue instanceof HTMLElement)) != null ? ce : null;
  });
  Yt(Oe, qe);
  let $ = w(() => q.value ? !0 : S.value), O = w(() => {
    var P, z, ce;
    return (ce = Array.from((z = (P = v.value) == null ? void 0 : P.querySelectorAll("[data-headlessui-portal]")) != null ? z : []).find((ue) => ue.contains(D(I)) && ue instanceof HTMLElement)) != null ? ce : null;
  });
  Yt(O, $), Yn({ type: "Dialog", enabled: w(() => h.value === 0), element: m, onUpdate: (P, z) => {
    if (z === "Dialog") return te(P, { [qt.Add]: () => b.value += 1, [qt.Remove]: () => b.value -= 1 });
  } });
  let R = Xn({ name: "DialogDescription", slot: w(() => ({ open: y.value })) }), Y = x(null), K = { titleId: Y, panelRef: x(null), dialogState: h, setTitleId(P) {
    Y.value !== P && (Y.value = P);
  }, close() {
    t("close", !1);
  } };
  pe(Et, K);
  let V = w(() => !(!S.value || q.value));
  _n(j, (P, z) => {
    P.preventDefault(), K.close(), aa(() => z == null ? void 0 : z.focus());
  }, V);
  let se = w(() => !(q.value || h.value !== 0));
  ka((l = v.value) == null ? void 0 : l.defaultView, "keydown", (P) => {
    se.value && (P.defaultPrevented || P.key === de.Escape && (P.preventDefault(), P.stopPropagation(), K.close()));
  });
  let $e = w(() => !(xe.value || h.value !== 0 || E));
  return Vn(v, $e, (P) => {
    var z;
    return { containers: [...(z = P.containers) != null ? z : [], j] };
  }), ae((P) => {
    if (h.value !== 0) return;
    let z = D(m);
    if (!z) return;
    let ce = new ResizeObserver((ue) => {
      for (let st of ue) {
        let Ye = st.target.getBoundingClientRect();
        Ye.x === 0 && Ye.y === 0 && Ye.width === 0 && Ye.height === 0 && K.close();
      }
    });
    ce.observe(z), P(() => ce.disconnect());
  }), () => {
    let { open: P, initialFocus: z, ...ce } = e, ue = { ...a, ref: m, id: s, role: f.value, "aria-modal": h.value === 0 ? !0 : void 0, "aria-labelledby": Y.value, "aria-describedby": R.value }, st = { open: h.value === 0 };
    return G(xt, { force: !0 }, () => [G(Ba, () => G(to, { target: m.value }, () => G(xt, { force: !1 }, () => G(Ie, { initialFocus: z, containers: j, features: S.value ? te(ve.value, { parent: Ie.features.RestoreFocus, leaf: Ie.features.All & ~Ie.features.FocusLock }) : Ie.features.None }, () => G(_, {}, () => Q({ ourProps: ue, theirProps: { ...ce, ...a }, slot: st, attrs: a, slots: r, visible: h.value === 0, features: Me.RenderStrategy | Me.Static, name: "Dialog" })))))), G(J)]);
  };
} });
C({ name: "DialogOverlay", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: null } }, setup(e, { attrs: t, slots: a }) {
  var r;
  let n = (r = e.id) != null ? r : `headlessui-dialog-overlay-${he()}`, i = We("DialogOverlay");
  function l(s) {
    s.target === s.currentTarget && (s.preventDefault(), s.stopPropagation(), i.close());
  }
  return () => {
    let { ...s } = e;
    return Q({ ourProps: { id: n, "aria-hidden": !0, onClick: l }, theirProps: s, slot: { open: i.dialogState.value === 0 }, attrs: t, slots: a, name: "DialogOverlay" });
  };
} });
C({ name: "DialogBackdrop", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: null } }, inheritAttrs: !1, setup(e, { attrs: t, slots: a, expose: r }) {
  var n;
  let i = (n = e.id) != null ? n : `headlessui-dialog-backdrop-${he()}`, l = We("DialogBackdrop"), s = x(null);
  return r({ el: s, $el: s }), W(() => {
    if (l.panelRef.value === null) throw new Error("A <DialogBackdrop /> component is being used, but a <DialogPanel /> component is missing.");
  }), () => {
    let { ...o } = e, c = { id: i, ref: s, "aria-hidden": !0 };
    return G(xt, { force: !0 }, () => G(Ba, () => Q({ ourProps: c, theirProps: { ...t, ...o }, slot: { open: l.dialogState.value === 0 }, attrs: t, slots: a, name: "DialogBackdrop" })));
  };
} });
let no = C({ name: "DialogPanel", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: null } }, setup(e, { attrs: t, slots: a, expose: r }) {
  var n;
  let i = (n = e.id) != null ? n : `headlessui-dialog-panel-${he()}`, l = We("DialogPanel");
  r({ el: l.panelRef, $el: l.panelRef });
  function s(o) {
    o.stopPropagation();
  }
  return () => {
    let { ...o } = e, c = { id: i, ref: l.panelRef, onClick: s };
    return Q({ ourProps: c, theirProps: o, slot: { open: l.dialogState.value === 0 }, attrs: t, slots: a, name: "DialogPanel" });
  };
} }), oo = C({ name: "DialogTitle", props: { as: { type: [Object, String], default: "h2" }, id: { type: String, default: null } }, setup(e, { attrs: t, slots: a }) {
  var r;
  let n = (r = e.id) != null ? r : `headlessui-dialog-title-${he()}`, i = We("DialogTitle");
  return W(() => {
    i.setTitleId(n), ie(() => i.setTitleId(null));
  }), () => {
    let { ...l } = e;
    return Q({ ourProps: { id: n }, theirProps: l, slot: { open: i.dialogState.value === 0 }, attrs: t, slots: a, name: "DialogTitle" });
  };
} }), lo = C({ props: { onFocus: { type: Function, required: !0 } }, setup(e) {
  let t = x(!0);
  return () => t.value ? G(Ne, { as: "button", type: "button", features: He.Focusable, onFocus(a) {
    a.preventDefault();
    let r, n = 50;
    function i() {
      var l;
      if (n-- <= 0) {
        r && cancelAnimationFrame(r);
        return;
      }
      if ((l = e.onFocus) != null && l.call(e)) {
        t.value = !1, cancelAnimationFrame(r);
        return;
      }
      r = requestAnimationFrame(i);
    }
    r = requestAnimationFrame(i);
  } }) : null;
} });
var io = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(io || {}), so = ((e) => (e[e.Less = -1] = "Less", e[e.Equal = 0] = "Equal", e[e.Greater = 1] = "Greater", e))(so || {});
let Sa = Symbol("TabsContext");
function Ge(e) {
  let t = ee(Sa, null);
  if (t === null) {
    let a = new Error(`<${e} /> is missing a parent <TabGroup /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(a, Ge), a;
  }
  return t;
}
let It = Symbol("TabsSSRContext"), co = C({ name: "TabGroup", emits: { change: (e) => !0 }, props: { as: { type: [Object, String], default: "template" }, selectedIndex: { type: [Number], default: null }, defaultIndex: { type: [Number], default: 0 }, vertical: { type: [Boolean], default: !1 }, manual: { type: [Boolean], default: !1 } }, inheritAttrs: !1, setup(e, { slots: t, attrs: a, emit: r }) {
  var n;
  let i = x((n = e.selectedIndex) != null ? n : e.defaultIndex), l = x([]), s = x([]), o = w(() => e.selectedIndex !== null), c = w(() => o.value ? e.selectedIndex : i.value);
  function f(v) {
    var h;
    let S = Pe(b.tabs.value, D), q = Pe(b.panels.value, D), E = S.filter((A) => {
      var _;
      return !((_ = D(A)) != null && _.hasAttribute("disabled"));
    });
    if (v < 0 || v > S.length - 1) {
      let A = te(i.value === null ? 0 : Math.sign(v - i.value), { [-1]: () => 1, 0: () => te(Math.sign(v), { [-1]: () => 0, 0: () => 0, 1: () => 1 }), 1: () => 0 }), _ = te(A, { 0: () => S.indexOf(E[0]), 1: () => S.indexOf(E[E.length - 1]) });
      _ !== -1 && (i.value = _), b.tabs.value = S, b.panels.value = q;
    } else {
      let A = S.slice(0, v), _ = [...S.slice(v), ...A].find((I) => E.includes(I));
      if (!_) return;
      let j = (h = S.indexOf(_)) != null ? h : b.selectedIndex.value;
      j === -1 && (j = b.selectedIndex.value), i.value = j, b.tabs.value = S, b.panels.value = q;
    }
  }
  let b = { selectedIndex: w(() => {
    var v, h;
    return (h = (v = i.value) != null ? v : e.defaultIndex) != null ? h : null;
  }), orientation: w(() => e.vertical ? "vertical" : "horizontal"), activation: w(() => e.manual ? "manual" : "auto"), tabs: l, panels: s, setSelectedIndex(v) {
    c.value !== v && r("change", v), o.value || f(v);
  }, registerTab(v) {
    var h;
    if (l.value.includes(v)) return;
    let S = l.value[i.value];
    if (l.value.push(v), l.value = Pe(l.value, D), !o.value) {
      let q = (h = l.value.indexOf(S)) != null ? h : i.value;
      q !== -1 && (i.value = q);
    }
  }, unregisterTab(v) {
    let h = l.value.indexOf(v);
    h !== -1 && l.value.splice(h, 1);
  }, registerPanel(v) {
    s.value.includes(v) || (s.value.push(v), s.value = Pe(s.value, D));
  }, unregisterPanel(v) {
    let h = s.value.indexOf(v);
    h !== -1 && s.value.splice(h, 1);
  } };
  pe(Sa, b);
  let g = x({ tabs: [], panels: [] }), y = x(!1);
  W(() => {
    y.value = !0;
  }), pe(It, w(() => y.value ? null : g.value));
  let m = w(() => e.selectedIndex);
  return W(() => {
    re([m], () => {
      var v;
      return f((v = e.selectedIndex) != null ? v : e.defaultIndex);
    }, { immediate: !0 });
  }), ae(() => {
    if (!o.value || c.value == null || b.tabs.value.length <= 0) return;
    let v = Pe(b.tabs.value, D);
    v.some((h, S) => D(b.tabs.value[S]) !== D(h)) && b.setSelectedIndex(v.findIndex((h) => D(h) === D(b.tabs.value[c.value])));
  }), () => {
    let v = { selectedIndex: i.value };
    return G(Z, [l.value.length <= 0 && G(lo, { onFocus: () => {
      for (let h of l.value) {
        let S = D(h);
        if ((S == null ? void 0 : S.tabIndex) === 0) return S.focus(), !0;
      }
      return !1;
    } }), Q({ theirProps: { ...a, ...Mt(e, ["selectedIndex", "defaultIndex", "manual", "vertical", "onChange"]) }, ourProps: {}, slot: v, slots: t, attrs: a, name: "TabGroup" })]);
  };
} }), uo = C({ name: "TabList", props: { as: { type: [Object, String], default: "div" } }, setup(e, { attrs: t, slots: a }) {
  let r = Ge("TabList");
  return () => {
    let n = { selectedIndex: r.selectedIndex.value }, i = { role: "tablist", "aria-orientation": r.orientation.value };
    return Q({ ourProps: i, theirProps: e, slot: n, attrs: t, slots: a, name: "TabList" });
  };
} }), fo = C({ name: "Tab", props: { as: { type: [Object, String], default: "button" }, disabled: { type: [Boolean], default: !1 }, id: { type: String, default: null } }, setup(e, { attrs: t, slots: a, expose: r }) {
  var n;
  let i = (n = e.id) != null ? n : `headlessui-tabs-tab-${he()}`, l = Ge("Tab"), s = x(null);
  r({ el: s, $el: s }), W(() => l.registerTab(s)), ie(() => l.unregisterTab(s));
  let o = ee(It), c = w(() => {
    if (o.value) {
      let q = o.value.tabs.indexOf(i);
      return q === -1 ? o.value.tabs.push(i) - 1 : q;
    }
    return -1;
  }), f = w(() => {
    let q = l.tabs.value.indexOf(s);
    return q === -1 ? c.value : q;
  }), b = w(() => f.value === l.selectedIndex.value);
  function g(q) {
    var E;
    let A = q();
    if (A === De.Success && l.activation.value === "auto") {
      let _ = (E = Ae(s)) == null ? void 0 : E.activeElement, j = l.tabs.value.findIndex((I) => D(I) === _);
      j !== -1 && l.setSelectedIndex(j);
    }
    return A;
  }
  function y(q) {
    let E = l.tabs.value.map((A) => D(A)).filter(Boolean);
    if (q.key === de.Space || q.key === de.Enter) {
      q.preventDefault(), q.stopPropagation(), l.setSelectedIndex(f.value);
      return;
    }
    switch (q.key) {
      case de.Home:
      case de.PageUp:
        return q.preventDefault(), q.stopPropagation(), g(() => be(E, X.First));
      case de.End:
      case de.PageDown:
        return q.preventDefault(), q.stopPropagation(), g(() => be(E, X.Last));
    }
    if (g(() => te(l.orientation.value, { vertical() {
      return q.key === de.ArrowUp ? be(E, X.Previous | X.WrapAround) : q.key === de.ArrowDown ? be(E, X.Next | X.WrapAround) : De.Error;
    }, horizontal() {
      return q.key === de.ArrowLeft ? be(E, X.Previous | X.WrapAround) : q.key === de.ArrowRight ? be(E, X.Next | X.WrapAround) : De.Error;
    } })) === De.Success) return q.preventDefault();
  }
  let m = x(!1);
  function v() {
    var q;
    m.value || (m.value = !0, !e.disabled && ((q = D(s)) == null || q.focus({ preventScroll: !0 }), l.setSelectedIndex(f.value), lt(() => {
      m.value = !1;
    })));
  }
  function h(q) {
    q.preventDefault();
  }
  let S = Bn(w(() => ({ as: e.as, type: t.type })), s);
  return () => {
    var q, E;
    let A = { selected: b.value, disabled: (q = e.disabled) != null ? q : !1 }, { ..._ } = e, j = { ref: s, onKeydown: y, onMousedown: h, onClick: v, id: i, role: "tab", type: S.value, "aria-controls": (E = D(l.panels.value[f.value])) == null ? void 0 : E.id, "aria-selected": b.value, tabIndex: b.value ? 0 : -1, disabled: e.disabled ? !0 : void 0 };
    return Q({ ourProps: j, theirProps: _, slot: A, attrs: t, slots: a, name: "Tab" });
  };
} }), po = C({ name: "TabPanels", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: a }) {
  let r = Ge("TabPanels");
  return () => {
    let n = { selectedIndex: r.selectedIndex.value };
    return Q({ theirProps: e, ourProps: {}, slot: n, attrs: a, slots: t, name: "TabPanels" });
  };
} }), vo = C({ name: "TabPanel", props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, id: { type: String, default: null }, tabIndex: { type: Number, default: 0 } }, setup(e, { attrs: t, slots: a, expose: r }) {
  var n;
  let i = (n = e.id) != null ? n : `headlessui-tabs-panel-${he()}`, l = Ge("TabPanel"), s = x(null);
  r({ el: s, $el: s }), W(() => l.registerPanel(s)), ie(() => l.unregisterPanel(s));
  let o = ee(It), c = w(() => {
    if (o.value) {
      let g = o.value.panels.indexOf(i);
      return g === -1 ? o.value.panels.push(i) - 1 : g;
    }
    return -1;
  }), f = w(() => {
    let g = l.panels.value.indexOf(s);
    return g === -1 ? c.value : g;
  }), b = w(() => f.value === l.selectedIndex.value);
  return () => {
    var g;
    let y = { selected: b.value }, { tabIndex: m, ...v } = e, h = { ref: s, id: i, role: "tabpanel", "aria-labelledby": (g = D(l.tabs.value[f.value])) == null ? void 0 : g.id, tabIndex: b.value ? m : -1 };
    return !b.value && e.unmount && !e.static ? G(Ne, { as: "span", "aria-hidden": !0, ...h }) : Q({ ourProps: h, theirProps: v, slot: y, attrs: t, slots: a, features: Me.Static | Me.RenderStrategy, visible: b.value, name: "TabPanel" });
  };
} });
function bo(e) {
  let t = { called: !1 };
  return (...a) => {
    if (!t.called) return t.called = !0, e(...a);
  };
}
function bt(e, ...t) {
  e && t.length > 0 && e.classList.add(...t);
}
function et(e, ...t) {
  e && t.length > 0 && e.classList.remove(...t);
}
var _t = ((e) => (e.Finished = "finished", e.Cancelled = "cancelled", e))(_t || {});
function mo(e, t) {
  let a = Ve();
  if (!e) return a.dispose;
  let { transitionDuration: r, transitionDelay: n } = getComputedStyle(e), [i, l] = [r, n].map((s) => {
    let [o = 0] = s.split(",").filter(Boolean).map((c) => c.includes("ms") ? parseFloat(c) : parseFloat(c) * 1e3).sort((c, f) => f - c);
    return o;
  });
  return i !== 0 ? a.setTimeout(() => t("finished"), i + l) : t("finished"), a.add(() => t("cancelled")), a.dispose;
}
function Xt(e, t, a, r, n, i) {
  let l = Ve(), s = i !== void 0 ? bo(i) : () => {
  };
  return et(e, ...n), bt(e, ...t, ...a), l.nextFrame(() => {
    et(e, ...a), bt(e, ...r), l.add(mo(e, (o) => (et(e, ...r, ...t), bt(e, ...n), s(o))));
  }), l.add(() => et(e, ...t, ...a, ...r, ...n)), l.add(() => s("cancelled")), l.dispose;
}
function Ee(e = "") {
  return e.split(/\s+/).filter((t) => t.length > 1);
}
let zt = Symbol("TransitionContext");
var go = ((e) => (e.Visible = "visible", e.Hidden = "hidden", e))(go || {});
function ho() {
  return ee(zt, null) !== null;
}
function yo() {
  let e = ee(zt, null);
  if (e === null) throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
function wo() {
  let e = ee(Rt, null);
  if (e === null) throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
let Rt = Symbol("NestingContext");
function it(e) {
  return "children" in e ? it(e.children) : e.value.filter(({ state: t }) => t === "visible").length > 0;
}
function Fa(e) {
  let t = x([]), a = x(!1);
  W(() => a.value = !0), ie(() => a.value = !1);
  function r(i, l = Te.Hidden) {
    let s = t.value.findIndex(({ id: o }) => o === i);
    s !== -1 && (te(l, { [Te.Unmount]() {
      t.value.splice(s, 1);
    }, [Te.Hidden]() {
      t.value[s].state = "hidden";
    } }), !it(t) && a.value && (e == null || e()));
  }
  function n(i) {
    let l = t.value.find(({ id: s }) => s === i);
    return l ? l.state !== "visible" && (l.state = "visible") : t.value.push({ id: i, state: "visible" }), () => r(i, Te.Unmount);
  }
  return { children: t, register: n, unregister: r };
}
let Aa = Me.RenderStrategy, Bt = C({ props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: a, slots: r, expose: n }) {
  let i = x(0);
  function l() {
    i.value |= ne.Opening, t("beforeEnter");
  }
  function s() {
    i.value &= ~ne.Opening, t("afterEnter");
  }
  function o() {
    i.value |= ne.Closing, t("beforeLeave");
  }
  function c() {
    i.value &= ~ne.Closing, t("afterLeave");
  }
  if (!ho() && Sn()) return () => G(Pa, { ...e, onBeforeEnter: l, onAfterEnter: s, onBeforeLeave: o, onAfterLeave: c }, r);
  let f = x(null), b = w(() => e.unmount ? Te.Unmount : Te.Hidden);
  n({ el: f, $el: f });
  let { show: g, appear: y } = yo(), { register: m, unregister: v } = wo(), h = x(g.value ? "visible" : "hidden"), S = { value: !0 }, q = he(), E = { value: !1 }, A = Fa(() => {
    !E.value && h.value !== "hidden" && (h.value = "hidden", v(q), c());
  });
  W(() => {
    let $ = m(q);
    ie($);
  }), ae(() => {
    if (b.value === Te.Hidden && q) {
      if (g.value && h.value !== "visible") {
        h.value = "visible";
        return;
      }
      te(h.value, { hidden: () => v(q), visible: () => m(q) });
    }
  });
  let _ = Ee(e.enter), j = Ee(e.enterFrom), I = Ee(e.enterTo), J = Ee(e.entered), ve = Ee(e.leave), xe = Ee(e.leaveFrom), qe = Ee(e.leaveTo);
  W(() => {
    ae(() => {
      if (h.value === "visible") {
        let $ = D(f);
        if ($ instanceof Comment && $.data === "") throw new Error("Did you forget to passthrough the `ref` to the actual DOM node?");
      }
    });
  });
  function Oe($) {
    let O = S.value && !y.value, R = D(f);
    !R || !(R instanceof HTMLElement) || O || (E.value = !0, g.value && l(), g.value || o(), $(g.value ? Xt(R, _, j, I, J, (Y) => {
      E.value = !1, Y === _t.Finished && s();
    }) : Xt(R, ve, xe, qe, J, (Y) => {
      E.value = !1, Y === _t.Finished && (it(A) || (h.value = "hidden", v(q), c()));
    })));
  }
  return W(() => {
    re([g], ($, O, R) => {
      Oe(R), S.value = !1;
    }, { immediate: !0 });
  }), pe(Rt, A), Fn(w(() => te(h.value, { visible: ne.Open, hidden: ne.Closed }) | i.value)), () => {
    let { appear: $, show: O, enter: R, enterFrom: Y, enterTo: K, entered: V, leave: se, leaveFrom: $e, leaveTo: P, ...z } = e, ce = { ref: f }, ue = { ...z, ...y.value && g.value && Ze.isServer ? { class: B([a.class, z.class, ..._, ...j]) } : {} };
    return Q({ theirProps: ue, ourProps: ce, slot: {}, slots: r, attrs: a, features: Aa, visible: h.value === "visible", name: "TransitionChild" });
  };
} }), To = Bt, Pa = C({ inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: a, slots: r }) {
  let n = Ot(), i = w(() => e.show === null && n !== null ? (n.value & ne.Open) === ne.Open : e.show);
  ae(() => {
    if (![!0, !1].includes(i.value)) throw new Error('A <Transition /> is used but it is missing a `:show="true | false"` prop.');
  });
  let l = x(i.value ? "visible" : "hidden"), s = Fa(() => {
    l.value = "hidden";
  }), o = x(!0), c = { show: i, appear: w(() => e.appear || !o.value) };
  return W(() => {
    ae(() => {
      o.value = !1, i.value ? l.value = "visible" : it(s) || (l.value = "hidden");
    });
  }), pe(Rt, s), pe(zt, c), () => {
    let f = Mt(e, ["show", "appear", "unmount", "onBeforeEnter", "onBeforeLeave", "onAfterEnter", "onAfterLeave"]), b = { unmount: e.unmount };
    return Q({ ourProps: { ...b, as: "template" }, theirProps: {}, slot: {}, slots: { ...r, default: () => [G(To, { onBeforeEnter: () => t("beforeEnter"), onAfterEnter: () => t("afterEnter"), onBeforeLeave: () => t("beforeLeave"), onAfterLeave: () => t("afterLeave"), ...a, ...b, ...f }, r.default)] }, attrs: {}, features: Aa, visible: l.value === "visible", name: "Transition" });
  };
} });
const ko = { class: "flex h-[100dvh] w-[100dvw] items-center justify-center overflow-hidden" }, xo = { class: "bcc-modal-wrapper" }, qo = {
  key: 0,
  class: "bcc-modal-header"
}, $o = {
  key: 1,
  class: "bcc-modal-body"
}, Co = {
  key: 0,
  class: "bcc-modal-title"
}, Eo = { class: "bcc-modal-content" }, _o = { class: "bcc-modal-footer" }, Bo = {
  key: 0,
  class: "bcc-modal-footer-content"
}, Lo = { class: "bcc-modal-actions" }, So = {
  key: 0,
  class: "bcc-modal-secondary-action"
}, Fo = { class: "bcc-modal-primary-action" }, Ii = /* @__PURE__ */ C({
  inheritAttrs: !1,
  __name: "BccModal",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !0 },
    closeOnOutsideClick: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const a = e, r = t, n = Jt(), i = w(() => a.closeButton && !n.header), l = () => {
      a.closeOnOutsideClick && r("close");
    };
    return (s, o) => (u(), M(T(Pa), {
      as: "template",
      show: s.open
    }, {
      default: U(() => [
        H(T(ro), {
          as: "div",
          class: "bcc-modal-overlay-wrapper",
          onClose: l
        }, {
          default: U(() => [
            p("div", ko, [
              H(T(Bt), {
                as: "div",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0",
                "enter-to": "opacity-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100",
                "leave-to": "opacity-0"
              }, {
                default: U(() => o[2] || (o[2] = [
                  p("div", { class: "bcc-modal-overlay" }, null, -1)
                ])),
                _: 1
              }),
              H(T(Bt), {
                as: "template",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95",
                "enter-to": "opacity-100 translate-y-0 sm:scale-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100 translate-y-0 sm:scale-100",
                "leave-to": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
              }, {
                default: U(() => [
                  p("div", xo, [
                    H(T(no), Se({ class: "bcc-modal" }, s.$attrs), {
                      default: U(() => [
                        s.$slots.header ? (u(), d("div", qo, [
                          N(s.$slots, "header")
                        ])) : k("", !0),
                        s.title || i.value || T(n).default ? (u(), d("div", $o, [
                          s.title || i.value ? (u(), d("div", Co, [
                            H(T(oo), { as: "h3" }, {
                              default: U(() => [
                                fe(L(s.title), 1)
                              ]),
                              _: 1
                            }),
                            i.value ? (u(), d("button", {
                              key: 0,
                              onClick: o[0] || (o[0] = Lt((c) => r("close"), ["prevent"])),
                              class: "bcc-modal-close-button",
                              "aria-label": "Close modal window"
                            }, [
                              H(T(je), { class: "bcc-modal-close-icon" })
                            ])) : k("", !0)
                          ])) : k("", !0),
                          p("div", Eo, [
                            N(s.$slots, "default")
                          ])
                        ])) : k("", !0),
                        p("div", _o, [
                          s.$slots.footer ? (u(), d("div", Bo, [
                            N(s.$slots, "footer")
                          ])) : k("", !0),
                          p("div", Lo, [
                            s.$slots.secondaryAction ? (u(), d("div", So, [
                              N(s.$slots, "secondaryAction")
                            ])) : k("", !0),
                            p("div", Fo, [
                              N(s.$slots, "primaryAction", {}, () => [
                                H(rt, {
                                  onClick: o[1] || (o[1] = (c) => r("close"))
                                }, {
                                  default: U(() => o[3] || (o[3] = [
                                    fe(" OK ")
                                  ])),
                                  _: 1
                                })
                              ])
                            ])
                          ])
                        ])
                      ]),
                      _: 3
                    }, 16)
                  ])
                ]),
                _: 3
              })
            ])
          ]),
          _: 3
        })
      ]),
      _: 3
    }, 8, ["show"]));
  }
}), Ao = { key: 1 }, Po = /* @__PURE__ */ C({
  __name: "BccPin",
  props: {
    icon: {},
    context: { default: "neutral" },
    contrast: { default: "light" },
    size: { default: "base" },
    text: {},
    bordered: { type: Boolean, default: !1 },
    squared: { type: Boolean, default: !1 }
  },
  setup(e) {
    return (t, a) => (u(), d("div", {
      class: B(["bcc-pin", [
        T(St)[t.context],
        t.contrast,
        t.size,
        {
          bordered: t.bordered,
          squared: t.squared,
          "bcc-pin-text": !t.icon && t.text && String(t.text).length > 1
        }
      ]])
    }, [
      t.icon ? (u(), M(le(t.icon), {
        key: 0,
        class: "bcc-pin-icon"
      })) : t.text ? (u(), d("span", Ao, L(t.text), 1)) : k("", !0)
    ], 2));
  }
}), Do = ["disabled", "value", "checked"], Mo = {
  inheritAttrs: !1
}, zi = /* @__PURE__ */ C({
  ...Mo,
  __name: "BccRadio",
  props: /* @__PURE__ */ ge({
    value: {},
    label: {},
    disabled: { type: Boolean, default: !1 }
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: /* @__PURE__ */ ge(["update:modelValue"], ["update:modelValue"]),
  setup(e, { emit: t }) {
    const a = Fe(e, "modelValue"), r = e, n = `bcc-radio-${ot()}`, i = t, { attrs: l, attrsWithoutStyles: s } = Dt(), o = w(() => {
      const c = [];
      return r.disabled && c.push("bcc-radio-wrapper-disabled"), l.class && c.push(l.class), c;
    });
    return (c, f) => (u(), d("div", {
      class: B(["bcc-radio-wrapper", o.value]),
      style: ke(c.$attrs.style)
    }, [
      p("input", Se({
        type: "radio",
        class: "bcc-radio",
        id: n,
        disabled: c.disabled,
        value: c.value,
        checked: a.value == c.value,
        onInput: f[0] || (f[0] = (b) => i("update:modelValue", c.value))
      }, T(s)), null, 16, Do),
      c.label ? (u(), d("label", {
        key: 0,
        for: n
      }, L(c.label), 1)) : k("", !0)
    ], 6));
  }
}), Oo = ["disabled", "required", "multiple"], Io = {
  inheritAttrs: !1
}, zo = /* @__PURE__ */ C({
  ...Io,
  __name: "BccSelect",
  props: /* @__PURE__ */ ge({
    state: { default: "default" },
    size: { default: "base" },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 },
    multiple: { type: Boolean, default: !1 }
  }, {
    modelValue: { default: null },
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(e) {
    const t = e, a = `bcc-input-${ot()}`, r = Fe(e, "modelValue"), n = w(() => t.showOptionalLabel && !t.required), { attrsWithoutStyles: i } = Dt();
    return (l, s) => (u(), d("div", {
      class: B(["bcc-input-container", l.$attrs.class]),
      style: ke(l.$attrs.style)
    }, [
      l.label || n.value ? (u(), M(Pt, {
        key: 0,
        for: a,
        size: l.size === "lg" ? "lg" : void 0,
        showOptionalLabel: n.value,
        optionalLabel: l.optionalLabel
      }, {
        default: U(() => [
          fe(L(l.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : k("", !0),
      we(p("select", Se({
        class: ["bcc-select", {
          "bcc-select-error": l.state === "error",
          "bcc-select-success": l.state === "success",
          "bcc-select-sm": l.size === "sm",
          "bcc-select-lg": l.size === "lg"
        }],
        id: a,
        disabled: l.disabled,
        required: l.required,
        multiple: l.multiple,
        "onUpdate:modelValue": s[0] || (s[0] = (o) => r.value = o)
      }, T(i)), [
        N(l.$slots, "default")
      ], 16, Oo), [
        [Ua, r.value]
      ]),
      l.$slots.message ? (u(), M(ba, {
        key: 1,
        state: l.state
      }, {
        default: U(() => [
          N(l.$slots, "message")
        ]),
        _: 3
      }, 8, ["state"])) : k("", !0)
    ], 6));
  }
}), Ri = /* @__PURE__ */ C({
  __name: "BccStatusIndicator",
  props: {
    status: { default: "default" },
    icon: {},
    size: { default: "base" }
  },
  setup(e) {
    return (t, a) => (u(), d("div", {
      class: B(["bcc-status-indicator", {
        "bcc-status-indicator-lg": t.size === "lg",
        "bcc-status-indicator-success": t.status === "success",
        "bcc-status-indicator-danger": t.status === "danger"
      }])
    }, [
      t.icon ? (u(), M(le(t.icon), {
        key: 0,
        class: "bcc-status-indicator-icon"
      })) : t.status == "default" ? (u(), M(T(Hr), {
        key: 1,
        class: "bcc-status-indicator-icon"
      })) : t.status == "success" ? (u(), M(T(va), {
        key: 2,
        class: "bcc-status-indicator-icon"
      })) : t.status == "danger" ? (u(), M(T(zr), {
        key: 3,
        class: "bcc-status-indicator-icon"
      })) : k("", !0)
    ], 2));
  }
}), Ro = { class: "bcc-table-wrapper" }, Uo = { class: "bcc-table" }, Ho = { class: "bcc-table-header-row" }, No = ["onClick"], jo = { class: "bcc-table-header-content" }, Vo = {
  key: 0,
  "aria-label": "Sort column",
  class: "bcc-table-header-sort"
}, Zo = { key: 1 }, Ui = /* @__PURE__ */ C({
  __name: "BccTable",
  props: {
    columns: {},
    items: {},
    sortBy: {},
    sortDirection: { default: "descending" }
  },
  emits: ["update:sortBy", "update:sortDirection"],
  setup(e, { emit: t }) {
    const a = e, { columns: r, items: n, sortBy: i, sortDirection: l } = nt(a), s = t;
    function o(b, g) {
      return g.split(".").reduce((m, v) => m[v], b);
    }
    const c = w(() => {
      if ((i == null ? void 0 : i.value) == null)
        return n.value;
      const b = r.value.find((y) => y.key == i.value);
      if (!b)
        throw "Sorting by unknown column";
      const g = [...n.value];
      return b.sortMethod ? g.sort(b.sortMethod) : g.sort((y, m) => {
        const v = o(y, b.key), h = o(m, b.key);
        return v < h ? l.value == "descending" ? 1 : -1 : v > h ? l.value == "descending" ? -1 : 1 : 0;
      });
    });
    function f(b) {
      if (b.sortable !== !1) {
        if ((i == null ? void 0 : i.value) == b.key && l.value === "descending") {
          s("update:sortDirection", "descending"), s("update:sortBy", void 0);
          return;
        }
        if ((i == null ? void 0 : i.value) == b.key) {
          s("update:sortDirection", "descending");
          return;
        }
        s("update:sortDirection", "ascending"), s("update:sortBy", b.key);
      }
    }
    return (b, g) => (u(), d("div", Ro, [
      p("table", Uo, [
        p("thead", null, [
          p("tr", Ho, [
            (u(!0), d(Z, null, oe(T(r), (y) => (u(), d("th", {
              scope: "col",
              class: B(["bcc-table-header", { "bcc-table-header-sortable": y.sortable !== !1 }]),
              key: y.key,
              onClick: (m) => f(y)
            }, [
              p("div", jo, [
                fe(L(y.text) + " ", 1),
                y.sortable !== !1 ? (u(), d("button", Vo, [
                  T(i) !== y.key ? (u(), M(T(Nr), {
                    key: 0,
                    class: "bcc-table-header-sort-icon bcc-table-header-sort-icon-undetermined"
                  })) : k("", !0),
                  T(i) == y.key && T(l) == "ascending" ? (u(), M(T(Lr), {
                    key: 1,
                    class: "bcc-table-header-sort-icon"
                  })) : k("", !0),
                  T(i) == y.key && T(l) == "descending" ? (u(), M(T(Er), {
                    key: 2,
                    class: "bcc-table-header-sort-icon"
                  })) : k("", !0)
                ])) : k("", !0)
              ])
            ], 10, No))), 128))
          ])
        ]),
        p("tbody", null, [
          (u(!0), d(Z, null, oe(c.value, (y, m) => (u(), d("tr", { key: m }, [
            (u(!0), d(Z, null, oe(T(r), (v) => (u(), d("td", {
              class: "bcc-table-cell",
              key: v.key
            }, [
              b.$slots[`item.${v.key}`] ? N(b.$slots, `item.${v.key}`, {
                key: 0,
                item: y
              }) : (u(), d("span", Zo, L(o(y, v.key)), 1))
            ]))), 128))
          ]))), 128))
        ])
      ])
    ]));
  }
});
function Wo(e) {
  return Ha() ? (Na(e), !0) : !1;
}
const Go = typeof window < "u" && typeof document < "u";
typeof WorkerGlobalScope < "u" && globalThis instanceof WorkerGlobalScope;
const Yo = Object.prototype.toString, Ko = (e) => Yo.call(e) === "[object Object]";
function mt(e) {
  return Array.isArray(e) ? e : [e];
}
function Xo(e, t, a) {
  return re(
    e,
    t,
    {
      ...a,
      immediate: !0
    }
  );
}
const Qo = Go ? window : void 0;
function Jo(e) {
  var t;
  const a = at(e);
  return (t = a == null ? void 0 : a.$el) != null ? t : a;
}
function gt(...e) {
  const t = [], a = () => {
    t.forEach((s) => s()), t.length = 0;
  }, r = (s, o, c, f) => (s.addEventListener(o, c, f), () => s.removeEventListener(o, c, f)), n = w(() => {
    const s = mt(at(e[0])).filter((o) => o != null);
    return s.every((o) => typeof o != "string") ? s : void 0;
  }), i = Xo(
    () => {
      var s, o;
      return [
        (o = (s = n.value) == null ? void 0 : s.map((c) => Jo(c))) != null ? o : [Qo].filter((c) => c != null),
        mt(at(n.value ? e[1] : e[0])),
        mt(T(n.value ? e[2] : e[1])),
        // @ts-expect-error - TypeScript gets the correct types, but somehow still complains
        at(n.value ? e[3] : e[2])
      ];
    },
    ([s, o, c, f]) => {
      if (a(), !(s != null && s.length) || !(o != null && o.length) || !(c != null && c.length))
        return;
      const b = Ko(f) ? { ...f } : f;
      t.push(
        ...s.flatMap(
          (g) => o.flatMap(
            (y) => c.map((m) => r(g, y, m, b))
          )
        )
      );
    },
    { flush: "post" }
  ), l = () => {
    i(), a();
  };
  return Wo(a), l;
}
function el(e, t = {}) {
  const {
    threshold: a = 50,
    onSwipe: r,
    onSwipeEnd: n,
    onSwipeStart: i,
    passive: l = !0
  } = t, s = wt({ x: 0, y: 0 }), o = wt({ x: 0, y: 0 }), c = w(() => s.x - o.x), f = w(() => s.y - o.y), { max: b, abs: g } = Math, y = w(() => b(g(c.value), g(f.value)) >= a), m = ta(!1), v = w(() => y.value ? g(c.value) > g(f.value) ? c.value > 0 ? "left" : "right" : f.value > 0 ? "up" : "down" : "none"), h = (I) => [I.touches[0].clientX, I.touches[0].clientY], S = (I, J) => {
    s.x = I, s.y = J;
  }, q = (I, J) => {
    o.x = I, o.y = J;
  }, E = { passive: l, capture: !l }, A = (I) => {
    m.value && (n == null || n(I, v.value)), m.value = !1;
  }, _ = [
    gt(e, "touchstart", (I) => {
      if (I.touches.length !== 1)
        return;
      const [J, ve] = h(I);
      S(J, ve), q(J, ve), i == null || i(I);
    }, E),
    gt(e, "touchmove", (I) => {
      if (I.touches.length !== 1)
        return;
      const [J, ve] = h(I);
      q(J, ve), E.capture && !E.passive && Math.abs(c.value) > Math.abs(f.value) && I.preventDefault(), !m.value && y.value && (m.value = !0), m.value && (r == null || r(I));
    }, E),
    gt(e, ["touchend", "touchcancel"], A, E)
  ];
  return {
    isSwiping: m,
    direction: v,
    coordsStart: s,
    coordsEnd: o,
    lengthX: c,
    lengthY: f,
    stop: () => _.forEach((I) => I()),
    // TODO: Remove in the next major version
    isPassiveEventSupported: !0
  };
}
const tl = {
  key: 0,
  class: "bcc-tabs-bar-icon"
}, Hi = /* @__PURE__ */ C({
  __name: "BccTabs",
  props: /* @__PURE__ */ ge({
    tabs: {},
    size: { default: "base" },
    fill: { type: Boolean, default: !1 },
    noSwipe: { type: Boolean }
  }, {
    modelValue: { default: 0 },
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(e) {
    const t = e, a = Fe(e, "modelValue");
    re(
      () => t.tabs.length,
      (l, s) => {
        let o = a.value;
        l > s && (o = o + (l - s)), s > l && (o = o - (s - l)), (o < 0 || o >= l) && (o = 0), aa(() => {
          a.value = o;
        });
      }
    );
    const r = ja("tabsRef");
    el(() => {
      var l;
      return (l = r.value) == null ? void 0 : l.$el;
    }, {
      onSwipeEnd: (l, s) => {
        if (t.noSwipe) return;
        let o = null;
        if (s === "left") {
          for (let c = a.value + 1; c < t.tabs.length; c++)
            if (!t.tabs[c].disabled) {
              o = c;
              break;
            }
        } else if (s === "right") {
          for (let c = a.value - 1; c >= 0; c--)
            if (!t.tabs[c].disabled) {
              o = c;
              break;
            }
        }
        o !== null && (a.value = o);
      }
    });
    const n = {
      sm: "bcc-tabs-sm text-label-sm",
      base: "text-label",
      lg: "bcc-tabs-lg text-label-lg"
    };
    function i(l) {
      a.value = l;
    }
    return (l, s) => (u(), M(T(co), {
      as: "div",
      class: B(["bcc-tabs", { "bcc-tabs-fill": l.fill }]),
      "selected-index": a.value,
      onChange: i
    }, {
      default: U(() => [
        H(T(uo), {
          as: "div",
          class: B(["bcc-tabs-bar", `bcc-tabs-bar--${l.tabs.length}`])
        }, {
          default: U(() => [
            (u(!0), d(Z, null, oe(l.tabs, (o, c) => (u(), M(T(fo), {
              disabled: !!o.disabled,
              key: c,
              as: "template"
            }, {
              default: U(({ selected: f }) => [
                p("div", {
                  class: B(["bcc-tabs-bar-item", [
                    {
                      "bcc-tabs-bar-item--active": f,
                      "bcc-tabs-bar-item--disabled": !!o.disabled
                    },
                    n[l.size]
                  ]])
                }, [
                  o.icon ? (u(), d("div", tl, [
                    (u(), M(le(o.icon)))
                  ])) : k("", !0),
                  fe(" " + L(o.title) + " ", 1),
                  o.pin ? (u(), M(T(Po), Se({
                    key: 1,
                    class: "bcc-tabs-item-right",
                    ref_for: !0
                  }, o.pin), null, 16)) : k("", !0),
                  o.badge ? (u(), M(T(Yr), Se({
                    key: 2,
                    class: "bcc-tabs-item-right",
                    ref_for: !0
                  }, o.badge), {
                    default: U(() => [
                      fe(L(o.badge.text), 1)
                    ]),
                    _: 2
                  }, 1040)) : k("", !0)
                ], 2)
              ]),
              _: 2
            }, 1032, ["disabled"]))), 128))
          ]),
          _: 1
        }, 8, ["class"]),
        H(T(po), {
          class: "bcc-tabs-panels",
          ref_key: "tabsRef",
          ref: r
        }, {
          default: U(() => [
            (u(!0), d(Z, null, oe(l.tabs, (o, c) => (u(), M(T(vo), {
              key: `tab-${c + 1}`,
              class: "bcc-tabs-panel"
            }, {
              default: U(() => [
                N(l.$slots, `tab-${c + 1}`, { tab: o }, () => [
                  o.as ? (u(), M(le(o.as), { key: 0 })) : k("", !0)
                ])
              ]),
              _: 2
            }, 1024))), 128))
          ]),
          _: 3
        }, 512)
      ]),
      _: 3
    }, 8, ["class", "selected-index"]));
  }
}), al = (e, t) => {
  const a = e.__vccOpts || e;
  for (const [r, n] of t)
    a[r] = n;
  return a;
}, rl = {}, nl = {
  fill: "none",
  viewBox: "0 0 58 58",
  "aria-hidden": "true"
};
function ol(e, t) {
  return u(), d("svg", nl, t[0] || (t[0] = [
    ra('<g transform="translate(2 1)" stroke="currentColor" stroke-width="1.5" class="h-3 w-3"><circle cx="42.601" cy="11.462" r="5" fill-opacity="1" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="1;0;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="49.063" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;1;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="42.601" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;1;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="49.125" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;1;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;1;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="4.938" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;1;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="11.462" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;1;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="5" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;0;1" calcMode="linear" repeatCount="indefinite"></animate></circle></g>', 1)
  ]));
}
const ll = /* @__PURE__ */ al(rl, [["render", ol]]), il = ["disabled"], sl = {
  class: "bcc-toggle-circle",
  "aria-hidden": "true"
}, cl = {
  key: 0,
  class: "bcc-toggle-label"
}, Ni = /* @__PURE__ */ C({
  __name: "BccToggle",
  props: {
    modelValue: { type: Boolean },
    wasToggled: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    withIcon: { type: Boolean, default: !0 },
    label: { default: "" }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const a = e, { modelValue: r, wasToggled: n, disabled: i, loading: l } = nt(a), s = t, o = w({
      get() {
        return !!r.value;
      },
      set(c) {
        s("update:modelValue", c);
      }
    });
    return (c, f) => (u(), d("label", {
      class: B(["bcc-toggle", { "bcc-toggle-was-toggled": T(n) }])
    }, [
      we(p("input", {
        type: "checkbox",
        class: "bcc-toggle-input",
        disabled: T(l) || T(i),
        "onUpdate:modelValue": f[0] || (f[0] = (b) => o.value = b)
      }, null, 8, il), [
        [ea, o.value]
      ]),
      p("span", sl, [
        T(l) ? (u(), M(ll, {
          key: 0,
          class: "h-3 w-3"
        })) : c.withIcon ? (u(), d(Z, { key: 1 }, [
          H(T(va), { class: "hidden h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:block" }),
          H(T(je), { class: "h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:hidden" })
        ], 64)) : k("", !0)
      ]),
      c.label ? (u(), d("span", cl, L(c.label), 1)) : k("", !0)
    ], 2));
  }
}), ul = {
  key: 0,
  class: "bcc-banner"
}, dl = { class: "bcc-banner-header" }, fl = { class: "bcc-banner-title" }, pl = {
  key: 0,
  class: "bcc-banner-actions"
}, ji = /* @__PURE__ */ C({
  __name: "BccBanner",
  props: {
    title: {},
    variant: { default: "default" },
    icon: {},
    closeButton: { type: Boolean, default: !0 },
    closeOnAction: { type: Boolean, default: !0 },
    actions: {},
    open: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const a = e, r = t, n = {
      default: "bcc-banner-default",
      notification: "bcc-banner-notification"
    };
    function i(l) {
      l.onClick && l.onClick(), a.closeOnAction && r("close", l);
    }
    return (l, s) => (u(), M(Ue, { name: "bcc-close" }, {
      default: U(() => [
        l.open ? (u(), d("div", ul, [
          p("div", dl, [
            l.icon ? (u(), M(le(l.icon), {
              key: 0,
              class: "bcc-banner-icon"
            })) : k("", !0),
            p("h5", fl, L(l.title), 1),
            l.closeButton ? (u(), d("button", {
              key: 1,
              onClick: s[0] || (s[0] = Lt((o) => r("close"), ["prevent"])),
              "aria-label": "Close banner",
              class: "bcc-banner-close-button"
            }, [
              H(T(je), { class: "bcc-banner-close-icon" })
            ])) : k("", !0)
          ]),
          p("div", {
            class: B(n[l.variant])
          }, [
            N(l.$slots, "default"),
            l.actions && l.actions.length ? (u(), d("div", pl, [
              (u(!0), d(Z, null, oe(l.actions, (o, c) => (u(), M(rt, {
                key: c,
                icon: o.icon,
                "icon-right": "",
                size: "sm",
                variant: l.variant === "notification" ? "tertiary" : "secondary",
                onClick: (f) => i(o)
              }, {
                default: U(() => [
                  fe(L(o.label), 1)
                ]),
                _: 2
              }, 1032, ["icon", "variant", "onClick"]))), 128))
            ])) : k("", !0)
          ], 2)
        ])) : k("", !0)
      ]),
      _: 3
    }));
  }
}), Vi = /* @__PURE__ */ C({
  __name: "BccSpinner",
  props: {
    size: { default: "base" }
  },
  setup(e) {
    const t = {
      xs: "bcc-spinner-xs",
      sm: "bcc-spinner-sm",
      base: "bcc-spinner-base",
      lg: "bcc-spinner-lg",
      xl: "bcc-spinner-xl"
    };
    return (a, r) => (u(), d("svg", {
      class: B([[t[a.size]], "bcc-spinner"]),
      xmlns: "http://www.w3.org/2000/svg",
      width: "100",
      height: "100",
      viewBox: "0 0 100 100",
      fill: "none"
    }, r[0] || (r[0] = [
      fe(" > "),
      p("path", {
        d: "M100 50C100 77.6142 77.6142 100 50 100C22.3858 100 0 77.6142 0 50C0 22.3858 22.3858 0 50 0C77.6142 0 100 22.3858 100 50ZM9.08144 50C9.08144 72.5987 27.4013 90.9186 50 90.9186C72.5987 90.9186 90.9186 72.5987 90.9186 50C90.9186 27.4013 72.5987 9.08144 50 9.08144C27.4013 9.08144 9.08144 27.4013 9.08144 50Z",
        fill: "currentColor",
        class: "bcc-spinner-circle"
      }, null, -1),
      p("path", {
        d: "M93.9676 38.4501C96.393 37.813 97.8624 35.3208 97.0079 32.9631C95.2932 28.2319 92.871 23.7784 89.8167 19.7572C85.8452 14.5284 80.8826 10.133 75.2124 6.82206C69.5422 3.51112 63.2754 1.34943 56.7698 0.460415C51.7666 -0.223279 46.6976 -0.143977 41.7345 0.687907C39.2613 1.10246 37.813 3.60696 38.4501 6.03244C39.0873 8.45792 41.5694 9.8809 44.0505 9.51628C47.8511 8.95773 51.7191 8.93607 55.5402 9.45823C60.8642 10.1858 65.9928 11.9548 70.6331 14.6644C75.2735 17.374 79.3347 20.971 82.5849 25.2501C84.9175 28.3212 86.7997 31.7005 88.1811 35.285C89.083 37.625 91.5421 39.0873 93.9676 38.4501Z",
        fill: "currentColor",
        class: "bcc-spinner-progress"
      }, null, -1)
    ]), 2));
  }
}), vl = { class: "bcc-progress-container" }, bl = { key: 0 }, ml = { class: "bcc-progress" }, Zi = /* @__PURE__ */ C({
  __name: "BccProgress",
  props: {
    value: { default: 0 },
    max: { default: 100 },
    size: { default: "base" },
    showValues: { type: Boolean, default: !0 },
    showPercentage: { type: Boolean, default: !0 },
    overflow: { type: Boolean, default: !0 },
    color: { default: void 0 }
  },
  setup(e) {
    const t = e, a = w(() => t.value > t.max && !t.overflow ? 100 : t.value / t.max * 100), r = w(() => t.value > t.max ? 100 : a.value);
    return (n, i) => (u(), d("div", vl, [
      n.showPercentage || n.showValues ? (u(), M(Pt, {
        key: 0,
        size: n.size,
        showOptionalLabel: n.showPercentage,
        optionalLabel: Math.round(a.value) + "%"
      }, {
        default: U(() => [
          n.showValues ? (u(), d("span", bl, L(t.value.toLocaleString()) + " / " + L(t.max.toLocaleString()), 1)) : k("", !0)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : k("", !0),
      p("div", ml, [
        p("div", {
          class: B(["bcc-progress-bar", n.color]),
          style: ke({
            width: r.value + "%"
          })
        }, null, 6)
      ])
    ]));
  }
}), gl = {
  key: 0,
  class: "mx-1 text-xs"
}, hl = /* @__PURE__ */ C({
  __name: "BccReactEmoji",
  props: {
    id: {},
    emoji: {},
    count: {},
    selected: { type: Boolean }
  },
  setup(e) {
    const t = e, a = x(!1);
    return re(
      () => t.count,
      () => {
        a.value = !0, setTimeout(() => {
          a.value = !1;
        }, 1e3);
      }
    ), (r, n) => (u(), d("button", {
      class: B(["bcc-react-emoji-list-item", {
        "bcc-react-emoji-list-item--selected": r.selected,
        "animate-wiggle": a.value
      }])
    }, [
      p("span", null, L(r.emoji), 1),
      r.count && r.count > 1 ? (u(), d("span", gl, L(r.count), 1)) : k("", !0)
    ], 2));
  }
}), yl = { class: "bcc-react" }, wl = {
  key: "list",
  class: "bcc-react-list"
}, Tl = {
  key: 1,
  class: "bcc-react-empty"
}, kl = { class: "bcc-react-selector-emojis-container" }, xl = ["onClick"], ql = {
  key: 0,
  class: "bcc-react-selector-more"
}, $l = { class: "bcc-react-dropdown" }, Cl = ["onClick"], ht = 7, Wi = /* @__PURE__ */ C({
  __name: "BccReact",
  props: {
    emojis: {},
    top: { type: Boolean, default: !1 },
    placeholder: { default: "Be the first to react 😉" }
  },
  emits: ["toggle"],
  setup(e, { emit: t }) {
    const a = e, r = t, n = x(!1), i = x(!1), l = x(null), s = x(null), o = w(() => {
      const m = a.emojis.filter((v) => v.count && v.count > 0);
      return m.sort((v, h) => h.count - v.count), m;
    }), c = w(() => a.emojis.filter((m) => !m.selected)), f = w(() => c.value.length > ht), b = x([]), g = x([]);
    function y(m) {
      l.value = m.id, r("toggle", m.id), setTimeout(() => {
        n.value = !1, l.value = null;
      }, 250);
    }
    return re(n, (m) => {
      m && (b.value = c.value.slice(0, ht), g.value = c.value.slice(ht));
    }), (m, v) => (u(), d("div", yl, [
      H(Va, { name: "bcc-fade" }, {
        default: U(() => [
          n.value || m.emojis.some((h) => !h.selected) ? (u(), d("button", {
            key: "toggle",
            onClick: v[0] || (v[0] = (h) => n.value = !n.value),
            class: B(["bcc-react-toggle", [m.top ? "rounded-b-full" : "rounded-t-full"]])
          }, [
            n.value ? (u(), M(T(qr), {
              key: 0,
              class: "w-6"
            })) : (u(), M(T($r), {
              key: 1,
              class: "w-6"
            }))
          ], 2)) : k("", !0),
          p("div", wl, [
            o.value.length ? (u(!0), d(Z, { key: 0 }, oe(o.value, (h) => (u(), M(Za, {
              key: h.id
            }, [
              H(hl, Se({ ref_for: !0 }, h, {
                onClick: (S) => y(h)
              }), null, 16, ["onClick"])
            ], 1024))), 128)) : a.placeholder ? (u(), d("p", Tl, [
              H(T(Ir), { class: "mr-1 w-4" }),
              fe(" " + L(a.placeholder), 1)
            ])) : k("", !0)
          ])
        ]),
        _: 1
      }),
      H(Ue, {
        name: "bcc-scale-fast",
        onAfterLeave: v[2] || (v[2] = (h) => i.value = !1)
      }, {
        default: U(() => [
          n.value ? (u(), d("div", {
            key: "selector",
            class: B(["bcc-react-selector-container", { "bcc-react-selector-container--top": a.top }])
          }, [
            p("div", {
              ref_key: "selector",
              ref: s,
              class: B([
                "bcc-react-selector",
                i.value ? `bcc-react-selector--expanded bcc-react-selector-rows--${Math.ceil(
                  g.value.length / 8
                )}` : ""
              ])
            }, [
              p("div", kl, [
                (u(!0), d(Z, null, oe(b.value, (h) => (u(), d("button", {
                  key: h.id,
                  class: B(["bcc-react-selector-item", { "bcc-react-selector-item--clicked": l.value === h.id }]),
                  onClick: (S) => y(h)
                }, L(h.emoji), 11, xl))), 128)),
                f.value ? (u(), d("span", ql, [
                  p("button", {
                    class: "bcc-react-selector-more-btn",
                    onClick: v[1] || (v[1] = (h) => i.value = !i.value)
                  }, [
                    H(T(Or), {
                      class: B(["bcc-react-arrow-down-icon", { open: i.value }])
                    }, null, 8, ["class"])
                  ])
                ])) : k("", !0)
              ]),
              f.value ? (u(), d("div", {
                key: 0,
                class: B(["bcc-react-dropdown-container", { "bcc-react-dropdown-container--top": a.top }])
              }, [
                p("div", $l, [
                  (u(!0), d(Z, null, oe(g.value, (h) => (u(), d("button", {
                    key: h.id,
                    class: B(["bcc-react-selector-item", { "bcc-react-selector-item--clicked": l.value === h.id }]),
                    onClick: (S) => y(h)
                  }, L(h.emoji), 11, Cl))), 128))
                ])
              ], 2)) : k("", !0)
            ], 2)
          ], 2)) : k("", !0)
        ]),
        _: 1
      })
    ]));
  }
}), El = ["src"], _l = ["src"], Bl = { class: "bcc-graphic-poster-logo bcc-graphic-poster-logo--loading" }, Da = {
  ultraWide: "42.85%",
  // 21:9
  wide: "56.25%",
  // 16:9
  landscape: "75%",
  // 4:3
  square: "100%",
  // 1:1
  portrait: "133.33%"
  // 3:4
}, yt = {
  none: "",
  sm: "rounded-sm",
  base: "rounded",
  md: "rounded-md",
  xl: "rounded-xl"
}, Ll = /* @__PURE__ */ C({
  __name: "BccGraphicPoster",
  props: {
    bannerSrc: {},
    logoSrc: {},
    rounding: { default: "xl" },
    ratio: { default: "wide" }
  },
  setup(e) {
    const t = x(!1), a = x(!1);
    return (r, n) => (u(), d("div", {
      class: B(["bcc-graphic-poster", yt[r.rounding]]),
      style: ke(`padding-bottom: ${Da[r.ratio]}`)
    }, [
      r.bannerSrc ? (u(), d(Z, { key: 0 }, [
        we(p("img", {
          onLoad: n[0] || (n[0] = (i) => t.value = !0),
          src: r.bannerSrc,
          defer: "",
          class: B(["bcc-graphic-poster-banner", yt[r.rounding]])
        }, null, 42, El), [
          [Ke, t.value]
        ]),
        we(p("div", {
          class: B(["bcc-graphic-poster-banner bcc-graphic-poster-banner--loading", yt[r.rounding]])
        }, null, 2), [
          [Ke, !t.value]
        ])
      ], 64)) : k("", !0),
      r.logoSrc ? (u(), d(Z, { key: 1 }, [
        we(p("img", {
          onLoad: n[1] || (n[1] = (i) => a.value = !0),
          src: r.logoSrc,
          defer: "",
          class: "bcc-graphic-poster-logo"
        }, null, 40, _l), [
          [Ke, a.value]
        ]),
        we(p("div", Bl, null, 512), [
          [Ke, !a.value]
        ])
      ], 64)) : k("", !0)
    ], 6));
  }
}), Sl = {
  key: 0,
  class: "bcc-graphic-open-in"
}, Gi = /* @__PURE__ */ C({
  __name: "BccGraphic",
  props: {
    bannerSrc: {},
    logoSrc: {},
    checked: { type: Boolean, default: !1 },
    linkOut: { type: [Boolean, String, Function, Object], default: !1 },
    ratio: { default: "wide" },
    rounding: { default: "xl" }
  },
  setup(e) {
    return (t, a) => (u(), d("div", {
      class: "bcc-graphic",
      style: ke(`padding-bottom: ${T(Da)[t.ratio]}`)
    }, [
      t.linkOut ? (u(), d("div", Sl, [
        (u(), M(le(typeof t.linkOut == "boolean" ? T(Ur) : t.linkOut), { class: "bcc-graphic-open-in-icon" }))
      ])) : k("", !0),
      t.checked ? (u(), M(T(Sr), {
        key: 1,
        class: "bcc-graphic-check-icon"
      })) : k("", !0),
      H(Ll, {
        class: "absolute",
        bannerSrc: t.bannerSrc,
        logoSrc: t.logoSrc,
        ratio: t.ratio,
        rounding: t.rounding
      }, null, 8, ["bannerSrc", "logoSrc", "ratio", "rounding"])
    ], 4));
  }
}), Fl = {
  key: 0,
  class: "bcc-header-overline"
}, Al = { class: "bcc-header-title-wrapper" }, Pl = { class: "bcc-header-title" }, Dl = {
  key: 1,
  class: "bcc-header-underline"
}, Yi = /* @__PURE__ */ C({
  __name: "BccHeader",
  props: {
    title: {},
    overline: {},
    underline: {}
  },
  setup(e) {
    return (t, a) => (u(), d("div", null, [
      t.overline ? (u(), d("p", Fl, L(t.overline), 1)) : k("", !0),
      p("div", Al, [
        p("h2", Pl, L(t.title), 1),
        N(t.$slots, "infoRight")
      ]),
      t.underline ? (u(), d("p", Dl, L(t.underline), 1)) : k("", !0)
    ]));
  }
}), Ml = { class: "bcc-info" }, Ol = { class: "bcc-info-title" }, Il = { class: "bcc-info-wrapper" }, zl = {
  key: 1,
  class: "truncate"
}, Ki = /* @__PURE__ */ C({
  __name: "BccInfo",
  props: {
    title: {},
    infoIcon: { type: [String, Function, Object] },
    infoText: {}
  },
  setup(e) {
    return (t, a) => (u(), d("div", Ml, [
      p("div", null, [
        p("h4", Ol, L(t.title), 1),
        p("div", Il, [
          t.infoIcon ? (u(), M(le(t.infoIcon), {
            key: 0,
            class: "bcc-info-icon"
          })) : k("", !0),
          t.infoText ? (u(), d("p", zl, L(t.infoText), 1)) : k("", !0)
        ])
      ]),
      N(t.$slots, "infoRight")
    ]));
  }
}), Rl = { class: "bcc-item-tile" }, Ul = {
  key: 0,
  class: "bcc-item-tile-overline"
}, Hl = { class: "bcc-item-tile-title" }, Xi = /* @__PURE__ */ C({
  __name: "BccItemTile",
  props: {
    title: {},
    overline: {}
  },
  setup(e) {
    return (t, a) => (u(), d("div", Rl, [
      p("div", null, [
        t.overline ? (u(), d("p", Ul, L(t.overline), 1)) : k("", !0),
        p("h2", Hl, L(t.title), 1)
      ]),
      N(t.$slots, "default")
    ]));
  }
}), Nl = { class: "bcc-link-item border-secondary group" }, jl = { class: "bcc-link-item-label" }, Vl = { class: "bcc-link-item-arrow group-hover:pr-0" }, Qi = /* @__PURE__ */ C({
  __name: "BccLinkItem",
  setup(e) {
    return (t, a) => (u(), d("div", Nl, [
      p("label", jl, [
        N(t.$slots, "default")
      ]),
      p("div", Vl, [
        H(T(_r), { class: "bcc-link-item-icon" })
      ])
    ]));
  }
}), Zl = { class: "bcc-stepper-container" }, Wl = {
  key: 0,
  class: "bcc-stepper-header"
}, Gl = { class: "bcc-stepper-current-step" }, Yl = {
  key: 0,
  class: "bcc-stepper-current-label"
}, Kl = { class: "bcc-stepper-indicators" }, Ji = /* @__PURE__ */ C({
  __name: "BccStepper",
  props: {
    currentStep: { default: 0 },
    steps: { default: () => [""] },
    additionalText: { type: Boolean, default: !0 },
    showStepLabel: { type: Boolean, default: !0 },
    headingFn: { type: Function, default: (e, t) => `Step ${e} of ${t}` }
  },
  setup(e) {
    const t = e, a = w(() => ({
      current: t.currentStep + 1,
      total: t.steps.length,
      label: t.steps[t.currentStep]
    }));
    return (r, n) => (u(), d("div", Zl, [
      t.additionalText ? (u(), d("div", Wl, [
        p("span", Gl, L(r.headingFn(a.value.current, a.value.total)), 1),
        r.showStepLabel ? (u(), d("span", Yl, L(a.value.label), 1)) : k("", !0)
      ])) : k("", !0),
      p("div", Kl, [
        (u(!0), d(Z, null, oe(t.steps, (i, l) => (u(), d("div", {
          key: l,
          class: "bcc-stepper-indicator-container"
        }, [
          p("div", {
            class: B(["bcc-stepper-indicator", {
              "bcc-stepper-indicator-active": l === t.currentStep,
              "bcc-stepper-indicator-inactive": l !== t.currentStep,
              "bcc-stepper-indicator-completed": l <= t.currentStep,
              "bcc-stepper-indicator-pending": l > t.currentStep
            }])
          }, null, 2)
        ]))), 128))
      ])
    ]));
  }
}), Xl = { class: "bcc-tooltip" }, e0 = /* @__PURE__ */ C({
  __name: "BccTooltip",
  props: {
    primaryPosition: { default: "top" },
    secondaryPosition: { default: "center" },
    variant: { default: "dark" },
    visible: { type: Boolean, default: !1 }
  },
  setup(e) {
    const t = e, a = {
      dark: "bcc-tooltip-dark",
      white: "bcc-tooltip-white",
      grey: "bcc-tooltip-grey"
    }, r = {
      "top-left": "bcc-tooltip-top-left",
      "top-center": "bcc-tooltip-top-center",
      "top-right": "bcc-tooltip-top-right",
      "bottom-left": "bcc-tooltip-bottom-left",
      "bottom-center": "bcc-tooltip-bottom-center",
      "bottom-right": "bcc-tooltip-bottom-right"
    }, n = w(() => `${t.primaryPosition}-${t.secondaryPosition}`);
    return (i, l) => (u(), d("div", Xl, [
      i.$slots.child ? N(i.$slots, "child", { key: 0 }) : k("", !0),
      p("div", {
        class: B([
          "bcc-tooltip-content",
          r[n.value],
          a[t.variant],
          { "bcc-tooltip-visible": t.visible }
        ])
      }, [
        N(i.$slots, "default")
      ], 2)
    ]));
  }
}), Ql = { class: "bcc-accordion" }, Jl = { class: "bcc-accordion-title-wrap" }, ei = { class: "bcc-accordion-title" }, ti = {
  key: 0,
  class: "bcc-accordion-subtitle"
}, ai = { class: "bcc-accordion-right" }, ri = {
  key: 0,
  class: "bcc-accordion-info"
}, ni = { class: "bcc-accordion-right-icon bcc-accordion-icon" }, oi = {
  key: 0,
  class: "bcc-accordion-content"
}, t0 = /* @__PURE__ */ C({
  __name: "BccAccordion",
  props: {
    title: { default: "" },
    open: { type: Boolean },
    subtitle: { default: "" },
    info: {},
    variant: { default: "filled" },
    size: { default: "base" }
  },
  setup(e) {
    const t = {
      filled: "bcc-accordion-filled",
      outlined: "bcc-accordion-outlined",
      soft: "bcc-accordion-soft",
      ghost: "bcc-accordion-ghost"
    }, a = {
      base: "bcc-accordion-base",
      lg: "bcc-accordion-lg"
    }, n = x(e.open ?? !1);
    return (i, l) => (u(), d("div", Ql, [
      p("div", {
        class: B(["bcc-accordion-header", {
          "bcc-accordion-active": n.value,
          [t[i.variant]]: !0,
          [a[i.size]]: !0
        }]),
        onClick: l[0] || (l[0] = () => n.value = !n.value)
      }, [
        p("div", Jl, [
          p("div", null, [
            N(i.$slots, "prepend")
          ]),
          p("div", null, [
            p("span", ei, L(i.title), 1),
            i.subtitle ? (u(), d("span", ti, L(i.subtitle), 1)) : k("", !0)
          ])
        ]),
        p("div", ai, [
          i.info ? (u(), d("span", ri, L(i.info), 1)) : k("", !0),
          N(i.$slots, "append"),
          p("div", ni, [
            H(T(Pr))
          ])
        ])
      ], 2),
      n.value ? (u(), d("div", oi, [
        N(i.$slots, "default")
      ])) : k("", !0)
    ]));
  }
}), li = {
  key: 0,
  class: "bcc-pagination-rowsperpage-container"
}, ii = ["value"], si = { class: "text-caption-sm" }, ci = { class: "bcc-pagination-button-container" }, ui = ["disabled"], di = ["onClick"], fi = {
  key: 1,
  class: "bcc-pagination-elipsis"
}, pi = ["disabled"], a0 = /* @__PURE__ */ C({
  __name: "BccPagination",
  props: {
    total: {},
    rowsPerPageOptions: { default: () => [5, 10, 25, 50] },
    rowsPerPage: { default: 5 },
    maxButtonsDisplayed: { default: 3 },
    displayLeftEllipsis: { type: Boolean, default: !0 },
    displayRightEllipsis: { type: Boolean, default: !0 },
    align: { default: "right" },
    displayRowsPerPage: { type: Boolean, default: !0 }
  },
  emits: ["update:currentPage", "update:totalPages", "update:rowsPerPage"],
  setup(e, { emit: t }) {
    const a = e, { total: r, maxButtonsDisplayed: n, rowsPerPage: i, displayRightEllipsis: l, displayLeftEllipsis: s } = nt(a), o = t, c = x(1), f = x(i.value.toString()), b = w(() => parseInt(f.value)), g = w(() => Math.ceil(r.value / b.value)), y = w(() => n.value), m = w(() => c.value === 1), v = w(() => c.value === g.value), h = w(() => {
      let E = [], A = Math.max(1, c.value - Math.floor(y.value / 2)), _ = Math.min(g.value, c.value + Math.floor(y.value / 2));
      _ - A < y.value && (A === 1 ? _ = Math.min(g.value, A + y.value - 1) : _ === g.value && (A = Math.max(1, _ - y.value + 1))), A > 1 && s.value === !0 && (E.push(1), A > 2 && E.push("..."));
      for (let j = A; j <= _; j++)
        E.push(j);
      return _ < g.value && l.value === !0 && (_ < g.value - 1 && E.push("..."), E.push(g.value)), E;
    }), S = (E) => {
      E !== "..." && (c.value = E);
    }, q = (E) => {
      c.value += E;
    };
    return ae(() => {
      o("update:totalPages", g.value), o("update:rowsPerPage", b.value), o("update:currentPage", c.value);
    }), (E, A) => (u(), d("div", {
      class: B(["bcc-pagination", {
        "bcc-pagination-left": E.align === "left" && E.displayRowsPerPage === !0 || E.align === "right" && E.displayRowsPerPage === !1,
        "bcc-pagination-center": E.align === "center"
      }])
    }, [
      E.displayRowsPerPage === !0 ? (u(), d("div", li, [
        A[4] || (A[4] = p("label", { class: "text-caption-sm" }, "Rows per page", -1)),
        H(zo, {
          class: "bcc-pagination-rowsperpage",
          onChange: A[0] || (A[0] = (_) => S(1)),
          modelValue: f.value,
          "onUpdate:modelValue": A[1] || (A[1] = (_) => f.value = _),
          size: "sm"
        }, {
          default: U(() => [
            (u(!0), d(Z, null, oe(E.rowsPerPageOptions, (_, j) => (u(), d("option", {
              value: _,
              key: j
            }, L(_), 9, ii))), 128))
          ]),
          _: 1
        }, 8, ["modelValue"]),
        p("label", si, "of " + L(g.value) + " entries", 1)
      ])) : k("", !0),
      p("div", ci, [
        p("button", {
          onClick: A[2] || (A[2] = (_) => q(-1)),
          disabled: m.value,
          class: "bcc-pagination-button bcc-pagination-arrow-left"
        }, [
          H(T(Cr), { class: "bcc-pagination-button-icon" })
        ], 8, ui),
        (u(!0), d(Z, null, oe(h.value, (_, j) => (u(), d("div", { key: j }, [
          _ !== "..." ? (u(), d("button", {
            key: 0,
            onClick: (I) => S(_),
            class: B(["bcc-pagination-button", {
              "bcc-pagination-button-selected": _ === c.value
            }])
          }, L(_), 11, di)) : k("", !0),
          _ === "..." ? (u(), d("span", fi, L(_), 1)) : k("", !0)
        ]))), 128)),
        p("button", {
          onClick: A[3] || (A[3] = (_) => q(1)),
          disabled: v.value,
          class: "bcc-pagination-button bcc-pagination-arrow-right"
        }, [
          H(T(Br), { class: "bcc-pagination-button-icon" })
        ], 8, pi)
      ])
    ], 2));
  }
}), vi = { class: "bcc-nps-score" }, bi = { class: "bcc-nps-score--label" }, mi = { class: "bcc-nps-score--label text-right" }, gi = ["onClick", "disabled"], r0 = /* @__PURE__ */ C({
  __name: "BccNpsScore",
  props: /* @__PURE__ */ ge({
    reverse: { type: Boolean, default: !1 },
    leftLabel: { default: "Not likely" },
    rightLabel: { default: "Very likely" },
    labelPosition: { default: "top" },
    min: { default: 0 },
    max: { default: 10 },
    disabled: { type: Boolean, default: !1 }
  }, {
    modelValue: {
      default: null
    },
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(e) {
    const t = Fe(e, "modelValue"), a = e;
    let r = null;
    function n(l) {
      a.disabled || (t.value === null && (t.value = 0), r && clearInterval(r), r = setInterval(() => {
        if (t.value === l)
          return r && clearInterval(r);
        t.value < l ? ++t.value : --t.value;
      }, 20));
    }
    const i = w(() => {
      let l = [];
      for (let s = a.min; s <= a.max; s++)
        l.push(s);
      return l;
    });
    return (l, s) => (u(), d("div", vi, [
      p("div", {
        class: B(["bcc-nps-score--heading", l.labelPosition === "top" ? "order-1" : l.labelPosition === "bottom" ? "order-last" : ""])
      }, [
        p("p", bi, L(l.leftLabel), 1),
        p("p", mi, L(l.rightLabel), 1)
      ], 2),
      p("div", {
        class: B(["bcc-nps-score--bar order-2", { disabled: l.disabled, reverse: l.reverse }])
      }, [
        (u(!0), d(Z, null, oe(i.value, (o) => (u(), d("button", {
          key: o,
          onClick: (c) => n(o),
          disabled: l.disabled,
          class: B(["bcc-nps-score--number", {
            inactive: t.value === null || isNaN(t.value) || t.value < o,
            active: t.value === o
          }])
        }, L(o), 11, gi))), 128))
      ], 2)
    ]));
  }
}), hi = {
  class: "result-gauge",
  viewBox: "0 0 180 180",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, yi = { class: "bcc-nps-result-labels--heading" }, wi = { class: "bcc-nps-result-labels--label" }, Ti = 250, tt = -170, Qt = 80, n0 = /* @__PURE__ */ C({
  __name: "BccNpsResult",
  props: {
    score: {},
    size: { default: "md" },
    display: {},
    underline: {},
    hideText: { type: Boolean, default: !1 },
    animated: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e;
    function a(i) {
      const s = (i + 100) / 200 * Ti + tt;
      return s > Qt ? Qt : s < tt ? tt : s;
    }
    const r = x(!1);
    setTimeout(() => {
      r.value = !0;
    }, 150);
    const n = w(() => {
      const i = tt;
      return r.value && t.score !== void 0 ? a(t.score) : i;
    });
    return (i, l) => (u(), d("div", {
      class: B(["bcc-nps-result", { animated: i.animated }])
    }, [
      (u(), d("svg", hi, [
        l[0] || (l[0] = ra('<path d="M40.7001 85.7001C39.7001 97.3001 42.8001 108.9 49.5001 118.4L31.1001 131.3L16.4001 141.6C4.10011 124.3 -1.49989 103.2 0.300108 82.2001C2.10011 61.5001 11.1001 42.0001 25.6001 27.1001L38.3001 39.8001L54.2001 55.7001C46.4001 63.8001 41.6001 74.4001 40.6001 85.7001H40.7001Z" fill="#FFE3E3"></path><path d="M89.0001 0V40.5C76.6001 40.7 64.7001 45.7 55.7001 54.3L39.8001 38.4L27.1001 25.7C43.6001 9.5 65.8001 0.3 89.0001 0Z" fill="#FFF5ED"></path><path d="M152.9 25.7L140.2 38.4L124.3 54.3C115.3 45.7 103.5 40.8 91 40.5V0C114.2 0.2 136.4 9.4 152.9 25.6V25.7Z" fill="#FEFDE8"></path><path d="M180 89.0001H139.5C139.3 76.6001 134.3 64.7001 125.7 55.7001L141.6 39.8001L154.3 27.1001C170.5 43.7001 179.7 65.9001 179.9 89.0001H180Z" fill="#D7FFE7"></path><path d="M180 91C179.8 110.1 173.5 128.7 162 144L147.6 133.2L129.6 119.7C135.8 111.4 139.3 101.4 139.5 91H180Z" fill="#B2FFD1"></path><path d="M31 131.3L16.3 141.6C4.10005 124.3 -1.49995 103.2 0.300047 82.2001C2.10005 61.5001 11.1 42.0001 25.6 27.1001L38.3 39.8001C26.7 51.7001 19.6 67.2001 18.2 83.7001C16.7 100.6 21.2 117.4 31 131.3Z" fill="#F93A4F"></path><path d="M89.0001 0V18C70.6001 18.2 53.0001 25.5 39.8001 38.4L27.1001 25.7C43.6001 9.5 65.8001 0.3 89.0001 0Z" fill="#FE7F39"></path><path d="M152.9 25.7L140.2 38.4C127 25.6 109.4 18.3 91 18V0C114.2 0.2 136.4 9.4 152.9 25.6V25.7Z" fill="#FFEE45"></path><path d="M180 89.0001H162C161.8 70.6001 154.5 53.0001 141.6 39.8001L154.3 27.1001C170.5 43.7001 179.7 65.9001 179.9 89.0001H180Z" fill="#7DFFB3"></path><path d="M180 91C179.8 110.1 173.5 128.7 162 144L147.6 133.2C156.8 121 161.8 106.2 162 91H180Z" fill="#09DE62"></path>', 10)),
        p("path", {
          d: "M128.292 49.4565L92.4146 83.7227C91.5428 83.4108 90.5855 83.2892 89.604 83.4082C86.2246 83.8177 83.816 86.8941 84.226 90.2772C84.636 93.6603 87.7097 96.0722 91.089 95.6627C94.4684 95.2532 96.877 92.1769 96.4671 88.7937C96.4262 88.4568 96.3578 88.1298 96.2663 87.8144L130.221 51.3721C131.359 50.0885 129.568 48.3071 128.292 49.4565Z",
          fill: "currentColor",
          class: "result-gauge-dial",
          style: ke(`transform: rotate(${n.value}deg)`)
        }, null, 4)
      ])),
      !i.hideText && i.size !== "xs" ? (u(), d("div", {
        key: 0,
        class: B(["bcc-nps-result-labels", i.size])
      }, [
        p("h3", yi, L(i.display ?? i.score), 1),
        p("label", wi, L(i.underline), 1)
      ], 2)) : k("", !0)
    ], 2));
  }
}), ki = { class: "bcc-knob-top-left" }, xi = { class: "bcc-knob-top-right" }, qi = { class: "bcc-knob-label" }, o0 = /* @__PURE__ */ C({
  __name: "BccKnob",
  props: /* @__PURE__ */ ge({
    size: { type: Number, default: 400 },
    arcWidth: { type: Number, default: 20 },
    min: { type: Number, default: -720 },
    // in minutes (-12h)
    max: { type: Number, default: 720 },
    // in minutes (+12h)
    steps: { type: Number, default: 1 },
    colored: { type: Boolean, default: !1, description: "Use CSS variables for colors" },
    showHandle: { type: Boolean, default: !1 },
    hideArrows: { type: Boolean, default: !1 },
    duration: { type: Number, default: 1e3 },
    // Animation duration in ms
    animateRotations: { type: Number, default: 2 }
    // 0 or 1 = no limit
  }, {
    modelValue: { required: !0 },
    modelModifiers: {}
  }),
  emits: /* @__PURE__ */ ge(["drag:start", "drag:update", "drag:end"], ["update:modelValue"]),
  setup(e, { emit: t }) {
    const a = e, r = t, n = {
      arc: "#EFEFEF",
      head: "#437571",
      tail: "#A9BABA",
      leftHead: "#9B4F44",
      leftTail: "#DBBEAC",
      rightHead: "#3E8E75",
      rightTail: "#B1DECC"
    }, i = Fe(e, "modelValue"), l = x(null), s = x(null);
    let o = null, c = 0;
    const f = x(!1), b = x(0), g = x(0), y = x(0), m = w(() => a.size / 2), v = w(() => m.value - a.arcWidth), h = w(() => a.min / 60 * 360), S = w(() => a.max / 60 * 360), q = w(
      () => Math.max(
        -359.99,
        Math.min(359.99, Math.max(h.value, Math.min(b.value, S.value)))
      )
    );
    re(
      i,
      ($) => {
        if (f.value) return;
        const O = $ / (60 / a.steps) * 360;
        A(O);
      },
      { immediate: !0 }
    );
    function E($, O) {
      return (R) => Math.round($ + (O - $) * R);
    }
    function A($) {
      if (f.value || $ === b.value) return;
      const O = a.animateRotations;
      if (O > 1) {
        let V = b.value;
        const se = Math.round(Math.abs(V - $) / 360);
        se > O && ($ < V ? V -= 360 * (se - O) : V += 360 * (se - O), b.value = V);
      }
      const R = performance.now(), Y = E(b.value, $);
      function K(V) {
        const se = V - R, $e = Math.min(se / a.duration, 1);
        b.value = Y($e), I(), $e < 1 && requestAnimationFrame(K);
      }
      requestAnimationFrame(K);
    }
    W(() => {
      Oe();
      const $ = s.value;
      if ($) {
        const O = Math.ceil(window.devicePixelRatio);
        $.width = a.size * O, $.height = a.size * O, o = $.getContext("2d"), o == null || o.setTransform(O, 0, 0, O, 0, 0), I();
      }
    });
    function _($) {
      return ($ - 90) * Math.PI / 180;
    }
    function j($, O = v.value) {
      const R = $ * Math.PI / 180;
      return {
        x: m.value + O * Math.sin(R),
        y: m.value - O * Math.cos(R)
      };
    }
    function I() {
      if (!o) return;
      const $ = b.value;
      if (o.clearRect(0, 0, a.size, a.size), o.save(), o.shadowColor = "rgba(0,0,0,0.2)", o.shadowBlur = 4, o.beginPath(), o.arc(m.value, m.value, v.value, 0, 2 * Math.PI), o.strokeStyle = n.arc, o.lineWidth = a.arcWidth, o.stroke(), o.restore(), !a.hideArrows) {
        o.save(), o.strokeStyle = n.arc, o.lineWidth = 3, o.beginPath(), o.arc(
          m.value,
          m.value,
          v.value + 30,
          _(-30),
          // Start from around 11 o'clock
          _(-60),
          // End at top
          !0
          // Draw anticlockwise
        );
        const P = j(-60, v.value + 30);
        o.moveTo(P.x - 4, P.y - 16), o.lineTo(P.x - 1, P.y + 2), o.lineTo(P.x + 16, P.y - 4), o.stroke(), o.beginPath(), o.arc(
          m.value,
          m.value,
          v.value + 30,
          _(30),
          // Start from around 1 o'clock
          _(60),
          // End at top
          !1
          // Draw clockwise
        );
        const z = j(60, v.value + 30);
        o.moveTo(z.x - 16, z.y - 4), o.lineTo(z.x + 1, z.y + 2), o.lineTo(z.x + 4, z.y - 16), o.stroke(), o.restore();
      }
      o.strokeStyle = n.arc, o.lineWidth = 4;
      for (let P = 1; P <= 12; P++) {
        const z = P * 30;
        o.save(), o.translate(m.value, m.value), o.rotate(z * Math.PI / 180), o.beginPath(), o.moveTo(0, -v.value + a.arcWidth * 0.8), o.lineTo(0, -v.value + a.arcWidth * 2), o.stroke(), o.restore();
      }
      if (Math.abs(q.value) >= 108) {
        o.beginPath();
        const P = q.value < 0;
        o.arc(
          m.value,
          m.value,
          v.value,
          _(0),
          _(q.value),
          P
        ), a.colored ? o.strokeStyle = P ? n.leftTail : n.rightTail : o.strokeStyle = n.tail, o.lineWidth = a.arcWidth, o.stroke();
      }
      let O;
      Math.abs($) < 108 ? O = 0 : O = $ - Math.sign($) * 108;
      const R = $, Y = a.arcWidth / 2;
      o.save(), o.beginPath();
      const K = R < O;
      o.arc(
        m.value,
        m.value,
        v.value + Y,
        _(O),
        _(R),
        K
      ), o.arc(
        m.value,
        m.value,
        v.value - Y,
        _(R),
        _(O),
        !K
      ), o.closePath(), o.save(), o.clip();
      const V = o.createConicGradient(($ - 90) * Math.PI / 180, m.value, m.value);
      a.colored ? (V.addColorStop(0, n.leftHead), V.addColorStop(100 / 360, n.leftTail), V.addColorStop(260 / 360, n.rightTail), V.addColorStop(1, n.rightHead)) : (V.addColorStop(0, n.head), V.addColorStop(100 / 360, n.tail), V.addColorStop(260 / 360, n.tail), V.addColorStop(1, n.head)), o.fillStyle = V, o.fillRect(0, 0, a.size, a.size), o.restore(), o.restore();
      const se = j($, v.value), $e = a.arcWidth * (a.showHandle ? 0.8 : 0.5);
      o.beginPath(), o.arc(se.x, se.y, $e, 0, 2 * Math.PI), (a.showHandle || i.value) && (o.fillStyle = i.value ? a.colored ? K ? n.leftHead : n.rightHead : n.head : "#000", o.fill()), a.showHandle && (o.lineWidth = 4, o.strokeStyle = "#fff", o.stroke());
    }
    function J($) {
      if (!l.value) return 0;
      const O = l.value.getBoundingClientRect(), R = O.left + m.value, Y = O.top + m.value;
      let K, V;
      if ("touches" in $ && $.touches.length)
        K = $.touches[0].clientX - R, V = $.touches[0].clientY - Y;
      else if ("clientX" in $)
        K = $.clientX - R, V = $.clientY - Y;
      else
        return 0;
      return Math.atan2(K, -V) * 180 / Math.PI;
    }
    function ve($) {
      f.value = !0, r("drag:start"), y.value = J($);
    }
    function xe($) {
      f.value && (c && cancelAnimationFrame(c), c = requestAnimationFrame(() => {
        const O = J($);
        let R = O - y.value;
        R > 180 && (R -= 360), R < -180 && (R += 360);
        const Y = Math.round(
          Math.max(h.value, Math.min(S.value, b.value + R))
        );
        if (Y !== b.value) {
          b.value = Y, Math.abs(b.value) > Math.abs(g.value) && (g.value = b.value), y.value = O;
          const K = Math.round(b.value / 360 * (60 / a.steps));
          K !== i.value && (i.value = K * a.steps, r("drag:update")), I();
        }
      }));
    }
    function qe() {
      f.value = !1, r("drag:end");
    }
    function Oe() {
      if (l.value) {
        const $ = getComputedStyle(l.value);
        n.arc = $.getPropertyValue("--bcc-knob-arc-bg") || n.arc, n.head = $.getPropertyValue("--bcc-knob-head") || n.head, n.tail = $.getPropertyValue("--bcc-knob-tail") || n.tail, n.leftHead = $.getPropertyValue("--bcc-knob-left-head") || n.leftHead, n.leftTail = $.getPropertyValue("--bcc-knob-left-tail") || n.leftTail, n.rightHead = $.getPropertyValue("--bcc-knob-right-head") || n.rightHead, n.rightTail = $.getPropertyValue("--bcc-knob-right-tail") || n.rightTail;
      }
    }
    return ($, O) => (u(), d("div", {
      class: "bcc-knob",
      ref_key: "knobContainer",
      ref: l,
      onMousedown: ve,
      onTouchstart: ve,
      onMousemove: xe,
      onTouchmove: xe,
      onMouseup: qe,
      onTouchend: qe,
      onMouseleave: qe
    }, [
      p("canvas", {
        ref_key: "canvasEl",
        ref: s,
        class: "object-fit w-full"
      }, null, 512),
      p("div", ki, [
        N($.$slots, "left")
      ]),
      p("div", xi, [
        N($.$slots, "right")
      ]),
      p("div", qi, [
        N($.$slots, "default")
      ])
    ], 544));
  }
}), $i = { class: "bcc-range" }, Ci = { class: "bcc-range__container" }, Ei = ["min", "max", "step", "disabled"], l0 = /* @__PURE__ */ C({
  __name: "BccRange",
  props: /* @__PURE__ */ ge({
    max: { type: Number, default: 10 },
    min: { type: Number, default: 0 },
    step: { type: Number, default: 1 },
    disabled: { type: Boolean, default: !1 },
    hideValue: { type: Boolean, default: !1 }
  }, {
    modelValue: { required: !0, default: 0 },
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(e) {
    const t = e, a = Fe(e, "modelValue"), r = w(() => {
      let i = "", l = "left: calc(0% + 8px);";
      const s = (a.value - t.min) / (t.max - t.min) * 100, o = s > 100 ? 100 : s < 0 ? 0 : s;
      t.disabled ? i = "bg-gray-50 text-gray-400 dark:bg-gray-700" : o < 33 ? i = "bg-success text-success" : o < 66 ? i = "bg-warning text-warning" : i = "bg-danger text-danger";
      const c = 8 * Math.max(0, 1 - o / 70), f = -8 * Math.max(0, 1 - (100 - o) / 70);
      return l = `left: calc(${o}% + ${c + f}px);`, {
        theme: i,
        position: l
      };
    });
    return (n, i) => (u(), d("div", $i, [
      p("div", Ci, [
        e.hideValue ? k("", !0) : (u(), d("div", {
          key: 0,
          class: B(["bcc-range__value", r.value.theme]),
          style: ke(r.value.position)
        }, L(a.value), 7)),
        we(p("input", {
          type: "range",
          class: "bcc-range__input",
          min: e.min,
          max: e.max,
          step: e.step,
          disabled: e.disabled,
          "onUpdate:modelValue": i[0] || (i[0] = (l) => a.value = l)
        }, null, 8, Ei), [
          [Wa, a.value]
        ])
      ])
    ]));
  }
});
export {
  St as BCC_CONTEXTS,
  t0 as BccAccordion,
  Si as BccAlert,
  Fi as BccAvatar,
  Yr as BccBadge,
  ji as BccBanner,
  rt as BccButton,
  Ai as BccCapacityIndicator,
  Pi as BccCheckbox,
  Di as BccCookieBanner,
  Pt as BccFormLabel,
  ba as BccFormMessage,
  Gi as BccGraphic,
  Yi as BccHeader,
  Ki as BccInfo,
  Mi as BccInput,
  Xi as BccItemTile,
  o0 as BccKnob,
  Qi as BccLinkItem,
  Ii as BccModal,
  n0 as BccNpsResult,
  r0 as BccNpsScore,
  a0 as BccPagination,
  Po as BccPin,
  Zi as BccProgress,
  zi as BccRadio,
  l0 as BccRange,
  Wi as BccReact,
  zo as BccSelect,
  Vi as BccSpinner,
  Ri as BccStatusIndicator,
  Ji as BccStepper,
  Ui as BccTable,
  Hi as BccTabs,
  Ni as BccToggle,
  e0 as BccTooltip,
  Li as bccForbundetTheme,
  Bi as tailwindPlugin,
  Vt as useAnimatedNumber
};
